Sat Jul 31 10:28:46 2004  Ossama  <ossama@dre.vanderbilt.edu>

        * ACE version 5.4.3 released.

Sat Jul 31 10:27:43 2004  Ossama  <ossama@dre.vanderbilt.edu>

        * ACE version 5.4.2 released.

Sat Jul 31 10:22:05 2004  Balachandran Natarajan  <bala@cs.wustl.edu>

	* bin/make_release:

	  WashU cvs is running a very old version of CVS which doesn't
	  support many of the old commands that we used to use. Retiring
	  those commands and set the working ones. 
	
Sat Jul 31 07:08:15 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* bin/make_release:

	  Improved "wrong OS" error message so that it prints what it
	  believes to be the OS type.

Sat Jul 31 06:35:24 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* NEWS:

	  Added missing items for ACE 5.4.2.  Thanks to Olli Savia for
	  pointing out what was missing.

Sat Jul 31 05:47:31 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* Release:
	* bin/make_release:

	  Changed the pattern for looking at borland makefiles.

Sat Jul 31 03:15:39 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* Release: Include ACE.mwc which is very important.

Sat Jul 31 02:45:52 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release:

	  Cosmetic changes to make the generated project and GNUmakefiles
	  look uniform.

Fri Jul 30 17:28:44 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* NEWS:  Added ACE 5.4.2 noteworthy items.

Fri Jul 30 23:29:17 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release:

	  The chgrp on deuce.doc freaked out again. This check-in fixes
	  this problem using a hack. Cutting a beta on deuce.doc should
	  probably be avoided in future. We should be okay for this beta.

Fri Jul 30 19:18:08 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* bin/make_release:

	  Added generation of Borland makefiles along with the
	  release. Thanks to Johnny for reminding me on this.

Thu Jul 29 18:19:17 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* ace/config-irix6.x-common.h:
	* ace/config-irix6.x-g++.h:
	* ace/config-irix6.x-kcc.h:
	* ace/config-irix6.x-sgic++-nothreads.h:
	* ace/config-irix6.x-sgic++.h:

	  IRIX configuration updates that address compile- and run-time
	  errors.  Thanks to Kitty and Brian Waltersdorf
	  <brian dot j dot waltersdorf at boeing dot com> for supplying
	  the necessary changes and patch.

Wed Jul 28 00:09:08 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* examples/IPC_SAP/SSL_SAP/SSL-server-fancy.cpp (handle_events):

	  Fixed "comparison of signed and unsigned values" warning
	  exhibited by CBuilderX.

Tue Jul 27 07:11:50 2004  J.T. Conklin  <jtc@acorntoolworks.com>

	* Reverted change:
	  Tue Jun  8 16:27:39 2004  Steve Huston  <shuston@riverace.com>

	  MPC generated Makefile.am's are not quite ready for the upcoming
	  beta.

Tue Jul 27 06:18:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.h:
          Reverted my change of yesterday, the Cygwin people made an error and
          have corrected it already, the workaround is not needed for Cygwin
          anymore. According to the Cygwin mailing list we could also have
          fixed this by adding -Wl,--enable-runtime-pseudo-reloc as linker
          options, maybe this works also for MinGW, we should test this

Mon Jul 26 12:09:19 2004  Steve Huston  <shuston@riverace.com>

	* ace/Proactor.cpp: Add #include "ace/Auto_Ptr.h" to find auto_ptr<>
	  correctly on Visual Age C++.

Mon Jul 26 10:34:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.h:
          The latest version of the Cygwin binutils gives linker errors
          on the exported static members. The workaround we used for
          MinGW is now also needed for Cygwin.

Sun Jul 25 17:04:16 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* tests/Dev_Poll_Reactor_Test.cpp (server_worker):

	  Removed extern "C" declaration for this function.  Sun C++ 5.5
	  whines about it.

Sun Jul 25 23:18:53 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* Release:
	* bin/make_release:

	  Tag and bundle ACE_MPC along with the release. This seems to
	  work. Final stages of testing are on.

Sun Jul 25 22:16:27 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release:

	  Fixed some simple mistakes which prevented the release form
	  happening.

Sun Jul 25 22:13:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* Release:

	  Makefile with release information.

Fri Jul 23 16:08:21 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

	* ace/SOCK_Acceptor.cpp (accept): Added a check whether addr == 0
	  before calling a method on it.  Thanks to Heiko Nardmann
 	  <heiko.nardmann@secunet.com> for reporting this.

Fri Jul 23 10:19:00 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* ace/Proactor.cpp (timeout):

	  Release the asynch_timer instance from the auto_ptr<> after the
	  completion has been posted and prior to exiting this method
	  successfully.  Once the completion is posted, the proactor
	  becomes responsible for managing the asynch_timer memory.
	  Addresses memory access violations revealed by a
	  Proactor_Timer_Test failure.  Thanks to Johnny for pointing out
	  the failure.

Fri Jul 23 11:38:26 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* bin/make_release:

	  Changes to the make_release. This has not been tested
	  yet. Checking in to test it in a different repository.

Fri Jul 23 13:32:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/SOCK_Connector_Test.cpp:
          Fixed incorrect Id tag, the $ around was missing, therefore it
	  wasn't updated by cvs anymore.

Thu Jul 22 14:11:24 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* examples/Log_Msg/Log_Msg_MFC/MFC_Log.cpp (log):

	  Fixed Unicode build errors caused by use of raw "char" string
	  instead of an "ACE_TCHAR" string.

Thu Jul 22 16:47:31 2004  Steve Huston  <shuston@riverace.com>

	* examples/APG/Reactor/HAStatus.cpp:
	* examples/APG/Reactor/HAStatus-AC.cpp: (from pg 151, 174) In
	  ClientService::handle_input(), the data was not copied to the
	  ACE_Message_Block, nor was the write pointer updated. Changed the
	  allocation to only specify the needed size, and then call
	  ACE_Message_Block::copy() to copy the needed data in. Thanks to
	  Jaroslaw Nozderko <jaroslaw.nozderko@polkomtel.com.pl> for
	  reporting this problem.

Thu Jul 22 16:12:19 2004  Steve Huston  <shuston@riverace.com>

	* examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.cpp: Removed the call
	  to CWinAPp::Enable3dControls(). It's deprecated from MFC 5.0 on.

	* examples/NT_Service/ntsvc.cpp: Moved the schedule_timer() call from
	  the Service constructor to the svc() method. It's not needed for
	  simply installing and removing the service. Also, when the service
	  is to shut down, cancel the timer. Fixes a hanging handler crash
	  on shutdown. Thanks to Johann Kandlbauer <hkandl@gamed.com> for
	  reporting this problem.

	* THANKS: Added Johann Kandlbauer to the Hall of Fame.

Wed Jul 21 06:39:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added libs that must be build first in the msvc static builds

Mon Jul 19 21:11:18 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* tests/Dev_Poll_Reactor_Test.cpp:

	  Added missing "ace/OS_NS_netdb.h" include directive.  Addresses
	  compile-time errors on our Solaris 8 build.

Mon Jul 19 17:40:15 2004  Irfan Pyarali  <irfan@oomworks.com>

	* ace/WFMO_Reactor.cpp (bind_i):

	  Adam Rymarczuk noted that crashes occurred while adding handles
	  to the Reactor when the pending additions exceeded what the
	  to_be_added set could hold.  Even though logically speaking
	  there was space available because there were several deletions
	  pending, we are out of room in the to_be_added set because the
	  Reactor event loop hasn't run in a while (the to_be_added and
	  to_be_deleted sets are not processed until some thread runs the
	  event loop).

	  The solution to fix the out-of-bounds write is to add the check:

		this->handles_to_be_added_ < this->max_size_

	  to the bind_i() method.

	  Thanks to Adam Rymarczuk <adam.rymarczuk@suntradingllc.com> for
	  reporting this problem.  This closes bug 1878.

Mon Jul 19 09:25:58 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

	* ace/Proactor.cpp (timeout):

	  Fixed leaked ACE_Asynch_Result_Impl instance.  Thanks to
	  Fukasawa Mitsuo <fukasawa_mitsuo@nifty.com> for reporting the
	  problem.  [Bug 1879]

Mon Jul 19 06:38:00 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Instead of hard coding the makefile name, we use a new method on
          the WorkspaceCreator to get the current output name.  Also, when
          recursing into directories, pass the current makefile name as a
          parameter to make to ensure that we are sticking with the correct
          line of generated makefiles.

        * bin/MakeProjectCreator/config/kokyu_dsrt_scheduler_server.mpb:
        * bin/MakeProjectCreator/config/kokyu_dsrt_schedulers.mpb:

          Removed the project name from these base projects.

        * bin/MakeProjectCreator/config/client.mpb:

          Removed this file.  It is no longer referenced.

Sun Jul 18 11:33:58 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * Birthday number 42!!

Sun Jul 18 09:08:42 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added new PolicyFactory test to the test run list.

Sun Jul 18 00:26:19 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/QtReactor.h
        * ace/QtReactor.cpp

          Changed QtReactor constructors to follow the way plain
          ACE_Select_Reactor is constructed.

        * tests/QtReactor.cpp
        * tests/QtReactor.h
          Reduced number of socket handlers for QNX NTO as Qt@NTO is
          compiled with small FD_SETSIZE.

        * ace/config-qnx-rtp-62x.h
          Decreased FD_SETSIZE to 1000 to better follow QNX NTO limits.

Sat Jul 17 14:50:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.{h,cpp,i}:
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.{h,cpp,i}:
          Fixed compile errors in wchar build

Sat Jul 17 14:35:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Shared_Malloc/test_position_independent_malloc.cpp:
        * examples/Shared_Malloc/test_persistence.cpp:
        * examples/Shared_Malloc/test_malloc.cpp:
        * examples/Shared_Malloc/test_multiple_mallocs.cpp:
          Fixed compile errors in wchar build

Sat Jul 17 12:32:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/NonBlocking_Conn_Test.cpp:
          Replaced www.affa-az.com with www.dre.vanderbilt.edu, the first
          seems to be unavailable and this results in the failing of this
          test in our daily builds

Sat Jul 17 01:34:44 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/README (ACE_HAS_QT):
        Create section on ACE_HAS_QT and ACE_QTREACTOR_CLEAR_PENDING_EVENTS.

        * ace/QtReactor.cpp:
        * ace/QtReactor.h:
        Introduced ACE_QTREACTOR_CLEAR_PENDING_EVENTS switch to disable
        calling ACE_Event_Handler::handle_* for handles without activity,
        espacially for ACE_Acceptor::handle_input. see ace/README.

        * test/QtReactor_Test.cpp:
        * test/QtReactor_Test.cpp:
        Fixed bug related with bad interpretation of
        ACE_Acceptor::make_svc_handler. Modified some ACE_DEBUG.

Fri Jul 16 16:37:31 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ChangeLog: "Do not look at lazer pointer with remaining eye".

          Thanks to Russ Noseworthy
          <j.russell.noseworthy@objectsciences.com> for this deep thought
          ;-)

Fri Jul 16 07:27:56 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Makefile.am:
          Build UUIDTest.

        * ace/Makefile.am:
          Added support for building UUID subset.

Thu Jul 15 18:57:55 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * tests/QtReactor_Test.cpp: Fixed acceptor bug for Windows Qt.
        Added few debug messages.

Thu Jul 15 07:01:15 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:
          Removed ACE_HAS_STD_TEMPLATE_METHOD_SPECIALIZATION and added
          ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION checks.

          These feature-test macros are used to set ACE_TEMPLATE_METHOD_-
          SPECIALIZATION and ACE_TEMPLATE_CLASS_MEMBER_SPECIALIZATION as
          appropriate to accommodate the template specialization syntax
          required by different compilers.  The former is obsolete and
          has (mostly) been removed, the latter is used by TAO.

Wed Jul 14 10:10:24 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Dev_Poll_Reactor.h:

          Removed extraneous character that was inadvertently committed.

Tue Jul 13 22:51:53 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/Shared_Malloc/Options.h (slave_name):

          Corrected return value of this method.  "const ACE_TCHAR *", not
          "const char *".

        * examples/Shared_Malloc/Options.cpp:

          Fixed mismatched wide string concatenation.

Tue Jul 13 06:21:23 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/APG/Processes/Spawn.cpp (doWork):

          Fixed mismatched format specifier warning.

Mon Jul 12 20:08:17 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Dev_Poll_Reactor.h:

          The sys_epoll interface was introduced in Linux kernel 2.5.45.
          Don't support backported versions since they appear to be
          buggy.  The obsolete ioctl()-based interface is no longer
          supported.  Issue a preprocessor error in those cases.

Mon Jul 12 19:51:21 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/APG/Reactor/Client.cpp (ACE_TMAIN):
        * examples/APG/Streams/Answerer.cpp (get_outgoing_message):
        * examples/APG/Streams/Command.h:
        * examples/APG/Streams/CommandStream.cpp (open):
        * examples/APG/Streams/CommandTask.cpp (svc):
        * examples/APG/Streams/CommandTasks.cpp:
        * examples/APG/Streams/MessageInfo.h:
        * examples/APG/Streams/RecordingDevice_Text.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.i:
        * examples/Service_Configurator/Misc/main.cpp (ACE_TMAIN):
        * examples/Shared_Malloc/Options.h:
        * examples/Shared_Malloc/Options.cpp:
        * examples/Shared_Malloc/test_persistence.cpp (main):
        * examples/Shared_Memory/test_MM.cpp (main):
        * examples/Web_Crawler/HTTP_URL.cpp (send_request):
        * examples/Web_Crawler/URL_Addr.cpp (set):
        * examples/Web_Crawler/URL_Visitor.cpp (execute):

          Addressed compile-time problems in "wchar" builds (generally
          incorrect conversion from wchar * to char * and/or vice versa).

Mon Jul 12 18:29:12 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.h:
          When ACE_HAS_REACTOR_NOTIFICATION_QUEUE is defined include
          ace/Unbounded_Queue. This should fix the errors in the SunCC 5.5
          build

Mon Jul 12 20:32:25 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Service_Config.cpp:

          Fixed a bug with this change "Tue Jul  6 11:59:53 2004
          Balachandran Natarajan  <bala@dre.vanderbilt.edu>" which
          prevented any of the entries in svc.conf files from being read.

Sun Jul 11 20:26:17 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html
          Added MinGW and Cygwin to the list of environments Remedy supports

Mon Jul 12 01:31:53 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * tests/QtReactor_Test.cpp:
        * tests/QtReactor_Test.h:
        * tests/tests.mpc:
          New automatic test for testing QtReactor. This test may also
          serve  as an example of Qt and ACE integration.

        * ace/QtReactor.cpp:
        * ace/QtReactor.h:
          Many bugfixes in QtReactor. QtReactor is operational now, though
          it should be rewritten to make it more efficient and improve the
          clarity of sources. Moreover, valgrind reports small memory leak
          in QtReactor_Test, though it's not clear now if the leak results
          from QtReactor or test code.

Sun Jul 11 16:48:12 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Acceptor.cpp:
          Fixed compile error in commit of Douglas below

Sun Jul 11 10:52:06 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/SOCK_Acceptor.cpp (shared_open): ACE_SOCK_Acceptor::shared_open()
          was binding its passive-mode socket to INADDR_ANY whenever a
          wildcard is specified for the port.  Fixed this so that it uses
          whatever the actual address is (which could very well still be
          INADDR_ANY).  Thanks to Kobi Cohen-Arazi <kcarazi@finjan.com>
          and Ed Mulholland <emulholl@atl.lmco.com> for this solution.

Sun Jul 11 06:33:12 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added some projects that we must buld first in a static build before
          doing a full build

Sat Jul 10 10:18:30 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/SSL/SSL_SOCK_Stream.h:
        * ace/SSL/SSL_Asynch_Stream.h:

          Clarified "context" parameter copying semantics.

Thu Jul 10 09:38:44 2004 Frank Hunleth <frank@hunleth.com>

        * ace/config-openbsd.h:

          Added ACE_HAS_UCONTEXT_T for OpenBSD 3.5 and later.  Thanks to
          J.T. Conklin <jtc@acorntoolworks.com> for sending the patch over
          right after I upgraded to 3.5.

Sat Jul 10 09:37:34 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ACE-INSTALL.html:

          Added information on MPC for users who build from anon cvs
          repository.

Fri Jul  9 23:45:25 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RB_Tree.h (ACE_RB_Tree_Base::allocator):
        * ace/RB_Tree.inl:

          This non-template class method is now inlined in the RB_Tree.h
          header rather than in RB_Tree.inl since that file may be
          included multiple times when inlining is disabled and on
          platforms where ACE_TEMPLATES_REQUIRE_SOURCE is defined.  In
          those platform/configuration combinations, multiple definitions
          of this method occured.  Placing the definition inline in the
          header avoids such errors.

Fri Jul  9 21:23:13 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/RB_Tree.{h,inl,cpp}: Fixed a number of bugs pertaining to
          ACE_RB_Tree's failure to use its allocators correctly.  Thanks
          to Lothar Werzinger <lothar@xcerla.com> for these fixes.

        * ace/Global_Macros.h: Added macros for ACE_SOCK_DGRAM,
          ACE_SOCK_DGRAM_MCAST, and ACE_SOCK_DGRAM_BCAST so they will work
          on compilers like MIPSPro v.7.41 that don't support template
          typedefs.  Thanks to Brian Waltersdorf
          <brian.j.waltersdorf@boeing.com> for reporting this and
          suggesting a fix.

Thu Jul  8 16:00:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Queue_Adapters.h: If ACE_HAS_DEFERRED_TIMER_COMMANDS is
          set, #include "ace/Unbounded_Queue.h" and forward declare
          ACE_Command_Base, as these are needed later.

        * examples/Bounded_Packet_Relay/Bounded_Packet_Relay.mpc:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.h: Moved
          the #define ACE_HAS_DEFERRED_TIMER_COMMANDS macro setting from the
          .h file to the .mpc file. Helps poor Visual Age C++ deal with it
          correctly when instantiating templates.

        * examples/Bounded_Packet_Relay/BPR_Drivers_T.cpp: Added #include
          "ace/OS_NS_string.h" to pick up ACE_OS::memset().

Thu Jul  8 11:32:31 2004  Steve Huston  <shuston@riverace.com>

        * ace: Renamed config-aix-5.1.h to config-aix-5.x.h since it covers
          both AIX 5.1 and 5.2.

Thu Jul  8 08:56:53 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ACE.mwc:

          A workspace file ACE alone.

Thu Jul  8 01:09:32 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace: Renamed config-aix5.1.h to config-aix-5.1.h to be consistent
          with the other AIX config*.h files.

Wed Jul  7 21:26:00 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Dev_Poll_Reactor.h:
        * ace/Dev_Poll_Reactor.cpp:

          Integrated updates from Jaroslaw Nozderko
          <jaroslaw.nozderko@polkomtel.com.pl> that replace old Linux
          /dev/epoll based implementation to latest sys_epoll API.

          Added missing header inclusions.

        * tests/Dev_Poll_Reactor_Test.cpp:

          Added missing "ace/OS_NS_unistd.h" include.

Wed Jul  7 06:31:30 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Reverted my generic target change from Thu Jul  1 14:00:09 2004.
          It caused make to invoke every workspace target twice.

Wed Jul  7 00:03:34 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_errno.inl: Clarified why ACE_OS::last_error()
          has a preference for errno.  Thanks to Lance Paine
          <lance@ams.co.nz> for motivating this.

Tue Jul  6 16:13:31 2004  Rich Seibel <seibel_r@ociweb.com>

        * bin/tao_other_tests.lst:
          Added the new test for nsadd change.

        * THANKS: added Dave Knox to file.

Tue Jul  6 15:02:30 2004  Steve Huston  <shuston@riverace.com>

        * tests/run_test.lst: Added Dev_Poll_Reactor_Test.

Tue Jul  6 11:59:53 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Service_Config.cpp: Reverted the following change.


          Tue Mar 16 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P4
          * ace/Service_Config.cpp: Insert component into repository before
            calling init as in the init the component may access the
            service repository.

          Dr. Schmidt opines that this change is wrong for the following
          reasons:

          (1) If the init () call returns a -1, the component should not
              be in the repository in the first place.

          (2) If the component is in the repository, there is a
              possibility that another application thread could access the
              component in the repository before the component is
              initialized.


           Unless we address the above concerns to satisfaction, this
           change cannot be added to the repository.

Tue Jul  6 12:03:19 2004  Steve Huston  <shuston@riverace.com>

        * netsvcs/lib/Token_Handler.cpp (parse_args): The inherited
          ACE_Strategy_Acceptor::service_port_ member was removed prior
          to ACE 5.3. Use a local variable instead. Thanks to Johnny
          Willemsen for reporting this.

Mon Jul  5 11:45:34 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/UUID.cpp (ACE_Utils):

          Corrected syntax error in ACE_Thread_ID instance.

Mon Jul  5 10:40:59 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/UUID.cpp (ACE_Utils): Replaced the ACE_Thread_ID constructor
          with the new one that calls the ACE_OS::thr_self() methods.

        * ace/OS_NS_Thread.{h,cpp}: Added a new constructor to
          ACE_Thread_ID that calls the ACE_OS::thr_self() methods to
          initialize an object, rather than having to do this externally
          to the constructor.

Mon Jul  5 14:46:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Removed ACE_LACKS_SYS_MSG_H and added ACE_HAS_TIMEZONE_GETTIMEOFDAY
          to fix compile errors with Cygwin

Sun Jul  4 20:30:56 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_Thread.cpp: There was some weirdness in the
          to_string() method, which should have been using the local data
          members for the thread id and thread handle, but instead was
          calling the OS functions directly...  Thanks to Michael Hollins
          <michael.hollins@silverbrookresearch.com> for reporting this.

Sat Jul  3 06:46:06 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-openbsd.h:
          #define ACE_HAS_UCONTEXT_T.  Addresses a compile-time error.

Fri Jul  2 17:54:22 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/ThreadPools/Task_ThreadPool.cpp: Break out of
          Manager::svc() when getq() fails. Thanks to J.T. Conklin
          <jtc@acorntoolworks.com> for reporting this.

Fri Jul  2 10:42:00 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Based_Pointer_T.inl (operator->): Replaced the use of
          a C-style cast with a reinterpret cast.  Thanks to
          Rick Ohnemus <rick.ohnemus@systemware.com> for this fix, which
          closes bugid 1866.

        * ACE-INSTALL.html (HREF): Fixed a typo.  Thanks to
          Rick Ohnemus <rick.ohnemus@systemware.com> for this fix, which
          closes bugid 1867.

Thu Jul  1 17:03:40 2004  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:

          Updated to include files from the DAnCE directory.

Thu Jul  1 16:59:03 2004  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_deployment_stub:

          Updated to include files from the DAnCE directory.

Thu Jul  1 16:24:47 2004  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_servant_dnc.mpb:

          Updated the mpb files to point to the
          new DAnCE directory.

Thu Jul  1 14:42:36 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * etc/ciao_assembly_deployer.doxygen:
        * etc/ciao_componentserver.doxygen:
        * etc/ciao_daemon.doxygen:

          Fixed some reference error. Thanks to Johnny Willemsen
          <jwillemsen@remedy.nl> for reporting these bugs.

Thu Jul  1 14:00:09 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/default.rel:

          Reworded some comments.

        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:

          Removed an unused variable.

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Added a generic target that just passes the target on to the
          children makefiles.  This is the last target in the generated
          workspace to avoid problems with explicitly listed targets such as
          all, clean, realclean, etc.

          Also removed the deprecated "reverseclean" target.

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added support for the new MPC 'postcommand' keyword for custom
          definitions.  See $MPC_ROOT/README for more details.

        * include/makeinclude/wrapper_macros.GNU:

          Changed the default INSLIB location from $(ACE_ROOT)/ace to
          $(ACE_ROOT)/lib.

Thu Jul  1 13:34:51 2004  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: Change the ACE_UINT64_FORMAT_SPECIFIER and
          ACE_INT64_FORMAT_SPECIFIER to depend on the value of
          ACE_SIZEOF_LONG. If long is an 8-byte type, then the 'l'
          format modifier is correct instead of 'll'. Fixes compile
          warnings from g++ in 64-bite mode. Thanks to Andre Kostur
          <akostur@incognito.com> for this fix.

Thu Jul  1 07:54:11 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_Thread.inl: Changed the thr_min_stack() wrapper method
          so it just calls the underlying OS function without using
          ACE_ADAPT_RETVAL.  Thanks to Mattias Nilsson
          <mattias.o.nilsson@ericsson.com> for reporting this bug and
          providing a fix.

Thu Jul  1 09:42:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * html/index.html:
          Fixed html tag so that ciao documentation is not on a lower level

Thu Jul  1 09:10:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          When Valgrind is set, don't add valgrind exe, this is done
          in PerlACE already

Wed Jun 30 10:56:21 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_component_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_servant_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_server_dnc.mpb:

          Use the DnC version of the libraries for linking and related
          tasks instead of the regular core libraries.

        * bin/MakeProjectCreator/config/global.features:

          removed 'dnc = 0' nonsense.

Wed Jun 30 08:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SString.cpp:
          To make things easier to maintenance use the new
          ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION macro to check
          whether we need to explicit instantiate static template members.
          This macro is set for the GNU compiler for AIX, HPUX and VxWorks.

Wed Jun 30 06:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux_aCC.GNU:
          Removed usage of inst_close, inst_auto and inst_none. These control
          how templates are used, but this setup caused a crash in the HP
          assigner. I have check this on the aCC mailing list and it seems that
          these options are obsolete and shouldn't be used, the compiler is
          already capable at handling templates for a long time. I have
          done a test run with the HP aCC compiler without these options
          and then the crash in the assigner is gone and we don't got any
          other errors, so removed these options

Tue Jun 29 19:30:31 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Dev_Poll_Reactor.h (mask_ops, mask_ops_i):

          Added return value documentation for these methods.

        * ace/Dev_Poll_Reactor.cpp (remove_handler_i):

          Corrected problem where error condition may be incorrectly
          detected in some cases.  Thanks to Jaroslaw Nozderko
          <jaroslaw.nozderko@polkomtel.com.pl> for pointing out the
          problem.

Tue Jun 29 08:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/tao_ifr.doxygen:
          Fixed errors in the listing of the tagfiles

        * etc/ciao.doxygen:
        * etc/ciao_assembly_deployer.doxygen:
        * etc/ciao_componentserver.doxygen:
        * etc/ciao_daemon.doxygen:
        * etc/ciao_serveractivator.doxygen:
        * etc/ciao_xml_helpers.doxygen:
          Corrected the location where the documentation of the tagged
          files can be found

Tue Jun 29 06:55:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Sockets/Basic_Robust.cpp:
        * examples/APG/Sockets/Iovec.cpp:
          Compile fixes for unicode builds

Mon Jun 28 23:42:18 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-lynxos.h (ACE_HAS_NONCONST_MSGSND):

          LynxOS 4's msgsnd() function accepts a non-const "void *" buffer
          argument.  Addresses a compile-time error.

Tue Jun 29 06:08:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Naming/Nodelocal.cpp:
        * examples/APG/Naming/Temperature_Grapher_Options.h:
        * examples/APG/Naming/Temperature_Monitor_Options.h:
          Fixed compile errors in unicode build.

Mon Jun 28 16:39:25 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS.h:
          Removed preprocessor conditional with identical contents
          for both cases.

Mon Jun 28 16:34:29 2004  Steve Huston  <shuston@riverace.com>

        * configure.ac: If wcstok() is detected, added a check for whether it
          has 2 or 3 parameters; set ACE_HAS_3_PARAM_WCSTOK if it's 3.

        * m4/subsets.m4: Added the Filecache, Metrics, and UUID components
          to the selectable subsets of ACE.

        * m4/config_h.m4: Added a template for ACE_LACKS_ACE_UUID and
          ACE_HAS_3_PARAM_WCSTOK.

        Note that I also removed the subset-building support from the MPC
        template for automake files. So, these subset-selecting options are
        still here as a placeholder for now, but will likely be removed in
        the future. If subset building is required, then more effort will
        need to be put into the automake support in MPC.

Mon Jun 28 17:27:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Acceptor.h:
        * ace/Sock_Connect.h:
        * ace/SUN_Proactor.h:
        * ace/Token.h:
        * ace/Token_Collection.h:
        * ace/Token_Manager.h:
          Doxygen improvements

Mon Jun 28 16:42:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ciao.doxygen:
        * etc/ciao_assembly_deployer.doxygen:
        * etc/ciao_componentserver.doxygen:
        * etc/ciao_daemon.doxygen:
        * etc/ciao_serveractivator.doxygen:
        * etc/ciao_xml_helpers.doxygen:
          Fixed errors in the listing of the tagfiles

Mon Jun 28 16:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * os-patches/linux-patches.html:
        * os-patches/lynxos-patches.html:
          Removed these files, they are really old and outdated

Mon Jun 28 15:55:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Processes/Spawn.cpp:
          Fixed compile error in unicode build

Mon Jun 28 15:46:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Config/HA_Status.cpp:
          Fixed compile error in unicode build

Mon Jun 28 14:08:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/OS/Process/imore.cpp:
          Fixed compile errors in unicode build

Mon Jun 28 12:15:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Svc_Handler.h:
        * ace/Synch_Options.h:
        * ace/WIN32_Proactor.h:
          Doxygen improvements

Mon Jun 28 08:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TODO:
          Zapped this file from the repo, it is really outdated.

Mon Jun 28 08:06:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/tests/Integer_Test.cpp:
          Fixed warnings in MinGW build

Mon Jun 28 08:01:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Process_Unix.pm:
          Removed ACE_RUN_VALGRIND_OPT for valgrind. The easiest way
          to do this is to set the environment variable VALGRIND_OPTS and
          then valgrind will use these settings. This way the user can
          control all the options of valgrind, which options there are,
          see the valgrind documentation

Mon Jun 28 06:58:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.{h,cpp}:
          Changed COMMAND to MYCOMMAND to fix compile errors wit HPUX 11i and
          GCC, COMMAND seems to be a define there.

        * bin/footprint_stats.sh:
          Fixed path of ValueType library

Sun Jun 27 21:42:47 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/Misc/test_XtReactor1.cpp:
        * examples/Misc/test_XtReactor2.cpp:

          Fixed compile-time errors due to missing headers.

          Fixed compile-time warning about deprecated conversion from a
          string constant to char *.

        * tests/TkReactor_Test.cpp:

          Fixed compile-time errors due to missing headers.

Sun Jun 27 10:22:03 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Logging_Strategy.h: Clarified the use of the ACE_Reactor.
          Thanks to Randy Secrest <secrest@ieee.org> for motivating this.

Sat Jun 26 11:44:05 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/XtReactor_Test.cpp:

          Added missing #include "ace/OS_NS_unistd.h".  It is needed for
          the ACE_OS::sleep() declaration.

Fri Jun 25 17:40:29 2004  Steve Huston  <shuston@riverace.com>

        * tests/Max_Default_Port_Test.cpp (client): Specify AF_INET when
          giving both a port and hostname string. The listener was set up
          at IPv4, so make sure this one is as well. Fixes this test's failures
          when running on an IPv6-enabled system.

Fri Jun 25 18:40:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Removed all options for valgrind. The easiest way to do this is
          to set the environment variable VALGRIND_OPTS and then valgrind
          will use these settings. This way the user can control all the
          options of valgrind, which options there are, see the valgrind
          documentation

Fri Jun 25 11:47:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Configuration.h:
        * ace/Local_Name_Space_T.h:
        * ace/Obstack_T.h:
        * ace/POSIX_Asynch_IO.h:
        * ace/SOCK_IO.h:
          Added @deprecated to the deprecated methods and typedefs so that
          doxygen puts them on a deprecated page and marks them also visible
          deprecated in the documentation itself

Fri Jun 25 08:28:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Env_Value_T.h:
          Doxygen fixes

Fri Jun 25 08:03:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Based_Pointer_Repository.cpp:
        * ace/Timeprobe_T.h:
          Doxygen fixes

Fri Jun 25 07:56:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timeprobe.cpp:
          Fixed explicit template instantiations

Thu Jun 24 08:55:49 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-lite.h (ACE_WIN32CALL_RETURN):

          Reverted usage of static_cast<> back to C style cast.  Some
          compilers on Windows fail to compile some ACE code when using
          the former.

Thu Jun 24 07:03:27 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_dlfcn.inl:
        * ace/OS_NS_signal.inl:
        * ace/OS_NS_stdio.inl:
        * ace/OS_NS_sys_shm.inl:
        * ace/OS_NS_sys_socket.inl:
        * ace/OS_NS_unistd.inl:
        * ace/config-openvms.h:
        * ace/config-tandem-nsk-mips-v2.h:
          Removed conditional code enabled by ACE_LACKS_POSIX_PROTOTYPES
          and ACE_LACKS_SOME_POSIX_PROTOTYPES, as those macros have been
          obsolete for some time.

Thu Jun 24 06:59:29 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:
          Added checks for ACE_LACKS_WCSCAT, ACE_LACKS_WCSCHR,
          ACE_LACKS_WCSCMP, ACE_LACKS_WCSCPY, ACE_LACKS_WCSCSPN,
          ACE_LACKS_WCSDUP, ACE_LACKS_WCSICMP, ACE_LACKS_WCSLEN,
          ACE_LACKS_WCSNCAT, ACE_LACKS_WCSNCMP, ACE_LACKS_WCSNCPY
          ACE_LACKS_WCSNICMP, ACE_LACKS_WCSPBRK, ACE_LACKS_WCSRCHR,
          ACE_LACKS_WCSSPN, ACE_LACKS_WCSSTR, ACE_LACKS_WCSTOD,
          ACE_LACKS_WCSTOK, ACE_LACKS_WCSTOL, and ACE_LACKS_WCSTOUL.

Wed Jun 23 17:31:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-lite.h: For ACE_OSCALL[_RETURN] macros, changed the
          static_cast back to a C-style cast. Not enough type information
          was known in all cases. Particularly, on HP-UX, the return value
          from shl_load() is a pointer to a struct, and the struct internals
          aren't known. This caused aC++ to refuse to do the static_cast.
          Also see:
          Mon Jun 21 13:37:57 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

Wed Jun 23 11:25:23 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
          Changed to not check for SysV IPC functions unless the
          cooresponding header files are present.  OS X does not support
          SysV IPC, but it's C library contains stubs for all the system
          calls (probably left over from the BSD libc).

        * ace/README:
        * ace/config-openvms.h:
        * ace/os_include/sys/os_shm.h:
          Removed ACE_LACKS_SHMID_DS_T.  Replaced conditional definition
          with an opaque declaration.

        * ace/README:
        * ace/config-openvms.h:
        * ace/config-win32-common:
        * ace/os_include/sys/os_msg.h:
          Removed ACE_LACKS_MSQID_DS_T.  Replaced conditional definition
          with an opaque declaration.

        * configure.ac:
        * ace/README:
        * ace/config-mvs.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp-62x.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-tandem.h:
        * ace/config-win32-common.h:
        * ace/os_include/sys/os_msg.h:
        * m4/config_h.m4:
          Removed ACE_LACKS_MSGBUF_T.  Previous changed removed last
          instance where msgbuf was used.

        * ace/OS_NS_sys_msg.inl:
          Fixed case where C-style cast was being used to cast away const
          when it didn't need to.

        * ace/OS_NS_sys_msg.inl:
          Removed conditional code enabled by ACE_LACKS_POSIX_PROTOTYPES
          and ACE_LACKS_SOME_POSIX_PROTOTYPES, as those macros have been
          obsolete for some time.

Wed Jun 23 11:24:39 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_macros.h:

          Missed one static_cast<> reversion in the Win32 case.  See the
          "Tue Jun 22 12:33:49 2004  Ossama Othman
          <ossama@dre.vanderbilt.edu>" ChangeLog entry for details.

Wed Jun 23 12:18:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/String_Base.{h inl}: Added new method, fast_clear(), which
          sets the string length to 0. Doesn't release string-allocated
          memory, but if the memory was externally supplied, it is no
          longer referenced from the string object. Thanks to
          Sergei Kuchin <skuchin@mqsoftware.com> for contributing this
          method.

        * tests/SString_Test.cpp: Added smoke test for fast_clear().

        * THANKS: Added Sergei Kuchin to the Hall of Fame.

Wed Jun 23 14:51:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/footprint_stats.sh:
          Added strategies library and corrected locations of valuetype
          and rtscheduler library

Wed Jun 23 06:52:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
        * ace/README:
          Changed ACE_HAS_MEMORY_PROFILER to ACE_INITIALIZE_MEMORY_BEFORE_USE.
          The last says better what we do. This define is then set when
          running with valgrind or purify. Thanks to Chris Cleeland for
          the suggestion

Tue Jun 22 16:54:35 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
          Changed ACE_HAS_LIMITED_RUSAGE_T and ACE_HAS_BROKEN_SETRLIMIT
          checks to include <sys/time.h> before <sys/resource.h>.
          Changed ACE_HAS_BROKEN_WRITEV check to use !ACE_LACKS_UNISTD_H
          instead of ACE_HAS_UNISTD_H (which is never set).

Tue Jun 22 13:54:36 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-macosx-panther.h:
        * ace/config-macosx.h:
          Changed to define only ACE_HAS_TIMEZONE_GETTIMEOFDAY.
          ACE_HAS_VOIDPTR_GETTIMEOFDAY had also been defined.

Tue Jun 22 12:33:49 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_macros.h (ACE_SOCKCALL_RETURN):

          Reverted my change that turned the C style cast into a
          static_cast<> in the Win32 case.   ACE uses Win32 HANDLES (a
          void * type), and MSVC++ 6 won't accept a static_cast<> from a
          pointer type to an integral type.

Tue Jun 22 07:27:27 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * ace/OS_NS_sys_time.inl:
        * ace/README:
        * ace/config-cygwin32.h:
        * ace/config-hpux-10.x.h:
        * ace/config-hpux-11.00.h:
        * ace/config-hpux11.h:
        * ace/config-linux-common.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx.h:
        * ace/config-rtems.h:
        * ace/config-sco-4.2-nothread.h:
        * ace/config-sco-5.0.0-mit-pthread.h:
        * ace/config-sunos4-lucid3.2.h:
        * ace/config-sunos4-sun3.x.h:
        * ace/config-sunos4-sun4.1.4.h:
        * ace/config-sunos4-sun4.x.h:
        * ace/config-tandem.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/os_include/sys/os_time.h:
        * m4/config_h.m4:
          Renamed ACE_HAS_SUNOS4_GETTIMEOFDAY to ACE_HAS_VOIDPTR_GETTIMEOFDAY.
          Changed canned SunOS 4 configs to use ACE_HAS_TIMEZONE_GETTIMEOFDAY,
          as SunOS wasn't changed to use a void * until SunOS 5/Solaris 2.

Tue Jun 22 13:57:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
        * ace/README:
          I am testing with valgrind. This also detects unitialized memory
          like purify and in TAO we use ACE_HAS_PURIFY to explicitly
          initialize memory to prevent errors from Purify. To prevent that
          we check for different tools inside the TAO code, introduced
          ACE_HAS_MEMORY_PROFILER which will be used within TAO, this is then
          set when ACE_HAS_PURIFY or ACE_HAS_VALGRIND is set. If we need some
          more special things for the tools, we can easily set a new define
          based on ACE_HAS_PURIFY and ACE_HAS_VALGRIND.

        * ace/Asynch_Acceptor.h:
          Doxygen update

Tue Jun 22 12:49:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/performance_stats.sh:
          Also run the AMH_Single_Threaded performance test

        * html/Stats/detailed_performance.shtml:
          Added the AMH_Single_Threaded performance test. Now we can monitor
          the performance of AMH also. This is in preparation of some changes
          that add the ability to use allocators for the AMH Response Handlers
          which should have a positive effect on the performance. With
          AMH on the scoreboard we can monitor it directly.

Tue Jun 22 08:05:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Process_Unix.pl:
          When using valgrind things go slower, so added code to set the
          delay factor, so that timeouts get longer. We start with 5, maybe
          that is enough. Also corrected the setting of the timeout for
          purify

Tue Jun 22 07:07:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Process_Unix.pl:
          Added the option to use valgrind as memory test tool. This can
          be enabled by setting the environment variable ACE_RUN_VALGRIND_CMD
          to the valgrind version you want to start. If this is set, then
          valgrind is used with the default options "-q --leak-check=yes
          --trace-children=yes". This can be overruled by setting the
          environment variable ACE_RUN_VALGRIND_OPT, if that is set
          we use those options, if the default options are not complete,
          feel free to add new ones.

Mon Jun 21 23:19:38 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ftorbutils.mpb:

          This base project requires minimum CORBA support to be disabled.
          Projects that depend on these base projects must be aware of
          this.  Added an "avoids += minimum_corba" entry.

Mon Jun 21 22:31:45 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-freebsd.h:
        * ace/config-netbsd.h:
        * ace/config-openbsd.h:
          Changed to define ACE_HAS_TIMEZONE_GETTIMEOFDAY instead of
          ACE_HAS_SUNOS4_GETTIMEOFDAY.

Mon Jun 21 13:49:22 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_macros.h:

          Use a static_cast<> instead of a C style cast.  ANSI C++ casts
          are the preferred method of casting in ACE.

Mon Jun 21 13:37:57 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-lite.h:

          Removed versions of ACE_OSCALL and ACE_OSCALL_RETURN macros that
          restarted the given operation when ACE_HAS_SIGNAL_SAFE_OS_CALLS
          was defined.  That capability was never enabled by any of our
          supported platforms.  In fact, some parts of ACE would not
          function properly when that ability was enabled.  Furthermore,
          they assumed that ability to restart system calls was determined
          statically.  That assumption does not hold for modern platforms,
          where that ability is determined dynamically at run-time.
          Thanks to J.T. Conklin for pointing out the problems with
          defining ACE_HAS_SIGNAL_SAFE_OS_CALLS.

          These changes also fix a problem with self-assignment of the
          variable used to store the return value of an operation wrapped
          within an ACE_ADAPT_RETVAL macro (e.g. ACE_OSCALL_RETURN
          (ACE_ADAPT_RETVAL (..., ace_result_),...).  Thanks to Andrew
          G. Harvey <agh@cisco.com> for poiniting out the
          self-assignment.

        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_signal.inl:
        * ace/OS_NS_unistd.inl:

          Updated ACE_OSCALL_RETURN(ACE_ADAPT_RETVAL()) macro calls to use
          a locally declared result variable instead of the one that
          existed in the ACE_OSCALL_RETURN macro.  The latter no longer
          exists.

        * ace/README:

          Removed documentation for ACE_HAS_SIGNAL_SAFE_OS_CALLS macro.
          It is no longer used.

Mon Jun 21 13:13:09 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:
          Removed ACE_HAS_SIGNAL_SAFE_OS_CALLS test.  The macro has
          been deprecated.

Mon Jun 21 13:21:38 2004  Steve Huston  <shuston@riverace.com>

        * ace/String_Base.cpp (resize): Don't free() the existing buffer if
          release_ is 0. Caller controls the memory area and freeing it may
          be a very bad thing to do. The larger allocated area causes the
          release_ flag to be set to 1. Thanks to Kelly Hickel
          <kfh@mqsoftware.com> for reporting this.

Mon Jun 21 12:45:20 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_SOCK_Connector.cpp: Added #include "ace/OS_NS_errno.h"
          so Visual Age C++ can see ACE_OS::set_errno_to_last_error().

Mon Jun 21 09:17:56 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_Thread.cpp (thr_create): Only try to close down the
          tmp_handle if it's not NULL.  Thanks to chdommreis@t-online.de
          for reporting this and providing a fix.  This fixes bugid 1859.

Mon Jun 21 11:56:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Enabled leak check and tracing of child processes for Valgrind.

Mon Jun 21 10:19:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Added new config Valgrind to be able to run the tests under
          Valgrind.

Sun Jun 20 22:09:58 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * m4/ace.m4 (ACE_CONFIGURATION_OPTIONS):
        * tests/Makefile.am:

          Added support for conditionally building IPv6 tests.

        * tests/Dirent_Test.cpp (TEST_ENTRY):

          Changed filename detected in test to one that always exists in
          configure-based VPATH builds (run_test.lst).  Addresses a
          problem where the test would fail since the file in question
          only existed in the source directory.  Thanks to J.T. Conklin
          for reporting this problem.

Sun Jun 20 23:35:05 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * doc/ACE-subsetting.html:
          Updated to reflect the current subsetting work we've been doing
          over the last year or so.  This is a first cut, and will be
          revised before the release.

Sun Jun 20 13:03:19 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/loadbalancing.mpb:

          TAO's load balancing service requries AMI support, not just the
          messaging library.  Added missing "requires += ami".

Sun Jun 20 12:33:11 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ftrteventchannel.mpb:

          The FTRT_EventChannel requires CORBA messaging support.  Added
          missing "requires += corba_messaging" to this base project.

Sun Jun 20 12:17:08 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/event.mpb:
        * bin/MakeProjectCreator/config/ftrtevent.mpb:

          These base projects require minimum CORBA support to be
          disabled.  Projects that depend on these base projects must be
          aware of this.  Added an "avoids += minimum_corba" entry.

Sun Jun 20 18:27:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadManagement/Priorities.cpp:
          Replaced include of ace/OS.h with ace/OS_unistd.h and fixed typo
          in macro

Sun Jun 20 17:59:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TLI_Acceptor.cpp:
          Fixed compile warning in Tru64 build

Sun Jun 20 09:39:58 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_time.h:
          Changed to call gettimeofday() for timezone information on
          OpenBSD systems again, it turns out it does not export the
          global timezone variable.

Sun Jun 20 14:39:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/FILE.{h,cpp}:
          Removed deprecated position() set method, use seek()
          Removed deprecated position() get method, use tell()

        * ace/Timer_Queue_Adapters.{h,inl}:
          Removed the deprecated timer_queue() method that returns a
          reference

        * examples/Timer_Queue/Thread_Timer_Queue_Test.cpp:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp:
          Don't use the deprecated timer_queue() that returns a
          reference

        * examples/APG/Signals/SigInfo.cpp:
          Use ACE_OS::strerror instead of strerror directly.

        * examples/IPC_SAP/FILE_SAP/client.cpp:
          Don't use the ACE_FILE deprecated methods

Sun Jun 20 00:25:17 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_time.inl:
          Instructions in powerpc inline assembly code introduced in:
          Fri Jun 18 12:42:52 2004  J.T. Conklin  <jtc@acorntoolworks.com>
          need to be separated by newlines, not semicolons, which may be
          interpreted as comment characters.

Sat Jun 19 07:11:48 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:
        * ace/README:
        * ace/config-chorus.h:
        * ace/config-cygwin32.h:
        * ace/config-integritySCA.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx.h:
        * ace/config-psos-diab-mips.h:
        * ace/config-psos-diab-ppc.h:
        * ace/config-psos-diab.h:
        * ace/config-psos-tm.h:
        * ace/config-psosim-g++.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp-62x.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-rtems.h:
        * ace/config-tandem.h:
        * ace/config-vxworks5.x.h:
          Changed ACE_LACKS_SYSV_MSG_H to ACE_LACKS_SYS_MSG_H.  Both
          were used in various places throughout ACE.

Sat Jun 19 11:23:28 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/minimumTAO.html:

          This document doesn't belong in ACE. Moving it to TAO/docs.

Sat Jun 19 13:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Signals/SigInfo.cpp:
          Use ACE_DEBUG to output a message that fork is needed, and
          don't include ace/streams.h, it is not needed

Sat Jun 19 13:29:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/High_Res_Timer.h:
          Improved doxygen tags

Sat Jun 19 12:48:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_String.h:
          Removed commented out code

Sat Jun 19 12:26:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Fixed small issues

Sat Jun 19 07:39:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/QoS/SOCK_Dgram_Mcast_QoS.{h,cpp,i}:
          Changed checks for ACE_LACKS_INLINE_FUNCTIONS with __ACE_INLINE__ in
          the h/cpp files. In the .i files changed ASYS_INLINE with ACE_INLINE.

Sat Jun 19 07:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_SOCK_Acceptor.cpp:
          Added missing include for non inlined builds

Sat Jun 19 07:24:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_SOCK.{h,cpp,i}:
        * ace/SSL/SSL_SOCK_Acceptor.{h,cpp,i}:
        * ace/SSL/SSL_SOCK_Connector.{h,cpp,i}:
        * ace/SSL/SSL_SOCK_Stream.{h,cpp,i}:
          Changed checks for ACE_LACKS_INLINE_FUNCTIONS with __ACE_INLINE__ in
          the h/cpp files. In the .i files changed ASYS_INLINE with ACE_INLINE.

Fri Jun 18 18:36:39 2004  Steve Huston  <shuston@riverace.com>

        * docs/index.html: Changed title of the ACE-tutorial.pdf/ps link to
          say it's a tutorial, not the ACE programmer's guide, so as not to
          confuse this with "The ACE Programmer's Guide" (APG). Thanks to
          Johnny Willemsen for pointing out this confusion.

        * docs/ACE-tutorials.html: Removed. All of the pertinent information
          is on the index.html page.

Fri Jun 18 12:42:52 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_time.cpp:
        * ace/OS_NS_time.inl:
        * ace/OS_NS_time.h:
          Changed GNU C version of readPPCTimeBase() so it can be
          inlined in ACE_OS::gethrtime() and compiled on Mac OS X
          where "r" register prefixes are required in inline asm.

Fri Jun 18 12:04:35 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACE_INSTALL.html:
          Added description of --enable-ipv6 and --enable-ipv4-ipv6
          flags.

        * m4/ace.m4:
          Added --enable-ipv6 flag which sets ACE_HAS_IPV6.
          Added --enable-ipv4-ipv6 flag which sets
          ACE_USES_IPV4_IPV6_MIGRATION.

        * m4/config_h.m4:
          Added ACE_USES_IPV4_IPV6_MIGRATION template.

Fri Jun 18 10:23:49 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ACE-INSTALL.html:

          Updated some more URLs, and improved formatting of some text.

Fri Jun 18 11:49:23 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/ACE-inheritance.pdf:
        * docs/ACE-inheritance.ps.gz:

          These are simply out dated files. Doxygen produces better
          things. Users should refer to doxygen and not this.

Fri Jun 18 11:47:22 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/ACE-SSL.html:
        * docs/ACE-bug-process.html:
        * docs/ACE-development-process.html:
        * docs/ACE-guidelines.html:
        * docs/ACE-porting.html:
        * docs/msvc_notes.txt:
        * docs/usage-bugzilla.html:

          Updated all these documents with new links. Tried removing
          outdated information as much as possible.

Fri Jun 18 10:12:47 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ACE-INSTALL.html:

          Updated ACE-INSTALL with information about a bunch of things
          related to MPC. Haven't updated anything about using MPC other
          than pointing out the documentation. Need to see what else
          should be added.

        * docs/msvc_notes.txt:

          Updated this file about the location of libraries.

        * include/makeinclude/wrapper_macros.GNU:

          Added documentation for the option stlport=1 which can be used
          in platform_macros.GNU.

Fri Jun 18 11:08:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
          Removed setting ASYS_INLINE, we don't use it anymore, instead we
          use ACE_INLINE

Fri Jun 18 10:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-openvms.h:
          Removed all commented out defines

        * ace/IOStream_T.cpp:
          Added include of ace/OS_Memory.h

Thu Jun 17 21:54:37 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/configure.ac:
          Changed ACE_LACKS_UNIX_DOMAIN_SOCKETS check to #include
          <sys/types.h> before <sys/un.h>; it is required by many
          systems.

Thu Jun 17 22:10:18 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Timer_Wheel_T.cpp:

          Fixed recalc_earliest() to remember the spoke with the earliest
          time not from the current wheel iteration.  If the entire wheel
          is searched and no earliest time from the current iteration is
          found, then the remembered spoke is the earliest_spoke_.  Thanks
          to Ken Descoteaux <ken@proquent.com> for this fix.  This fixes
          bugid 1853.

Thu Jun 17 12:48:09 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/configure.ac:
          Added small part of change:
          Wed Jun 16 16:00:52 2004  J.T. Conklin  <jtc@acorntoolworks.com>
          that was not committed at the time.

        * ace/OS_NS_time.h:
          Changed to avoid use of gettimeofday() for timezone info
          on *BSD systems.  Changed to always call tzset() for all
          systems that get timezone info from global variable.
          This fixes bugzilla bug 1845.

Thu Jun 17 09:19:45 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:
          Added checks for pthread_suspend(), pthread_suspend_np(),
          pthread_continue(), pthread_continue_np(), and pthread_
          resume_np() which set ACE_HAS_PTHREAD_SUSPEND, etc...

        * ace/OS_NS_Thread.inl:
          Changed to call pthread_suspend_np(), pthead_continue_np(), or
          pthread_resume_np() as appropriate, depending on the values of
          the above macros.
          This fixes bugzilla bug 1839.

Thu Jun 17 11:52:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_SOCK_Stream.cpp:
        * examples/C++NPv2/AC_CLient_Logging_Daemon.cpp:
        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-server-poll.cpp:
        * tests/CDR_Array_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/CDR_Test.cpp:
        * tests/Config_Test.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/SSL/Thread_Pool_Reactor_SSL_Test.cpp:
          Added needed includes to fix AIX Visual Age C++ compile problems.

Thu Jun 17 09:43:49 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * docs/ACE-porting.html: Updated this file so that it mentions
          CIAO and also provides additional information on porting
          logistics for people who want to contribute a port back to the
          DOC group.  Thanks to Thomas Rohner <thomas.rohner@hp.com>
          for motivating this.

Thu Jun 17 09:20:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Bounded_Packet_Relay/BPR_Drivers_T.cpp:
          Added missing include to fix compile error in HPUX build

Wed Jun 16 16:00:52 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:
          Added check for getifaddrs() which sets ACE_HAS_GETIFADDRS if it
          does not exist.

        * configure.ac:
        * m4/config_h.m4:
        * ace/OS_NS_Thread.inl:
        * ace/README:
          Added new config knob ACE_LACKS_RWLOCKATTR_PSHARED for those
          systems which support thread but not processes scope rwlocks.
          This fixes bugzilla bug 1841.

        * configure.ac:
        * m4/config_h.m4:
        * ace/README:
          Removed check for pthread_suspend() and pthread_continue() in
          ACE_HAS_PTHREADS_UNIX98_EXT test as these interfaces were not
          part of the Version 2 of the Single Unix Specification
          (aka UNIX98).
          This fixes bugzilla bug 1840.

Wed Jun 16 16:51:52 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Context.h: Changed include of os_include/os_pthread.h to
          OS_NS_Thread.h so ACE_mutex_t is picked up correctly on all
          platforms.

        * ace/SSL/SSL_SOCK_Acceptor.cpp:
        * ace/SSL/SSL_SOCK_Connector.cpp:
        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client-simple.cpp:
        * tests/SOCK_Test_IPv6.cpp:
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:
        * tests/Proactor_Test_IPV6.cpp: Added missing #include directives
          to fix compiler errors.

Wed Jun 16 15:02:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Acceptor.cpp:
        * ace/Get_Opt.cpp:
        * ace/MEM_Acceptor.cpp:
        * ace/SOCK_SEQPACK_Acceptor.cpp:
        * ace/SOCK_SEQPACK_Association.cpp:
        * ace/SOCK_SEQPACK_Connector.cpp:
        * ACEXML/common/SAXExceptions.cpp:
        * ACEXML/common/URL_Addr.cpp:
        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp:
        * examples/C++NPv2/display_logfile.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-memclient.cpp:
        * examples/IPC_SAP/TLI_SAP/ftp-client.cpp:
        * examples/Logger/Acceptor-server/server_loggerd.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_dgram_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_fifo_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_pipe_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_stream_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/remote_stream_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/remote_service_directory_test.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.cpp:
        * examples/Synch/proc_sema.cpp:
        * netsvcs/lib/Client_Logging_Handler.cpp:
        * performance-tests/Misc/basic_perf.cpp:
        * performance-tests/TCP/tcp_test.cpp:
        * performance-tests/UDP/udp_test.cpp: Added missing #include
          directives to fix compile errors on AIX Visual Age C++.

        * ace/Flag_Manip.h: Added #include "ace/os_include/os_fcntl.h" to
          make the values for ACE_Flag_Manip available to callers.

        * ace/POSIX_Proactor.cpp:
        * ace/POSIX_Asynch_IO.cpp: Added #include "ace/Flag_Manip.h" and
          changed ACE::set_flags() to ACE_Flag_Manip::set_flags().

        * Kokyu/DSRT_Dispatcher_Impl_T.h: Added #includes to pick up needed
          declarations for ACE_SYNCH_RECURSIVE_MUTEX.

Wed Jun 16 12:48:21 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_unistd.inl (access): Fixed the ACE_HAS_WINCE part of this
          to check the opened handle for 0,  not ACE_INVALID_HANDLE, since it's
          a FILE *, not a handle. With this fix, the WinCE part and the VxWorks
          part are the same, so they were combined.

        * tests/OS_Test.cpp: Added access_test() to test ACE_OS::access()
          features.

Wed Jun 16 06:58:33 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
          Fixed typo.

Wed Jun 16 12:23:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-bug-process.html:
        * docs/ACE-development-process.html:
          Corrected links for commercial support and always use the generic
          page with all commercial support companies

        * docs/ACE-porting.html:
          Updated that ACE_OS is now a namespace, not a class

Wed Jun 16 12:05:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-porting.html:
          Updated, we now require C++ namespace and ANSI casts.

Wed Jun 16 10:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_ctype.{h,inl}:
          Added ace_isalnum, ace_isalpha, ace_iscntrl, ace_isdigit,
          ace_isgraph, ace_islower, ace_ispunct, ace_isupper, ace_isxdigit,
          and to_upper. This fixes bugzilla [1762].

        * ace/config-freebsd.h:
        * ace/config-linux-common.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-vxworks5.x.h:
          Added define ACE_LACKS_TOWUPPER, these files already set
          ACE_LACKS_TOWLOWER so I assume that they are the ones
          that also lack towlower.

        * ace/Get_Opt.cpp:
          Use ACE_OS::isalnum instead of isalnum directly to fix compile
          errors in Tru64 build.

Wed Jun 16 10:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/Service_Config.perl:
          Zapped this file, it converts very old ACE code in a little bit
          newer code and we don't need to do this anymore

Wed Jun 16 09:59:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/rename-ace.pl:
          Zapped this file, we don't use it and there is no need to keep it

Wed Jun 16 09:57:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_pretty.pl:
          Zapped this file from the repo, we have now autobuild for this

Wed Jun 16 09:54:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_compile_stats.sh:
          Let the default yrange be 5 seconds, 10 seconds is too much for ACE,
          the graphs are hard to read.

Wed Jun 16 08:00:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/*.{h,cpp,i,inl}:
        * ace/Makefile.ac:
        * ace/ace.mpc:
          Replaced all .i files with its .inl version. Cvs can't handle
          rename, so the .i file is removed and the same contents is
          added as .inl, so if you need history, it can be that you
          have to look at the .i file for the complete history. Updated
          the .h and .cpp files for the needed includes.

Tue Jun 15 23:31:51 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
          Changed ACE_HAS_UCONTEXT_T test to include <signal.h> and
          <ucontext.h> (if it exists).
          This fixes bugzilla bug 1844.

        * configure.ac:
          Set ACE_SIG_MACROS if any of sigemptyset, sigdelset, sigaddset,
          sigdelset, or sigismember are macros.
          This fixes bugzilla bug 1836.

Wed Jun 16 06:13:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TLI.h:
        * ace/TLI_Acceptor.cpp:
        * ace/TLI_Connector.cpp:
        * ace/TLI_Stream.cpp:
          Added missing includes

Tue Jun 15 22:11:09 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/IOStream/client/iostream_client.cpp:

          Added missing "ace/OS_NS_stdlib.h" and "ace/OS_NS_unistd.h"
          includes.

Tue Jun 15 20:27:06 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/os_include/sys/os_select.h:
          Added #include of os_unistd.h to bring in select() declaration
          on 4.4BSD derived systems.
          This fixes bugzilla bug 1842.

        * configure.ac:
        * ace/config_h.m4:
          Added check for gethostent which sets ACE_LACKS_GETHOSTENT if
          it does not exist.
          This fixes bugzilla bug 1838.

        * configure.ac:
        * ace/config_h.m4:
          Changed check for <stropts.h> to set ACE_LACKS_STROPTS_H if it
          doesn't exist.
          This fixes bugzilla bug 1837.

        * ace/Log_Msg.cpp:
          Avoid declaring sys_nerr on those targets which provide one in
          their system headers to avoid conflicts due to differing const
          qualification, etc.
          This fixes bugzilla bug 1843.

Tue Jun 15 12:18:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Local_Name_Space_T.cpp:
          Added missing include

Tue Jun 15 08:09:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Log_Msg/Log_Msg_MFC/MFC_Log.cpp:
          Added missing include

Mon Jun 14 16:46:35 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * include/makeinclude/rules.local.GNU:
        * bin/DependencyGenerator/GNUObjectGenerator.pm:
        * bin/DependencyGenerator/GNUDependencyWriter.pm:
          Generated dependencies that do not depend on the particular
          values of VDIR, VSHDIR, OBJEXT and SOEXT at the time of the
          dependency generation.  Using the values is silly, as they can
          easily be expanded when the dependencies are used.  This new
          style makes dependencies "portable."

        * bin/DependencyGenerator/Preprocessor.pm:
          Only consider lines that match '^\s*#', preprocessor directives
          follow that pattern.  The old code could have added #includes
          inside comments (except that most comments were stripped.)
          Reduce the depth of those nested ifs() a little bit.

Mon Jun 14 20:16:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TLI_Acceptor.h:
          Added missing ;

Mon Jun 14 19:26:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated supported platforms and Borland instructions

Mon Jun 14 13:58:02 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * docs/ACE-guidelines.html: Updated the guidelines to
          recommend the use of ".inl" suffices for inline files, rather
          than ".i".  Thanks to Patrick Bennett <patrick.bennett@inin.com>
          for motivating this change.

Mon Jun 14 18:37:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Misc/preempt.cpp:
        * performance-tests/Server_Concurrency/Leader_Follower/leader_follower.cpp:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/workers.cpp:
        * performance-tests/TCP/tcp_test.cpp:
        * performance-tests/UDP/udp_test.cpp:
          Added missing include for non-inlined builds.

Mon Jun 14 18:28:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp:
        * examples/C++NPv1/Reactive_Logging_Server.h:
        * examples/C++NPv1/Reactive_Logging_Server_Ex.h:
        * examples/Connection/blocking/SPIPE-connector.cpp:
        * examples/IPC_SAP/SOCK_SAP/FD-unclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/FD-unserver.cpp:
        * examples/Mem_Map/IO-tests/test_io.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_stream_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_pipe_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_dgram_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.i:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.i:
        * examples/Shared_Malloc/test_malloc.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Client.cpp:
        * examples/System_V_IPC/SV_Semaphores/Semaphores_1.cpp:
        * examples/System_V_IPC/SV_Semaphores/Semaphores_2.cpp:
        * examples/Threads/future1.cpp:
        * examples/Threads/future2.cpp:
        * netsvcs/lib/Client_Logging_Handler.cpp:
        * netsvcs/lib/clients/Logger/direct_logging.cpp:
          Added missing include for non-inlined builds.

Mon Jun 14 17:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadPool/TP_Reactor.cpp:
          Added missing include for non-inlined builds.

Mon Jun 14 16:49:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACEXML/common/Mem_Map_Stream.cpp:
        * apps/Gateway/Gateway/Conrete_Connection_Handlers.cpp:
        * apps/Gateway/Gateway/Gateway.cpp:
        * apps/JAWS/client/Blobby/blobby.cpp:
        * apps/drwho/HT_Client.cpp:
        * apps/drwho/HT_Server.cpp:
        * apps/drwho/PMC_All.cpp:
        * apps/drwho/PMC_Flo.cpp:
        * apps/drwho/PMC_Ruser.cpp:
        * apps/drwho/PMC_Usr.cpp:
        * apps/drwho/PMS_All.cpp:
        * apps/drwho/PMS_Flo.cpp:
        * apps/drwho/PMS_Ruser.cpp:
        * apps/drwho/PMS_Usr.cpp:
        * apps/drwho/PM_Client.cpp:
        * apps/drwho/server.cpp:
          Added missing include for non-inlined builds.

Mon Jun 14 15:11:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Shared_Memory_Pool_Growth.cpp:
          Added missing include for non-inlined builds.

Mon Jun 14 15:08:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/FIFO_Test.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/MT_Reactor_Upcall_Test.cpp:
        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Malloc_Test.cpp:
        * tests/Priority_Reactor_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/SOCK_Test.cpp:
        * tests/SV_Shared_Memory_Test.cpp:
        * tests/Signal_Test.cpp:
        * tests/TP_Reactor_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:
          Added missing include for non-inlined builds.

Mon Jun 14 14:43:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Handle_Gobbler.i:
        * tests/Conn_Test.cpp:
          Added missing include

Mon Jun 14 14:36:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TTY_IO.cpp:
          Added missing include

Mon Jun 14 09:22:53 2004  Patrick Bennett  <patrick.bennett@inin.com>

        * ace/Dirent_Selector.cpp:
          ACE_Dirent_Selector destructor now calls internal close() method.
          Previously, the memory allocated by ACE_Dirent_Selector would be
          leaked upon clean destruction or exception unwind unless close()
          was explicitly called.

Mon Jun 14 14:08:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/POSIX_Proactor.cpp:
          Added missing include

Mon Jun 14 13:59:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.cpp:
        * ace/ACE.h:
        * ace/ACE.i:
        * ace/Asynch_Acceptor.cpp:
        * ace/Condition_Recursive_Thread_Mutex.cpp:
        * ace/Condition_Recursive_Thread_Mutex.h:
        * ace/Configuration.cpp:
        * ace/DEV.cpp:
        * ace/DEV.h:
        * ace/DEV.i:
        * ace/DEV_Connector.cpp:
        * ace/DEV_Connector.h:
        * ace/DEV_Connector.i:
        * ace/DEV_IO.cpp:
        * ace/DEV_IO.h:
        * ace/DEV_IO.i:
        * ace/Date_Time.cpp:
        * ace/Date_Time.h:
        * ace/Date_Time.i:
        * ace/Dirent_Selector.inl:
        * ace/Event_Handler.i:
        * ace/FIFO.cpp:
        * ace/FIFO_Recv.cpp:
        * ace/FIFO_Recv.h:
        * ace/FIFO_Recv.i:
        * ace/FIFO_Recv_Msg.cpp:
        * ace/FIFO_Recv_Msg.h:
        * ace/FIFO_Recv_Msg.i:
        * ace/FIFO_Send.cpp:
        * ace/FIFO_Send.h:
        * ace/FIFO_Send.i:
        * ace/FIFO_Send_Msg.cpp:
        * ace/FIFO_Send_Msg.h:
        * ace/FIFO_Send_Msg.i:
        * ace/FILE.cpp:
        * ace/FILE.h:
        * ace/FILE.i:
        * ace/FILE_Connector.cpp:
        * ace/FILE_Connector.h:
        * ace/FILE_Connector.i:
        * ace/FILE_IO.cpp:
        * ace/FILE_IO.h:
        * ace/FILE_IO.i:
        * ace/Filecache.cpp:
        * ace/FlReactor.h:
        * ace/Flag_Manip.cpp:
        * ace/Flag_Manip.h:
        * ace/Flag_Manip.i:
        * ace/Framework_Component_T.cpp:
        * ace/Framework_Component_T.h:
        * ace/Handle_Ops.cpp:
        * ace/Handle_Ops.h:
        * ace/IO_SAP.cpp:
        * ace/IO_SAP.h:
        * ace/IO_SAP.i:
        * ace/IPC_SAP.cpp:
        * ace/IPC_SAP.h:
        * ace/IPC_SAP.i:
        * ace/Init_ACE.cpp:
        * ace/Init_ACE.h:
        * ace/LSOCK.cpp:
        * ace/LSOCK.h:
        * ace/LSOCK.i:
        * ace/LSOCK_Acceptor.cpp:
        * ace/LSOCK_CODgram.cpp:
        * ace/LSOCK_CODgram.h:
        * ace/LSOCK_CODgram.i:
        * ace/LSOCK_Connector.cpp:
        * ace/LSOCK_Connector.h:
        * ace/LSOCK_Connector.i:
        * ace/LSOCK_Dgram.cpp:
        * ace/LSOCK_Dgram.h:
        * ace/LSOCK_Dgram.i:
        * ace/LSOCK_Stream.cpp:
        * ace/LSOCK_Stream.h:
        * ace/LSOCK_Stream.i:
        * ace/Lib_Find.h:
        * ace/Log_Msg.cpp:
        * ace/Log_Msg_NT_Event_Log.cpp:
        * ace/Log_Msg_UNIX_Syslog.cpp:
        * ace/Log_Record.cpp:
        * ace/Log_Record.h:
        * ace/Log_Record.i:
        * ace/Logging_Strategy.cpp:
        * ace/MEM_Acceptor.cpp:
        * ace/MEM_Acceptor.h:
        * ace/MEM_Acceptor.i:
        * ace/MEM_Connector.cpp:
        * ace/MEM_Connector.h:
        * ace/MEM_Connector.i:
        * ace/MEM_IO.cpp:
        * ace/MEM_IO.h:
        * ace/MEM_IO.i:
        * ace/MEM_SAP.cpp:
        * ace/MEM_SAP.h:
        * ace/MEM_SAP.i:
        * ace/MEM_Stream.cpp:
        * ace/MEM_Stream.h:
        * ace/MEM_Stream.i:
        * ace/Memory_Pool.cpp:
        * ace/Metrics_Cache.cpp:
        * ace/Metrics_Cache.h:
        * ace/Multihomed_INET_Addr.i:
        * ace/Naming_Context.cpp:
        * ace/OS_Dirent.cpp:
        * ace/OS_Dirent.h:
        * ace/OS_Log_Msg_Attributes.inl:
        * ace/OS_Thread_Adapter.cpp:
        * ace/OS_Thread_Adapter.h:
        * ace/Obchunk.i:
        * ace/Object_Manager_Base.cpp:
        * ace/Object_Manager_Base.h:
        * ace/POSIX_Asynch_IO.cpp:
        * ace/POSIX_Asynch_IO.h:
        * ace/Parse_Node.i:
        * ace/Pipe.cpp:
        * ace/Pipe.h:
        * ace/Pipe.i:
        * ace/Process.cpp:
        * ace/Process_Manager.cpp:
        * ace/Process_Mutex.h:
        * ace/Process_Semaphore.cpp:
        * ace/RW_Process_Mutex.cpp:
        * ace/Reactor_Notification_Strategy.inl:
        * ace/Reactor_Timer_Interface.h:
        * ace/Registry.cpp:
        * ace/SOCK.h:
        * ace/SOCK_Acceptor.cpp:
        * ace/SOCK_Acceptor.h:
        * ace/SOCK_Acceptor.i:
        * ace/SOCK_CODgram.cpp:
        * ace/SOCK_Connector.cpp:
        * ace/SOCK_Connector.h:
        * ace/SOCK_Dgram.cpp:
        * ace/SOCK_Dgram_Bcast.cpp:
        * ace/SOCK_Dgram_Bcast.h:
        * ace/SOCK_Dgram_Bcast.i:
        * ace/SOCK_Dgram_Mcast.cpp:
        * ace/SOCK_Dgram_Mcast.h:
        * ace/SOCK_Dgram_Mcast.i:
        * ace/SOCK_IO.cpp:
        * ace/SOCK_IO.i:
        * ace/SOCK_SEQPACK_Acceptor.cpp:
        * ace/SOCK_SEQPACK_Acceptor.h:
        * ace/SOCK_SEQPACK_Acceptor.i:
        * ace/SOCK_SEQPACK_Association.cpp:
        * ace/SOCK_SEQPACK_Association.h:
        * ace/SOCK_SEQPACK_Association.i:
        * ace/SOCK_SEQPACK_Connector.cpp:
        * ace/SOCK_SEQPACK_Connector.h:
        * ace/SOCK_SEQPACK_Connector.i:
        * ace/SOCK_Stream.cpp:
        * ace/SOCK_Stream.h:
        * ace/SOCK_Stream.i:
        * ace/SPIPE.cpp:
        * ace/SPIPE.h:
        * ace/SPIPE.i:
        * ace/SPIPE_Connector.cpp:
        * ace/SPIPE_Connector.h:
        * ace/SPIPE_Connector.i:
        * ace/SPIPE_Stream.cpp:
        * ace/SPIPE_Stream.h:
        * ace/SPIPE_Stream.i:
        * ace/SV_Message_Queue.cpp:
        * ace/SV_Message_Queue.h:
        * ace/SV_Message_Queue.i:
        * ace/SV_Semaphore_Complex.cpp:
        * ace/SV_Semaphore_Complex.h:
        * ace/SV_Semaphore_Complex.i:
        * ace/SV_Semaphore_Simple.cpp:
        * ace/SV_Semaphore_Simple.h:
        * ace/SV_Semaphore_Simple.i:
        * ace/Service_Config.h:
        * ace/Service_Manager.i:
        * ace/Shared_Object.i:
        * ace/Strategies_T.cpp:
        * ace/Strategies_T.h:
        * ace/Strategies_T.i:
        * ace/Svc_Conf_l.cpp:
        * ace/Synch.cpp:
        * ace/Synch.h:
        * ace/Synch_Options.i:
        * ace/Synch_T.cpp:
        * ace/Synch_T.h:
        * ace/System_Time.cpp:
        * ace/Test_and_Set.h:
        * ace/Thread_Adapter.i:nl
        * ace/Timeprobe.i:
        * ace/Token_Request_Reply.h:
        * ace/UPIPE_Acceptor.cpp:
        * ace/UPIPE_Acceptor.h:
        * ace/UPIPE_Acceptor.i:
        * ace/UPIPE_Connector.cpp:
        * ace/UPIPE_Connector.h:
        * ace/UPIPE_Connector.i:
        * ace/UPIPE_Stream.i:
        * ace/WIN32_Asynch_IO.cpp:
        * ace/WIN32_Proactor.cpp:
          Changed checks for ACE_LACKS_INLINE_FUNCTIONS with __ACE_INLINE__ in
          the h/cpp files. In the .i files changed ASYS_INLINE with ACE_INLINE.
          We now just use one method of including inline files. As a side effect
          we now have to add some extra includes for non inlined builds because
          they don't get the includes of the .i files anymore for free.

        * ace/config-openvms.h:
          Removed not needed lines

        * ace/SSL/SSL_Context.cpp:
        * ace/Based_Pointer_Repository.cpp:
        * ace/Dynamic.cpp:
        * ace/UUID.cpp:
          To make things easier to maintenance use the new
          ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION macro to check
          whether we need to explicit instantiate static template members.
          This macro is set for the GNU compiler for AIX, HPUX and VxWorks.

        * ace/Dev_Poll_Reactor.cpp:
        * ace/Dev_Poll_Reactor.h:
        * ace/Reactor.h:
        * ace/Reactor.i:
        * ace/Reactor_Impl.h:
        * ace/Select_Reactor_Base.cpp:
        * ace/Select_Reactor_T.cpp:
        * ace/Select_Reactor_T.h:
        * ace/WFMO_Reactor.cpp:
        * ace/WFMO_Reactor.h:
          Removed deprecated set_timer_queue method

        * ace/ATM_Acceptor.h:
        * ace/Stream.h:
        * ace/TLI_Acceptor.h:
          No need to include ace/Time_Value.h, just forward declare
          ACE_Time_Value.

        * ace/Condition_Recursive_Thread_Mutex.inl:
        * ace/Dynamic_Service_Base.i:
        * ace/FlReactor.i:
        * ace/Framework_Component_T.inl:
        * ace/Handle_Ops.i:
        * ace/Init_ACE.i:
        * ace/OS_Thread_Adapter.inl:
        * ace/Metrics_Cache.i:
        * ace/Lib_Find.i:
        * ace/OS_Dirent.inl:
        * ace/Object_Manager_Base.inl:
        * ace/POSIX_Asynch_IO.i:
        * ace/Synch_T.i:
        * ace/Synch.i:
        * ace/Test_and_Set.i:
          Removed these files, they are empty. If we need to have an inline file
          we will add it when needed.

        * ace/Makefile.am:
          Removed the files I zapped from the repo

Mon Jun 14 08:28:24 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * docs/ACE-development-process.html: The link to

          http://ace.cs.wustl.edu/bugs/index.cgi

          should point to

          http://deuce.doc.wustl.edu/bugzilla/index.cgi

          Thanks to Patrick Bennett <Patrick.Bennett@inin.com> for
          reporting this.

Mon Jun 14 11:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Timer_Queue/Reactor_Timer_Queue_Test.cpp
          Use ACE_Reactor::timer_queue instead of the deprecated set_timer_queue

        * tests/Config_Test.cpp:
        * tests/Log_Msg_Test.cpp:
        * tests/Mem_Map_Test.cpp:
        * tests/MM_Shared_Memory_Test.cpp:
        * tests/MT_Reactor_Timer_Test.cpp:
        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Naming_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Proactor_Scatter_Gather_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/SOCK_Connector_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Test.cpp SPIPE_Test.cpp:
        * tests/Time_Service_Test.cpp:
        * tests/Time_Value_Test.cpp:
        * tests/Tokens_Test.cpp:
        * tests/UPIPE_SAP_Test.cpp:
        * websvcs/lib/URL_Addr.cpp:
        * examples/Reactor/WFMO_Reactor/Talker.cpp:
        * examples/Service_Configurator/IPC-tests/client/local_fifo_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/remote_service_directory_test.cpp:
        * examples/Service_Configurator/IPC-tests/client/remote_stream_client_test.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.i:
        * examples/Web_Crawler/URL_Addr.cpp:
        * ASNMP/tests/test_config.h:
          Added needed includes. I am working on changing checks for
          ACE_LACKS_INLINE_FUNCTIONS by checks for __ACE_INLINE_ in ACE,
          so that we can enabled/disable inlining completely in ACE. As a
          result of this I reduced some header file dependencies and now
          some tests need more includes. More of these changes will follow.

        * tests/Framework_Component_DLL.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/Timeprobe_Test.cpp:
        * netsvcs/lib/Name_Handler.cpp:
        * netsvcs/lib/Server_Logging_Handler.cpp:
        * performance-tests/Misc/test_singleton.cpp:
          To make things easier to maintenance use the new
          ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION macro to check
          whether we need to explicit instantiate static template members.
          This macro is set for the GNU compiler for AIX, HPUX and VxWorks.

Sun Jun 13 15:44:23 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tests/Message_Queue_Test.cpp: Enhanced this test so that it
          checks to see whether dequeue_prio() works properly.

Sun Jun 13 18:12:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/tmcast.mpb:
          For TMCast we require threads and we shouldn't set the
          dynamicflags. That is only required when we build a library
          and not when we use it.

Sun Jun 13 17:05:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS/clients/Blobby/blobby.cpp:
        * apps/JAWS/server/IO.cpp:
        * apps/gperf/src/Hash_Table.cpp:
          Added needed includes

Sun Jun 13 17:01:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Logging/Callback-2.h:
        * examples/APG/Sockets/Basic_Robust.cpp:
        * examples/APG/Sockets/Server.cpp:
        * examples/C++NPv1/Logging_Client.cpp:
        * examples/C++NPv2/Client_Logging_Daemon.cpp:
        * examples/C++NPv2/Logging_Handler.cpp:
        * examples/C++NPv2/WFMO_Reactor_Logging_Server.cpp:
        * examples/IPC_SAP/DEV_SAP/writer/writer.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-server.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-test.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inclient.h:
        * examples/IPC_SAP/SPIPE_SAP/NPClient.cpp:
        * examples/IPC_SAP/SPIPE_SAP/NPServer.cpp:
        * examples/Logger/client/logging_app.cpp:
        * examples/Logger/simple-server/Logging_Handler.cpp:
        * examples/OS/Process/imore.cpp:
        * examples/QOS/Diffserv/diffserv_test.cpp:
        * examples/RMCast/Send_File/Receiver.cpp:
        * examples/RMCast/Send_File/Sender.cpp:
        * examples/Reactor/Dgram/CODgram.cpp:
        * examples/Reactor/FIFO/client.cpp:
        * examples/Reactor/FIFO/server.cpp:
        * examples/Reactor/Misc/test_demuxing.cpp:
        * examples/Reactor/Proactor/test_cancel.cpp:
        * examples/Reactor/Proactor/test_multiple_loops.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp:
        * examples/Reactor/WFMO_Reactor/Registry_Changes.cpp:
          Added needed includes. I am working on changing checks for
          ACE_LACKS_INLINE_FUNCTIONS by checks for __ACE_INLINE_ in ACE,
          so that we can enabled/disable inlining completely in ACE. As a
          result of this I reduced some header file dependencies and now
          some tests need more includes. More of these changes will follow.

        * examples/APG/Logging/Use_LogManager.cpp:
        * examples/APG/Timers/PTimerDispatcher.cpp:
        * examples/APG/Timers/TimerDispatcher.cpp:
        * examples/C++NPv2/TP_Logging_Server.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inserver-fancy.cpp:
        * examples/Logger/simple-server/server_loggerd.cpp:
        * examples/Logger/Acceptor-server/server_loggerd.cpp:
        * examples/Threads/auto_event.cpp:
        * examples/Threads/tss2.cpp:
          To make things easier to maintenance use the new
          ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION macro to check
          whether we need to explicit instantiate static template members.
          This macro is set for the GNU compiler for AIX, HPUX and VxWorks.

        * examples/APG/Shared_Memory/Hash_Map.cpp:
        * examples/APG/Shared_Memory/Malloc.cpp:
        * examples/APG/Shared_Memory/PI_Malloc.cpp:
        * examples/APG/Shared_Memory/Pool_Growth.cpp:
          Fixes for wchar builds

Sun Jun 13 16:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_footprint_chart.sh:
          Removed fixed yrange of 3000. Especially for the smaller libraries
          the generated graphs are hard to read. Just let gnuplot determine
          the needed yrange

Sun Jun 13 15:19:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Log_Msg/Log_Msg_MFC/StdAfx.h:
          Fixed errors in mfc builds.

Sun Jun 13 11:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Config_Test.cpp:
        * tests/Log_Msg_Test.cpp:
        * tests/Mem_Map_Test.cpp:
        * tests/MM_Shared_Memory_Test.cpp:
        * tests/MT_Reactor_Timer_Test.cpp:
        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Naming_Test.cpp:
        * tests/Pipe_Test.cpp:
        * tests/Proactor_Scatter_Gather_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/SOCK_Connector_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Test.cpp SPIPE_Test.cpp:
        * tests/Time_Service_Test.cpp:
        * tests/Time_Value_Test.cpp:
        * tests/Tokens_Test.cpp:
        * tests/UPIPE_SAP_Test.cpp:
          Added needed includes. I am working on changing checks for
          ACE_LACKS_INLINE_FUNCTIONS by checks for __ACE_INLINE_ in ACE,
          so that we can enabled/disable inlining completely in ACE. As a
          result of this I reduced some header file dependencies and now
          some tests need more includes. More of these changes will follow.

        * tests/Framework_Component_DLL.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/Timeprobe_Test.cpp:
          To make things easier to maintenance use the new
          ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION macro to check
          whether we need to explicit instantiate static template members.
          This macro is set for the GNU compiler for AIX, HPUX and VxWorks.

Sun Jun 13 10:19:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-aix-4.x.h:
        * ace/config-hpux-10.x-g++.h:
        * ace/config-hpux-11.00.h:
        * ace/config-vxworks5.x.h:
        * ace/README:
          Added new macro ACE_HAS_EXPLICIT_STATIC_TEMPLATE_MEMBER_INSTANTIATION.
          With the GCC compiler on HPUX, AIX and VxWorks we need to explictly
          instantiate static template members to assure that we have the static
          only once. This new macro is a side effect of bug 1823. We check
          for GNU and one of the mentioned OS's in the cpp files but this
          is hard to maintain and once in a while we find that in a certain
          file we lack a check for a certain OS. This new macro will be used
          as replacement so that we can control whether to instantiate the
          static template members from the config files. The changes to the
          cpp files will follow soon.

Sat Jun 12 17:16:53 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Message_Queue_T.cpp (dequeue_prio_i): Change the use of
         < to <= so that we'll find the earliest message in a group of
          messages with the same priority to preserve FIFO order.  Thanks
          to Olivier Brunet <o.brunet@free.fr> for reporting this problem.

        * ace/Message_Queue_T.h (class ACE_Message_Queue): Updated the
          documentation to be accurate about preserving FIFO order within
          a priority level.

        * ace/Message_Queue_T.cpp (enqueue_i): Fixed an incorrect comment
          - the tail is where the lowest priority message is and the head
          is where the higest priority message is!

Fri Jun 11 17:16:01 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * docs/README.tutorials:

          New README file pointing users to C++NPv{1,2} and APG examples.

Fri Jun 11 14:11:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.inl:
          Fixed unused parameter warning

Fri Jun 11 13:27:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Moved the Recursive_Condition_Bug_Test to the end of the list, it
          crashes hard with Cygwin and prevents to other tests from running.
          This way we now get a better overview of our current Cygwin support.

Thu Jun 10 21:40:03 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * docs/tutorials:

          Removed obsolete ACE tutorials.  They are not maintained, and
          have been superseded by the C++NPv{1,2} and APG examples in
          their corresponding `ACE_wrappers/examples' directories.

Thu Jun 10 18:41:29 2004  Steve Huston  <shuston@riverace.com>

        * apps/JAWS3/jaws3/Asynch_IO.cpp:
        * apps/JAWS3/jaws3/IO.h:
        * apps/JAWS3/jaws3/Config_File.cpp:
        * apps/JAWS3/jaws3/Datagram.h:
        * apps/JAWS3/jaws3/Export.h:
        * apps/JAWS3/jaws3/Options.cpp:
        * apps/JAWS3/jaws3/Protocol_Handler.h:
        * apps/JAWS3/jaws3/Symbol_Table.h
        * apps/JAWS3/jaws3/Synch_IO.cpp:
        * apps/JAWS3/jaws3/THYBRID_Concurrency.cpp:
        * apps/JAWS3/jaws3/TPOOL_Concurrency.cpp:
        * apps/JAWS3/jaws3/TPR_Concurrency.cpp:
        * apps/JAWS3/jaws3/Task_Timer.h:
        * apps/JAWS3/jaws3/Templates.cpp:
        * apps/JAWS3/jaws3/Timer.h:
        * apps/JAWS3/jaws3/Timer_Helpers.h:
        * examples/APG/Misc_IPC/UDP_Broadcast.cpp:
        * examples/APG/Misc_IPC/UDP_Multicast.cpp:
        * examples/APG/Misc_IPC/UDP_Unicast.cpp:
        * examples/APG/Shared_Memory/Mem_Map.cpp:
        * examples/APG/Svc_Config/HA_Configurable_Server_Dynamic.cpp:
        * examples/APG/Svc_Config/HA_Configurable_Server_Static.cpp:
        * examples/APG/Svc_Config/HA_Status_Dynamic.cpp:
        * examples/APG/Svc_Config/HA_Status_Static.cpp:
        * examples/APG/ThreadManagement/Async_Cancel.cpp:
          Don't include "ace/OS.h" - it screws up HP aC++ and somehow starts
          complaining about mismatched t_bind things in OS_TLI.inl. Weird.

Thu Jun 10 19:41:02 2004  Olli Savia  <ops@iki.fi>

        * ACE-INSTALL.html:

          Updated LynxOS resource advice.

Thu Jun 10 10:07:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/Makefile.am: Added Functor_String.{h inl cpp}. Thanks to
          J.T. Conklin for reporting this.

Wed Jun  9 09:36:03 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Select_Reactor_Base.cpp:
        * ace/Select_Reactor_T.cpp:

          Use prefix {in,dec}rement operators where applicable instead of
          postfix operators.  The former are more efficient.

Wed Jun 09 09:27:21 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/WFMO_Reactor.cpp:

          Use prefix {in,dec}rement operators where applicable instead of
          postfix operators.  The former are more efficient.

          Fixed "pointless comparison of unsigned integer with zero"
          MSVC++ 7.1 warning.

        * ace/Process_Manager.cpp (wait):

          Fixed incorrect preprocessor conditional.  Addresses "pointless
          comparison of unsigned integer with zero" warning from MSVC++
          7.1.

Wed Jun  9 12:04:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_sys_socket.inl (closesocket): Changed the constant passed
          to ACE_OS::shutdown() from SD_SEND to ACE_SHUTDOWN_WRITE to make
          it portable for Winsock1 and Winsock2 environments. Thanks to
          Weida Ma <weida@flyingdonkey.com> for reporting this problem.

Wed Jun  9 10:47:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/Dirent_Selector.cpp (close): Regarding this:
          Thu Jun  3 18:49:59 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>
          Only platforms with ACE_LACKS_STRUCT_DIR dynamically allocate the
          d_name string. All others include it in the dirent struct itself.
          Please see Bugzilla 1833 - this problem should be remedied in
          ACE_OS::scandir_emulation itself, and this patch removed.

Tue Jun  8 17:01:32 2004  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_hpux_aCC.GNU: Removed the AREXTRA
          definition. It caused all the files to be listed twice on the
          ar command line; once from xargs and once from the command given
          to xargs. Thanks to Ofira Shaer <Oshaer@ndsisrael.com> for
          reporting this problem.

        * THANKS: Added Ofira Shaer.

Tue Jun  8 16:27:39 2004  Steve Huston  <shuston@riverace.com>

        * configure.ac: Removed the individual AC_CONFIG_FILE entries for the
          automake-generated Makefiles. Replaced with an m4_include of a
          MPC-generated list of all Makefiles it generated during the most
          recent MPC run. The file created by MPC is configure.ac.Makefiles.
          If this works well, we can generate the Makefile.am files as needed
          and remove the hand-maintained ones from the repo.

Tue Jun  8 09:20:18 2004  Steve Huston  <shuston@riverace.com>

        * ace/IOStream_T.i: Add missing #includes to satisfy ACE_OS references.

Sun Jun  6 09:48:17 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/SOCK_Dgram_Bcast.cpp (mk_broadcast): If there are
          no broadcastable interfaces found, mk_broadcast() now returns -1
          and sets errno to ENXIO ("no such device or address").  Thanks to
          Dave Craig for suggesting this fix.

        * ace/SOCK_Dgram_Bcast.cpp (mk_broadcast): Only complain about
          broadcast not being enabled for an interface if host_name is non
          NULL.  Thanks to Dave Craig <dwcraig@qualcomm.com> for this fix,
          which resolves bugid 1831.

Sat Jun  5 09:06:09 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/RMCast/RMCast_IO_UDP.i: Added a fix so that the transmitter
          no longer hangs waiting for the acknowledgement unicast response
          messages.  The recipients were transmitting acknowledgements,
          but the transmitter was listening to the socket that was bound
          to a specific multicast address.  Thanks to Dave Craig
          <dwcraig@qualcomm.com> for this fix.

Thu Jun  3 23:21:13 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Dirent_Selector.cpp (close):

          Fixed compile-time error where "d_name" member was accessed with
          the dot "." operator instead of the pointer "->" operator.

Thu Jun  3 18:49:59 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Dirent_Selector.cpp (close): Need to call

          ACE_OS::free (this->namelist_[n_].d_name);

          in close() since ACE_OS::scandir() allocates a dirent structure
          array that includes a dynamically allocated ACE_TCHAR *.  Thanks
          to Benjamin Bronk <benjamin.j.bronk@lmco.com> for reporting this
          and providing the fix.  This fixes bugid 1833.

Thu Jun  3 17:36:39 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:
          Added the -Sc to the idlflag to turn the tie class generation
          off by default.

Thu Jun  3 23:33:23 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * include/makeinclude/platform_qnx_rtp_gcc.GNU (inline):
        Removed optimization flags when debug is on due to g++ internal
        compiler error.

Thu Jun  3 12:32:52 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/RW_Process_Mutex.h:

          Added #include of OS_NS_fcntl.h to pull in
          ACE_DEFAULT_OPEN_PERMS.

Thu Jun  3 10:52:18 2004  Arvind S. Krishna  <arvindk@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:

          Added idlfalgs+= to enable idl compiler to generate stubs and
          skels for projects that inherit from the aforementioned mpc
          files.

Wed Jun  2 21:07:31 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_servant_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:
        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:

          I have to change these file again to prepare to delete
          $CIAO_ROOT/DnC/Core directory and move every thing there to
          $CIAO_ROOT/DnC/ciao directory so the CIDL generated code will
          find the right include file.

Wed Jun  2 20:42:49 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_servant_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_component_dnc.mpb:
        * bin/MakeProjectCreator/config/ciao_server_dnc.mpb:

          Added these files to avoid conflit between the old and the new
          CIAO implementation.

Thu Jun 03 00:30:00 Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/RW_Process_Mutex.h (ACE_RW_Process_Mutex):
        * ace/RW_Process_Mutex.cpp (ACE_RW_Process_Mutex):
          Appended file mode to mutex constructor to solve the
          difficulties reported by Bae-Sik Chon <baesikchon@yahoo.com>.

Wed Jun  2 07:30:56 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_Thread.cpp:

          Added the class name for the ACE_TSS_DESTRUCTOR cast.

Wed Jun  2 00:03:20 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Log_Msg.cpp
        * ace/Timer_Hash_T.cpp:

          Converted all ACE cast macro calls to their ANSI C++ cast
          counterparts.

          Use prefix {in,dec}rement operators where applicable instead of
          postfix operators.  The former are more efficient.

        * ace/SSL/SSL_Asynch_BIO.cpp:
        * ace/SSL/SSL_SOCK_Stream.cpp:
        * ace/SSL/SSL_SOCK_Stream.i:

          Converted all ACE cast macro calls to their ANSI C++ cast
          counterparts.

Tue Jun  1 18:31:44 2004  Steve Huston  <shuston@riverace.com>

        * ace/Lib_Find.cpp: Added /**/ to naked platform-specific #includes
          to keep eVC from complaining it can't find the files.

Tue Jun  1 16:37:30 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/SOCK_Dgram_Bcast.cpp (send): Set the port number of the
          broadcast address before sending the iovec.  Thanks to Dave
          Wolfe <dwolfe@gforcetech.com> for this patch, which fixes
          bugid 1830.

        * ace/OS_NS_Thread.cpp: Added a cast for (ACE_TSS_DESTRUCTOR)
          so the code will compile properly on Solaris when
          ACE_HAS_TSS_EMULATION is enabled.  Thanks to Kevin Christian
          <khchristian@att.com> for reporting this.

Tue Jun  1 16:56:39 2004  Steve Huston  <shuston@riverace.com>

        * tests/MT_Reference_Counted_Event_Handler_Test.cpp: Changed use of
          SHUT_RDWR arg for ACE_OS::shutdown() to ACE_SHUTDOWN_BOTH, which is
          set up correctly across all platforms. Fixes compile error on
          Windows.

        * ace/SOCK.h:
        * ace/OS_NS_sys_socket.h: Moved the setup of ACE_SHUTDOWN_READ,
          ACE_SHUTDOWN_WRITE, and ACE_SHUTDOWN_BOTH from SOCK.h to
          OS_NS_sys_socket.h. There's no need to include SOCK.h to use
          the lower-level ACE_OS::shutdown() directly.

Sat May 29 16:12:28 2004  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:

          Added X11 related libs needed to build XtReactor.

Fri May 28 18:35:41 2004  Steve Huston  <shuston@riverace.com>

        * tests/FIFO_Test.cpp (server): The select() trick to wait for the
          writer to open the FIFO doesn't seem to work on AIX. It seems to
          select() the fifo handle as a normal file handle, always readable.
          So on AIX, sleep 1 second before proceeding.

Fri May 28 15:54:26 2004  Steve Huston  <shuston@riverace.com>

        * tests/MT_Reference_Counted_Event_Handler_Test.cpp: In
          Close_Socket_Thread::svc(), do a ACE_OS::shutdown() before closing
          the socket. This is enough to pop another thread off a blocked
          read/write on platforms that block the close() until an in-progress
          operation completes, such as AIX and Linux. With this, remove the
          #if linux checks that disabled some types of test.
          It could be argued that the shutdown() should be done as part of
          ACE_OS::closesocket() (it already does this for HP-UX), but I
          hesitate to rock the boat here...

Thu May 27 19:02:18 2004  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Hash_T.cpp (schedule_i): For Win64, reinterpret_cast from
          ptrdiff_t to long is incorrect; static_cast is more appropriate.

Thu May 27 20:00:29 2004  Olli Savia  <ops@iki.fi>

        * ace/README:

          Added ACE_LACKS_REALPATH and ACE_LACKS_SWAB.

Thu May 27 12:10:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/Service_Configurator/IPC-tests/server/Svc_Cfg_IPC_Server.mpc:
          Changed exe's "after" clause to reflect renamed library project name.
          Also see:
          Thu May 7 02:00:00 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

Thu May 27 18:22:22 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:

          Added ACE_HAS_GETPAGESIZE and ACE_HAS_MEMCHR macros.

Thu May 27 17:55:38 2004  Olli Savia  <ops@iki.fi>

        * ACE-INSTALL.html:

          Updated LynxOS resource advises. These were unnesessary large.
          This fixes bugzilla bug 1154.

Wed May 26 23:51:53 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_string.cpp:

          Converted all ACE cast macro calls to their ANSI C++ cast
          counterparts.

        * ace/OS_NS_sys_socket.inl:

          Use prefix {in,dec}rement operators where applicable instead of
          postfix operators.  The former are more efficient.

Wed May 26 23:44:04 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Reactor_Registration_Test.cpp (Event_Handler):
          (handle_input):

          Fixed "comparison between signed and unsigned integer"
          warnings.

Wed May 26 10:36:39 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/ciao_deployment_svnt.mpb:
        * bin/MakeProjectCreator/config/ciao_deployment_stub.mpb:
          Added these two mpb files to ease the mpc file writing for
          CIAO DnC run time.

Wed May 26 10:40:36 2004  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * ace/TMCast/README: Added description of architecture that
          I prepared for Carlos some time ago but never actually
          committed it.

Tue May 25 22:08:42 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Also turn off LIBCHECK when passing -k, keep-going.

Tue May 25 21:32:17 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Turn off LIBCHECK when doing dry-runs.

        * include/makeinclude/rules.local.GNU:
          Print out MAKEFLAGS during builds.

Mon May 24 12:16:29 2004  Steve Huston  <shuston@riverace.com>

        * configure.ac: Corrected comments in the pthread_rwlock-related
          checks. They had cut/paste errors and said signinfo_t. Thanks to
          J.T. Conklin <jtc@acorntoolworks.com> for this fix.

Fri May 21 16:44:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.mpc: Removed the pch
          specs from this and replaced with a normal exe-producing set of
          specs and files. There were no pch directives in the files, and this
          drove MSVC nuts at compile time, complaining of a missing #endif
          where there clearly was none.

        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.{cpp h}: Moved #include
          "ace/Log_Msg.h" from .h to .cpp, as nothing in the .h file needs it.

Fri May 21 15:28:31 2004  Steve Huston  <shuston@riverace.com>

        * ace/Makefile.am: Removed OS_Export.h and Sock_Connect.i as they're
          no longer valid files. Please also see:
          Tue May 18 11:28:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>
          Fri May  7 09:11:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

Thu May 20 21:19:44 2004  Phil Mesnier  <mesnier_p@ociweb.com>

        * ace/CDR_Stream.h:
        * ace/CDR_Stream.i: Add a method to get the byte ordering flag so
          that serialization of UTF-16 data will be able to do the right
          thing WRT byte ordering. This is necessary since UTF-16 byte
          ordering (as required by CORBA) is independent of the CDR Stream
          byte order.

        * ace/Codeset_Registry.h:
        * ace/Codeset_Symbols.h: Codeset_Symbols is a collection of
          #defines for all the standard codeset id values.

Thu May 20 18:23:49 2004  Steve Huston  <shuston@riverace.com>

        * tests/SOCK_Dgram_Bcast_Test.cpp: When sending a datagram, only send
          the formatted text string, noth the whole buffer. Some OSes (i.e.
          AIX) don't allow a broadcast of that large a buffer. Also, fixed
          the style, indentation, and narrow/wide text capability.

Thu May 20 10:21:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Reactor/Client.cpp: In handle_input(), use "%.*C",
          not "%*C" to limit output to string length. In handle_timeout (),
          referring to a buffer in ACE_Message_Block's ctor doesn't copy the
          data; it simply refers to it. This would produce garbage output.
          Thanks to Dale Hawkins <dhawkins@cdrgts.com> for these fixes.

        * examples/APG/Containers/Queues.cpp (runStackUnboundedQueue): The
          DataElement arrays inserted into the queue should be defined outside
          their 'for' loops to avoid repeated, unnecessary constructor and
          destruction. Thanks to Bill Hopkins <bill.hopkins@level3.com> for
          this suggestion.

        * THANKS: Added Dale Hawkins and Bill Hopkins.

Wed May 19 12:46:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_SOCK.i: Added missing #include "ace/OS_NS_sys_socket.h"

Wed May 19 12:14:21 2004  Steve Huston  <shuston@riverace.com>

        * tests/Reactor_Registration_Test.cpp: Fixed string types to work
          for both narrow and wide chars; fixed size types to work for
          64-bit platforms.

Wed May 19 08:57:24 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_Thread.inl: Fixed the ACE_OS::thr_self() call so that
          it doesn't use the ACE_OSCALL_RETURN macro, which compares the
          return value of pthread_self() with -1 to see if the function
          encountered an error.  However, pthread_t may be an opaque value
          (a pointer, a struct, etc.) that may not be able to be compared
          with a literal without an error.  Furthermore, the pthreads and
          X/Open XPG standards do not define any error conditions for
          pthread_self(), so checking the return value with -1 is
          meaningless.  Thanks to J.T. Conklin <jtc@acorntoolworks.com>
          for reporting this problem and providing a fix.

Wed May 19 07:20:35 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Conditionally use the .NOTPARALLEL rule based on the existence and
          time stamp of generated files in addition to the time stamp on the
          generation tool (if applicable).  In situations where the
          generated files are up-to-date, using -j<n> will actually be
          beneficial instead of ignored.

        * include/makeinclude/rules.local.GNU:

          Switch to using depgen.pl instead of g++dep.  It is accurate and
          tremendously faster than g++dep.  The dependency generation tool
          can be controlled by setting the DEPGEN make macro.

Tue May 18 16:55:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_dirent.cpp (ACE_SCANDIR_COMPARATOR):
        * ace/OS_NS_stdlib.h (ACE_COMPARE_FUNC): For Windows with Microsoft
          Visual C++ compiler, explicitly specify __cdecl calling convention
          so it remains correct even if built with a different default
          calling convention. Thanks to Ivan Murphy <Ivan.Murphy@siemens.com>
          for this fix.

Tue May 18 11:26:39 2004  Steve Huston  <shuston@riverace.com>

        * tests/tests.mpc: Replaced the "exename" lines for ACE_Test,
          ACE_Init_Test, and FIFO_Test. Somehow they got lost...

Tue May 18 11:07:22 2004  Steve Huston  <shuston@riverace.com>

        * examples/Service_Configurator/IPC-tests/client/local_dgram_client_test.cpp:
          Removed arguments from ACE_OS::tempnam() call, forcing it to use
          the defaults and select the char* variant.

Tue May 18 14:28:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/LSOCK.cpp:
          Added missing include ace/OS_NS_sys_socket.h

Tue May 18 09:22:35 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/mpc.pl:
        * bin/mwc.pl:

          Provide the getBasePath() method which returns the full path to
          the MPC location.  This will be used by MPC's Version module in
          the future.

Tue May 18 11:32:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Condition_Thread_Mutex.h:
          Documentation fix

Tue May 18 11:28:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK.{h,cpp,i}:
        * ace/SOCK_Acceptor.{h,cpp,i}:
        * ace/SOCK_CODgram.{h,cpp,i}:
        * ace/Sock_Connect.{h,cpp}:
        * ace/SOCK_Connector.{h,cpp,i}:
        * ace/SOCK_Dgram.{h,cpp,i}:
        * ace/SOCK_Dgram_Bcast.{cpp,h,i}
        * ace/SOCK_Dgram_Mcast.i:
        * ace/SOCK_IO.{h,cpp,ï):
          Instead of using ACE_LACKS_INLINE_FUNCTIONS use __ACE_INLINE__ to
          check whether to enabling inlining or not. The last is the way
          we now use and the first is not really working. In fact, all files
          with ACE_LACKS_INLINE_FUNCTIONS use always inlining even when
          __ACE_INLINE__ is not defined. With the latest GCC versions on
          Windows we get hundreds of warnings that we are missing declspec
          import and inline, when building DLL's we disable inlining but
          this doesn't work for all files. See bugzilla 1581 for some
          more info. More files will be updated later.

        * ace/Sock_Connect.i:
          Removed this file, was not containing any code

        * ace/QoS/SOCK_Dgram_Mcast_QoS.cpp:
          Added needed include of changes above

Tue May 18 08:25:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
          When building ACE also build the examples, some of them are used
          in the test run.

Tue May 18 08:14:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Barrier.{h,cpp}:
          Made method signature in implementation same as declaration and fixed
          doxygen documentation

Tue May 18 08:00:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/tests/DSRT_MIF/MIF.cpp:
          Fix for unicode builds

Tue May 18 06:20:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.cpp:
          Fixed compile error

Mon May 17 21:19:27 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Stream.h:

          Spelling correction.

        * ace/Time_Value.cpp (normalize, operator *=):

          Optimized some code.

          ACE coding style updates.

        * tests/Time_Value_Test.cpp (run_main):

          Updated code to conform to ACE coding conventions.

Mon May 17 17:35:24 2004  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Queue_T.cpp (schedule): Don't narrow the scheduled timer ID
          from long to int; this smashes the ID on 64-bit systems where the
          timer ID is larger than 32 bits holds; for example, in ACE_Timer_Hash
          where it's a pointer.

Mon May 17 22:38:48 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/Time_Value.cpp (operator *):
        * ace/Time_Value.h (operator *):
        * ace/Time_Value.inl (operator *):
          operator *(double) moved from *inl into *cpp. The multiplication
          algorithm change to extend the range of results to
          <ACE_INT_MIN, ACE_INT_MAX>. Doxygen docs for operator *
          extended.
        * tests/Time_Value_Test.cpp:
          Added several tests for the result of multiplication by
          double.

Mon May 17 16:48:41 2004  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp: Add #include
          "AIO_CLD_export.h" to the non-AIO section so it will at least
          build and load on non-AIO systems.

Mon May 17 15:46:39 2004  Steve Huston  <shuston@riverace.com>

        * apps/JAWS3/jaws3/Templates.cpp: Added missing ACE_Atomic_Op_Ex
          instantiation. Thanks to Johnny Willemsen for this fix.

Mon May 17 13:29:11 2004  Steve Huston  <shuston@riverace.com>

        * examples/Web_Crawler/URL.h: Changed return type of send_request()
          to ssize_t, matching change to HTTP_URL.h from:
          Thu May 13 14:40:12 2004  Steve Huston  <shuston@riverace.com>

Mon May 17 19:19:00 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * tests/SOCK_Dgram_Bcast_Test.cpp (run_auto_test):

          Removed warning on declared, but not used function. Added
          OS_NS_unistd.h include to make sure ACE_OD::sleep is declared.

Mon May 17 13:22:18 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdio.h (tempnam): Had to remove the default 'dir' value
          on the wchar variant because it conflicts with the char version
          when defaults are taken into account.

        * ace/OS_NS_stdio.inl (tempnam): For the wchar_t variant, have to
          copy the narrow-char name to a wide-char string and free() the
          original.
          (fopen (wchar_t *...)): ACE_TEXT_ALWAYS_CHAR doesn't convert a
          string if ACE_USES_WCHAR setting already matches ACE_TCHAR. Thus, to
          force a convert of wchar_t to char, use ACE_Wide_To_Ascii directly.

Mon May 17 11:58:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/WIN32_Asynch_IO.cpp (writev): If the passed-in chain of
          ACE_Message_Blocks contains a 0-length block, it would cause
          a iovec to be uninitialized and still passed to WSASend(). This is
          fixed. Thanks to Ken Kane <kkane@livevault.com> for reporting this.

Mon May 17 17:00:00 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/Time_Value.inl:
          Fixed a bug in operator *=( double ) which caused overflow for
          results greater than 2 seconds. Thanks to Mirek Pabich
          <miropabich@tenbit.pl> for this patch.

Mon May 17 08:45:18 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * bin/g++dep:
          Document all the crazy sed commands that are used in this
          script.  Also, simplified the data flow by using a single sed
          invocation (and a single sed script) to apply all the
          transformations.  Reduce the number of temporary files, and
          ensure that the sed script file is removed if an error or
          interrupt occurs.

Mon May 17 12:40:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/POSIX_CB_Proactor.cpp (handle_events_i):
        * ace/Semaphore.cpp (constructor):
        * ace/Thread_Semaphore.cpp (constructor):
          Made method signature the same as in the header file, this fixes
          doxygen warnings.

        * ace/Thread_Semaphore.h:
          Doxygen documentation fixes.

Mon May 17 12:32:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Hash_Cache_Map_Manager_T.{cpp,i}:
          Replaced T_1 with ACE_T1 and T_2 with ACE_T2 to be able to
          generate better doxygen documentation

        * etc/ace.doxygen:
          Added ACE_T1 and ACE_T2 to the EXPAND_AS_DEFINED list. These macros
          are used in some template classes to make the code more readable but
          doxygen gets problems when we don't expand these macros.

Sun May 16 17:40:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.cpp:
          Fixed internal compiler error in MinGW build.

Sun May 16 15:39:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_HAS_VOIDPTR_MMAP and removed ACE_HAS_SIG_MACROS

Sun May 16 13:11:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.lst:
          Move the Process_Strategy_Test to the end of this file. It fails
          with Cygwin and hangs and prevents the other tests of running. So
          when it is last we will see the results of more tests on Cygwin.

Sun May 16 12:59:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:
          Print an info message in the TerminateWaitKill so that we can see in
          the build log files that a process is tried to terminate.

Sun May 16 12:47:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/SOCK_Dgram_Bcast_Test.cpp:
          Fixed compile error because of incorrect include

Sun May 16 12:38:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_LACKS_PTHREAD_KILL. Cygwin 1.5.9 gives a stackdump
          when pthread_kill is used, so disable this feature until we
          get a cygwin with this bug fixed.

Sun May 16 12:14:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disabled the crash_on_write tests on Win32 because it doesn't work
          and there are no plans to fix this soon. See bugzilla 959.

Sun May 16 11:31:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_HAS_SYSV_IPC and removed defines that where needed for
          older Cygwin versions. We are still working on getting things working
          and even with the newest version we still don't have 100% working
          tests, so we don't bother maintaining stuff for older versions that
          are really broken

Sat May 15 19:48:00 2004 Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/Sock_Connect.cpp (get_bcast_addr):
          The loop over interfaces was buggy the same way as previously in
          mk_broadcast. Fixed. It seems sa_len is serious portability
          problem. Shall ACE_HAS_SA_LEN macro be defined and respected?

        * ace/SOCK_Dgram_Bcast.cpp (mk_broadcast):
          FreeBSD also has sockaddr.sa_len, hence the loop over interfaces
          shall work correctly.

Sat May 15 19:48:00 2004 Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/SOCK_Dgram_Bcast.cpp (mk_broadcast):
        ACE_ERROR message modified to print the name of problematic interface.

Sat May 15 19:17:00 2004 Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/SOCK_Dgram_Bcast.cpp (mk_broadcast):
        Quick fix to previous bugfix. It seems that not every system (eg. Linux)
        provides sockaddr.sa_len. Previous fix (see below) restricted now to AIX,
        QNX and CHORUS, where sa_len is avalaible.

Sat May 15 17:25:17 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/SOCK_Dgram_Bcast.h:
        * ace/SOCK_Dgram_Bcast.cpp:
          Fixed bug in mk_broadcast related with incorrect length of struct ifreq.
          Thanks to Mirek Pabich <miropabich@tenbit.pl> for this patch.
        * tests/SOCK_Dgram_Bcast_Test.cpp:
          tests/tests.mpc:
          test/run_test.lst:
          New automatic test for checking against bugs similiar to those reported by
          Mirek Pabich. The usability of the test is restricted, as some errors in
          broadcast handling can be detected only in LAN transmission.
        * tests/tests.mpc:
          MT_Reference_Counted_Event_Handler_Test project name truncated to
          MT_Ref_Counted_Event_Handler_Test.

Fri May 14 22:13:13 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/event.mpb:

          Reordered subprojects to force TAO_Messaging library to be
          listed in static link commands after TAO_DynamicInterface
          library.  The latter depends on the former.  Addresses static
          build link-time errors.  Thanks to Chad for providing a patch.

Fri May 14 14:22:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/Service_Repository.{h cpp} (insert): If there's no space left in
          in the service repository, set errno to ENOSPC before returning -1.
          (remove): Added an optional argument that can receive the
          service record pointer for the removed service. If the pointer is
          returned to the caller, it is not deleted. If the pointer is not
          returned to the caller (the default) it is deleted (this is the
          historic behavior). This is needed to properly support removing
          a service record quickly after inserting it during service
          initialization. See "Tue Mar 16 2004 <Ivan.Murphy@siemens.com>
          ACE version 5.4 P4", below.

Thu May 13 14:40:12 2004  Steve Huston  <shuston@riverace.com>

        * ace/Functor.{h i}: The ACE_Hash, ACE_Equal_To, and ACE_Less_Than
          "char"-type specializations were being done as ACE_TCHAR, and if
          ACE_USES_WCHAR defined, also as ACE_ANTI_TCHAR. These are now changed
          to always do 'char' and, if ACE_HAS_WCHAR, also wchar_t. Thus,
          they're both compiled whenever possible and not only when
          ACE_USES_WCHAR is set up.

        * ace/OS_NS_stdio.{h, inl}: Added wchar_t variants of tempnam ()
          and rename ().

        * ace/OS_NS_sys_stat.{h, inl}: Added a wchar_t variant of stat ().

        * ace/OS_NS_unistd.{h, inl}: Added a wchar_t variant of unlink ().

        * examples/Web_Crawler/Command_Processor.cpp (execute): Make sure
          the URL path string is narrow. (insert): Use ACE_TEXT around
          string literals.

        * examples/Web_Crawler/HTTP_URL.{h cpp} (send_request): Change return
          type from int to ssize_t, matching the normal types used in ACE.
          Use size_t, not int, for string size.

        * examples/Web_Crawler/Mem_Map_Stream.cpp (recv): Cast the length
          to off_t to match what seek() expects.

        * examples/Web_Crawler/main.cpp:
        * examples/Web_Crawler/Web_Crawler.{h, cpp}:
        * examples/Web_Crawler/Options.{h, cpp}: Changed main() to ACE_TMAIN()
          and all the command line options processing to ACE_TCHAR.

        * examples/Web_Crawler/URL_Addr.cpp: Add ACE_TEXT to string literals.

        Changes merged in from Siemens Medical Systems:
        Tue May 11 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P15
        * tests/Proactor_Scatter_Gather_Test.cpp: Close down the proactor
          before finishing otherwise the object manager will hang.

        Mon Apr 26 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P13
        * ace/Registry_Name_Space.cpp: Removed 64-bit warnings.

        Fri Apr 16 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P12
        * ace/Based_Pointer_T.h: Made target_ and base_offset_ type
          ptrdiff_t instead of long to avoid problems with 64bit.

        Tue Mar 16 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P8
        * ace/DLL_Manager.cpp:
        * ace/NT_Service.cpp:
          Use ACE_LIB_TEXT instead of ACE_TEXT.

        Tue Mar 16 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P7
        * ace/OS_NS_sys_stat.{h,inl}: Added a wchar version of mkdir().

        Tue Mar 16 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P6
        * ace/OS_NS_fcntl.cpp (open):
        * ace/OS_NS_stdio.{h inl}:
        * ace/OS_NS_sys_mman.inl (mmap):
        * ace/OS_NS_Thread.inl (mutex_init, event_init, sema_init):
          Added a thread safe method
          ACE_OS::default_win32_security_attributes_r().

        Tue Mar 16 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P4
        * ace/Service_Config.cpp: Insert component into repository before
          calling init as in the init the component may access the service
          repository.

        Tue Mar 16 2004 <Ivan.Murphy@siemens.com> ACE version 5.4 P3
        * ace/Functor.i,h: Added the classes ACE_Hash<const wchar_t *> and
          ACE_Hash<wchar_t *> which had gone missing between 5.0.7 and
          5.3.1/5.4.

        Wed Feb 25 2004  Ivan Murphy <Ivan.Murphy@siemens.com>        ACE 5.4 P2
        * ace/OS_NS_stdio.{h,cpp,inl}: Added wchar version of fopen().

        Wed Feb 25 2004  Ivan Murphy <Ivan.Murphy@siemens.com>        ACE 5.4 P1
        * ace/OS_NS_stdlib.{h,inl}: Added wchar_t version of putenv().

Fri May 14 10:00:22 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:
        * ace/README (ACE_HAS_EXPLICIT_KEYWORD, ACE_HAS_MUTABLE_KEYWORD):
        * ace/CDR_Base.h:
        * ace/config-borland-common.h:
        * ace/config-g++-common.h:
        * ace/config-icc-common.h:
        * ace/config-lite.h (ACE_EXPLICIT, ACE_MUTABLE):
        * ace/config-openvms.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-msvc-6.h:
        * ace/config-win32-msvc-7.h:
        * ace/config-win32-visualage.h:
        * m4/config_h.m4:

          ACE now requires C++ "explicit" and "mutable" keyword support.
          Document these macros as deprecated, and removed all related
          references.

        * ace/Auto_Ptr.h:
        * ace/Bound_Ptr.h:
        * ace/CDR_Stream.h:
        * ace/Configuration.h:
        * ace/DEV_Addr.h:
        * ace/Date_Time.h:
        * ace/Dirent.h:
        * ace/FILE_Addr.h:
        * ace/INET_Addr.h:
        * ace/Local_Tokens.h:
        * ace/MEM_Addr.h:
        * ace/Parse_Node.h:
        * ace/SOCK_Dgram_Mcast.h:
        * ace/SString.h:

          Replaced all uses of "ACE_EXPLICIT" and "ACE_MUTABLE" with
          "explicit" and "mutable", respectively.  These ACE macros are
          deprecated.

Thu May 13 21:59:25 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Base.h (ACE_CDR::Boolean):

          Potential ambiguities can occur if some classes, for example,
          contain implicit conversion operators whose return values can
          themselves be implicitly converted to a bool even though bool
          was not the intended type.  If multiple CDR stream insertion
          operators (for example) exist, including one that accepts the
          ACE_OutputCDR::from_boolean type, the compiler may be unable to
          choose the appropriate insertion operator.  As of yet, this
          problem does not appear to occur if the ACE_CDR::Boolean type is
          an "unsigned char" instead of "bool".  If the C++ "explicit"
          keyword is unavailable to us, resort to making ACE_CDR::Boolean
          an unsigned char, which also happens to be a valid
          implementation.  Fixes TAO builds on platforms that do not
          support the C++ "explicit" keyword.

        * ace/Synch_Traits.h:

          Corrected doxygen documentation.

Thu May 13 21:07:45 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp:
          Fixed compile-time errors for !ACE_WIN32 && !ACE_HAS_AIO_CALLS
          case.

Fri May 14 07:05:43 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:

        Added ACE_LACKS_MUTEXATTR_PSHARED for LynxOS 3.0.x.

Fri May 14 06:56:20 2004  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_stdlib.h:
        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_stdlib.cpp:
        * ace/config-lynxos.h:

         Added ACE_OS::realpath() implementation.

Thu May 13 20:23:12 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test.h:

          Added missing "ace/svc_export.h" include.  Fixes compile-time
          errors in multithread-enabled builds.

Thu May 13 18:37:52 2004  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp: Added missing
          #include "ace/Service_Object.h" for the non-AIO case.

Thu May 13 21:39:00 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * bin/MakeProjectCreator/templates/gnu.mpd: Changed dependency file
        name to make file names shorter. Thanks to Chad Elliott
        <elliott_c@ociweb.com> for this patch.

Thu May 13 21:39:00 2004-05-13  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * docs/ACE-guidelines.html: Added guideline about long file
        names.

Thu May 13 18:57:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_LD_SEARCH_PATH defined as PATH. Because Cygwin runs on
          Windows we must use PATH and not LD_LIBRARY_PATH which is the
          default in ACE.

Thu May 13 15:59:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_HAS_SNPRINTF. Cygwin supports this.

Thu May 13 15:28:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added ACE_LACKS_MUTEXATTR_PSHARED, Cygwin export this function but
          it doesn't work at this moment.

Thu May 13 07:24:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Cache_Map_Manager_T.{h,cpp,i}:
        * ace/Cached_Connect_Strategy_T.cpp:
        * ace/Hash_Cache_Map_Manager_T.h:
        * tests/Cached_Accept_Conn_Test.{h,cpp}:
        * tests/Cached_Conn_Test.cpp:
        * ace/README:
        * examples/Web_Crawler/URL_Visitor.cpp:
          Removed ACE_HAS_BROKEN_EXTENDED_TEMPLATES. This was for a bug in pre
          GCC 2.8 compilers which we don't support anymore.

        * ace/config-openvms.h:
          Cleanup

Wed May 12 21:26:37 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * performance-tests/Server_Concurrency/Leader_Follower/leader_follower.cpp:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/workers.cpp:

          Use the "ACE_SYNCH" trait instead of "ACE_MT_SYNCH".  Fixes
          single-threaded build compile-time errors.

        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.h:
        * performance-tests/Synch-Benchmarks/Base_Test/base_test.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/mutex_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test.h:

          #ifdef out the code if ACE_HAS_THREADS is not defined.  This
          code is only meant to be used when multithreading support in ACE
          is enabled.  Fixes single-threaded build compile-time errors.

Wed May 12 20:13:41 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Local_Tokens.cpp:
        * ace/Log_Msg_IPC.cpp:
        * ace/Log_Msg_NT_Event_Log.cpp:
        * ace/Log_Msg_UNIX_Syslog.cpp:
        * ace/Log_Record.cpp:
        * ace/MEM_Acceptor.cpp:
        * ace/MEM_IO.cpp:
        * ace/Memory_Pool.cpp:
        * ace/Message_Block.cpp:
        * ace/Message_Block_T.cpp:
        * ace/Message_Queue.cpp:

          Replaced deprecated ACE cast macro usage with ANSI C++ cast
          counterparts.

        * ace/Profile_Timer.h (ACE_Profile_Timer::ACE_Elapsed_Time):

          Corrected Doxygen documentation for this class.

        * ace/Profile_Timer.cpp (elapsed_time):

          Corrected comments in this method.

        * ace/RW_Mutex.h:

          Nuked trailing whitespace.

Wed May 12 16:48:41 2004  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp: If built on
          a platform that doesn't offer AIO, display an error message on
          service load, and fail.

Wed May 12 11:34:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-freebsd.h: Reverted this change:
          Tue May 11 12:33:49 2004  Steve Huston  <shuston@riverace.com>
          because I mistakenly wiped out AIOCB_Proactor support, not
          CB_Proactor support. Thanks to Matthew Corey for correcting
          me on this.

        * ace/POSIX_CB_Proactor.{h cpp}: Also related to:
          Tue May 11 12:33:49 2004  Steve Huston  <shuston@riverace.com>
          Removed the __FreeBSD_version_ check and all FreeBSD-specific
          code from ACE_POSIX_CB_Proactor. This class is no longer compiled
          on FreeBSD per Matthew Corey's advice.

        * ace/Proactor.cpp (ctor): Added __FreeBSD__ to the condition under
          which ACE_POSIX_CB_Proactor is not used as the default
          implementation. Thanks to Bill Cassanova for reporting this.

Wed May 12 13:29:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl(sendv):
          When WSASend returns SOCKET_ERROR we already set errno, but
          we have to return -1 in that case. The number of bytes send
          in case of failure with WinSock2 is always 0, and this is
          used differently by the callers. This fixes bugzilla bug 1816.

Wed May 12 08:09:49 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:

          Sort the directories when forming the cppdir value.  We need to
          ensure that '.' comes first.  Borland make attempts to generate
          source files in each CPPDIR directory until it is successful
          which explains multiple invocations of tao_idl.

Wed May 12 07:32:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-openvms.h:
          Cleanup

        * examples/Web_Crawler/URL_Visitor.h:
          Removed commented out code

Wed May 12 07:03:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/README:
          Removed description of ACE_HAS_GNUC_BROKEN_TEMPLATE_INLINE_FUNCTIONS.
          This was for a bug in GCC 2.7.3 which we don't support anymore and
          none of the config files set this define at this moment.

        * ace/Thread_Manager.h:
          Removed usage of ACE_INLINE_FOR_GNUC and improved doxygen
          documentation

        * ace/Memory_Pool.h:
          Improved doxygen documentation

        * ace/Mem_IO.h:
          Removed usage of ACE_INLINE_FOR_GNUC

        * ace/config-lite.h:
          Removed checking of ACE_HAS_GNUC_BROKEN_TEMPLATE_INLINE_FUNCTIONS and
          setting of ACE_INLINE_FOR_GNUC. This was for GCC 2.7.3 and we don't
          support this anymore and the broken template define is not set in any
          config file.

Wed May 12 06:37:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.inl:
          After the ::WSASend call we must check the return value and in case
          of an error we must call ACE_OS::set_errno_to_wsa_last_error to set
          errno. After the other ::WSA calls we must call also this method
          instead of ACE_OS::set_errno_to_last_error. This fixes bugzilla
          bug 1815.

Tue May 11 17:39:22 2004  Steve Huston  <shuston@riverace.com>

        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.rc: Converted back to
          neutral text format.

Tue May 11 14:21:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Streams/streams.mpc: Added 'threads' to the requires
          spec.

Tue May 11 12:33:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-freebsd.h: If FreeBSD 5, change the Proactor default
          implementation to not be ACE_POSIX_AIOCB_Proactor. Apparantly,
          FreeBSD 5 removed the SIGEV_THREAD notification method.

        * ace/POSIX_CB_Proactor.{h cpp}: Added __FreeBSD_version > 500000 as
          a condition that prevents this class from being compiled.

          Thanks to Bill Cassanova for reporting this issue and to
          Matthew Corey for digging through the FreeBSD headers to find
          out what's going on.

        * THANKS: Added Bill Cassanova and Matthew Corey to the Hall of Fame.

Tue May 11 08:58:33 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/ace.mpc:

          Removed non-existent headers from the Header_Files section.

Tue May 11 09:30:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Registry.h:
          Converted partly to doxygen style

Tue May 11 09:22:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/winregistry.mpb:
          Added new feature winregistry, this is set by default. This is to
          determine if the environment has the windows registry.

        * include/makeinclude/wrapper_macros.GNU:
          By default with GNU make winregistry is set to 0 when not set.

        * include/makeinclude/platform_mingw32.GNU:
          MinGW has windows registry, so set winregistry to 1

        * examples/Registry/Registry.mpc:
          Removed gnuace verbatim parts and replaced by added winregistry
          as base project. Because of this the registry tests are now build
          with MinGW.

Mon May 10 19:17:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added define ACE_LACKS_THREAD_PROCESS_SCOPING, Cygwin lacks
          this and with this define set the Bound_Ptr test works.

Mon May 10 14:42:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Active_Objects/AO.cpp:
        * examples/APG/Active_Objects/AO2.cpp:
        * examples/APG/ThreadManagement/Coop_Cancel.cpp:
        * examples/APG/ThreadManagement/Priorities.cpp:
        * examples/APG/ThreadManagement/Pool.cpp:
        * examples/APG/ThreadManagement/Signals.cpp:
        * examples/APG/ThreadManagement/Signals2.cpp:
        * examples/APG/ThreadPools/LF_ThreadPool.cpp:
        * examples/APG/ThreadPools/Futures.cpp:
        * examples/APG/ThreadPools/Task_ThreadPool.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp:
        * examples/APG/ThreadPools/TP_Reactor.cpp:
        * examples/APG/ThreadSafety/Barrier.cpp:
        * examples/APG/ThreadSafety/Mutex.cpp:
        * examples/APG/ThreadSafety/RW_Lock.cpp:
        * examples/APG/ThreadSafety/Semaphore.cpp:
        * examples/APG/ThreadSafety/TSS.cpp:
        * examples/APG/Threads/Condition_Variables.cpp:
        * examples/APG/Threads/Mutexes.cpp:
        * examples/APG/Threads/Message_Queue.cpp:
          Fixed to compile without ACE_HAS_THREADS enabled.

Mon May 10 18:40:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Added define of ACE_HAS_RECURSIVE_THR_EXIT_SEMANTICS. Cygwin
          has this and first tests show that now some threading tests
          run without problems. Let wait for a new fresh daily build to
          tackle the next failing test.

Mon May 10 12:15:45 2004  Simon McQueen  <sm@prismtechnologies.com>

        * ace/CDR_Stream.cpp (read_wchar):

          Replaced use of read_octet_array with read_array to take
          account of the endianness of the stream when demarshalling
          a wchar. This closes bug 1807.

Mon May 10 10:24:23 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.inl:
          Fixed incorrect trace

Mon May 10 06:22:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          The files with extension icc shouldn't be in the repo
          also, so extended the noncvs files with this extension

Sun May  9 13:12:37 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/global.features:
          Added dnc to the default features to avoid unintentional
          building of $CIAO_ROOT/DnC directory.

Sun May 9 16:07:00 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * bin/fuzz.pl:
          Script checks now if file names are not too long. Names
          exceeding 50 characters are classified as an error (QNX limit),
          MPC files longer than 30 characters lead to warnings as MPC can
          add some characters eg. .depend.GNUmakefile.

Sun May  9 13:20:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Files with extension dsp and dsw and the GNUmakefile* files
          shouldn't be in the repo, so added these to the noncvs file
          check

Sun May  9 12:59:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Updated name of project file we must build first when doing a static
          msvc build. This has to be done because of the changes of
          Marek Brudka  <mbrudka@elka.pw.edu.pl> to get smaller filenames

Sat May  8 16:25:31 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Time_Value.h:
        * ace/Time_Value.inl:

          Added an operator=. Without this, the
          ACE_HAS_TIMED_MESSAGE_BLOCK has no chance of working.

Sat May  8 00:10:23 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * apps/JAWS3/jaws3/Concurrency.h:

          Use the "ACE_SYNCH" trait instead of "ACE_MT_SYNCH".  Doing so
          allows the JAWS3 library to build in a single threaded
          environment.  Fixes single-threaded build compile-time errors.

        * ace/Synch_Traits.h:

          Corrected doxygen documentation.

Fri May  7 15:59:30 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Kokyu/tests/DSRT_MIF/MIF.cpp (svc):

          Fixed "variable set but never used" Compaq C++ warning.

        * ace/TMCast/Protocol.cpp:

          Fixed "declared but never referenced" Compaq C++ warning.

Fri May  7 14:45:16 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * GNUmakefile:

          Removed this GNUmakefile.  It must now be generated by MPC.  The
          kit creation code in this file will be moved to the
          bin/make_release script.

Fri May  7 17:26:33 2004  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_ibm.GNU: Changed the rtti default
          to 1 and changed the associated -qrtti option from dynamiccast to
          all since some parts of ACE use type IDs.

        * ASNMP/asnmp/sagent.h: Added implied keyword "private" to sagent's
          derivation. Quiets a warning from Visual Age C++.

        * apps/JAWS3/jaws3/Event_Dispatcher.cpp: Added #include
          "ace/Log_Msg.h" to pick up logging macros. Removed #include
          "ace/OS.h".

        * examples/Reactor/Proactor/test_cancel.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp:
        * examples/Reactor/Proactor/test_udp_proactor.cpp:
        * performance-tests/Synch-Benchmarks/synch_driver.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_mutex_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_recursive_lock_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/adaptive_sema_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/pipe_proc_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/pipe_thr_test.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/base_test.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/mutex_test.cpp:
          Added #include for OS_NS_*.h methods and/or "ace/Log_Msg.h" to
          pick up logging macros.

        * performance-tests/Synch-Benchmarks/Perf_Test/guard_test.cpp: Added
          #include "ace/Guard_T.h" to see ACE_GUARD macros and classes.

        * performance-tests/Synch-Benchmarks/Perf_Test/memory_test.cpp: Added
          #include "ace/OS_NS_string.h" to see ACE_OS stuff.

        * performance-tests/Synch-Benchmarks/Perf_Test/recursive_lock_test.cpp:
          Added #include "ace/Recursive_Thread_Mutex.h" to find that class.

        * performance-tests/Synch-Benchmarks/Perf_Test/rwrd_test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/rwwr_test.cpp: Added
          #include "ace/RW_Mutex.h" to find that class.

Fri May  7 14:25:07 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Log_Msg.cpp:

          Don't bother checking if errno is less than sys_nerr on glibc
          platforms.  strerror() can handle values greater than sys_nerr
          gracefully.  Fixes "`sys_nerr' is deprecated; use `strerror' or
          `strerror_r' instead" link-time warnings.

          Replaced deprecated ACE cast macro usage with ANSI C++ cast
          counterparts.

Fri May  7 09:38:06 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Mutex.h:

          Fixed doxygen documentation.

          Removed "ace/Log_Msg.h" include.  It isn't needed in this
          header.

        * ace/Mutex.cpp:

          Include "ace/Log_Msg.h" to pull in ACE_ERROR macros.

Fri May  7 08:08:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Reverted my change from Thu May  6 12:16:16 2004.  It can cause
          problems when all the generated files are present, but are
          out-of-date.

Fri May  7 12:15:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config*.h:
          Removed setting of ACE_NTRACE to 1 when it is not set, this is
          already done in config-all.h, so there is no need to do it
          in each config file seperately.

Fri May  7 09:48:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/build_example.bor:
          Removed this file, with the MPC transition we don't use it anymore

Fri May  7 09:11:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_Export.h:
          Removed this file, with the rework in ACE_OS the ACE_OS_Export has
          been deprecated and not used. This file is only used in the ACE
          library itself and not by users, so it is safe to remove this.
          This fixes bugid 1700.

        * ace/ace.mpc:
        * ace/config-win32-ghs.h:
          Removed usage of ACE_OS_BUILD_DLL and ACE_OS_HAS_DLL

Thu May  6 22:15:14 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:
        * include/makeinclude/wrapper_macros.GNU:

          ".inl" is now the default TAO_IDL generated stub/skeleton inline
          file extension instead of ".i".  The latter is generally used
          for preprocessed C sources.  Updated these files accordingly.

Thu May 7 02:00:00 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * examples/Service_Configurator/IPC-tests/:
          * Service_Configurator_IPC_Client.mpc move to Svc_Cfg_IPC_Client.mpc
          * _test postix appended to resulting executables to ensure conformance with
            examples/Service_Configurator/IPC-tests/README
        * examples/Service_Configurator/IPC-tests/README: modified to reflect saome name
          changes
        * examples/Service_Configurator/IPC-tests/server/svc.conf repaired as for some time
          shared library is called IPC_Tests_Server, but not just Server
        * examples/C++NPv2/C++NPv2.moc: project names with *Logging* changed to *Log*
        * performance-tests/Server_Concurrency/Queue_Based_Workers/Server_Concurrency_Queue_Based_Workers.mpc:
          moved to Svr_Conc_Queue_Based_Workers.mpc
        * performance-tests/Server_Concurrency/Leader_Follower/Server_Concurrency_Leader_Follower.mpc:
          moved to Svr_Conc_Leader_Follower.mpc

Thu May  6 12:16:16 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/common/common.mpc:

          Since Source_Files is now specified, we need to also specify the
          Header_Files that do not correspond to any cpp files.

        * bin/MakeProjectCreator/config/notification.mpb:

          The TAO_CosNotification library needs the TAO_Svc_Utils library.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Only use the .NOTPARALLEL: rule if all of the generated files have
          not been generated.  This can speed up parallel builds on a
          rebuild and on projects that share generated source files.

Thu May  6 12:43:29 2004  Steve Huston  <shuston@riverace.com>

        * examples/Bounded_Packet_Relay/BPR_Drivers.cpp:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp:
        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/TPC_Logging_Server.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client.cpp:
        * examples/IPC_SAP/SSL_SAP/SSL-client-simple.cpp:
          Added missing #includes so Visual Age C++ can see ACE_OS methods.

        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp: Moved the declarations
          of AC_Input_Handler and AC_Output_Handler to a new file,
          AC_Client_Logging_Daemon.h, so Visual Age C++ can see them when
          instantiating templates.

        * examples/C++NPv2/AIO_Client_Logging_Daaemon.cpp: Moved the
          declarations of AIO_Input_handler, AIO_Output_Handler, and
          AIO_CLD_Connector to a new file, AIO_Client_Logging_Daemon.h,
          so Visual Age C++ can see them when instantiating templates.

        * examples/Reactor/Proactor/test_cancel.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp: Moved the declaration
          of the Receiver class to a new file, test_cancel.h and
          test_proactor.h respectively, so Visual Age C++ can see it when
          instantiating templates.

Thu May  6 11:04:22 2004  Steve Huston  <shuston@riverace.com>

        * examples/DLL/Today.{h cpp}:
        * examples/DLL/Newsweek.{h cpp}: Added a nothrow-variant operator
          new if ACE_HAS_NEW_NOTHROW is defined. The ACE_NEW_* macros use
          nothrow when available.

Wed May  5 23:35:33 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Get_Opt.cpp (~ACE_Get_Opt_Long_Option):

          MSVC++ 6 can't deal with delete[]ing a const ACE_TCHAR *.
          Reintroduced a const_cast<> that addresses this issue by
          reverting a portion of the change in the "Wed May  5 14:14:53
          2004  Ossama Othman  <ossama@dre.vanderbilt.edu>" set of
          changes.

Wed May  5 23:27:36 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_sys_stat.inl (fstat):

          Corrected static_cast<> typo in Win32 case.  Fixes Win32
          compile-time errors.

Wed May  5 22:30:44 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Kokyu/tests/DSRT_MIF/MIF.cpp:
        * apps/JAWS3/jaws3/Concurrency.h:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp:
        * examples/Smart_Pointers/widget_test.cpp:
        * performance-tests/Server_Concurrency/Leader_Follower/leader_follower.cpp:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/workers.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/mutex_test.cpp:

          Include appropriate headers to fix undefined type compile-time
          errors.

        * examples/Reactor/Proactor/test_timeout.cpp:

          Changed ACE_Atomic_Op<> lock template parameter from
          ACE_Thread_Mutex to ACE_SYNCH_MUTEX.  Allows this file to build
          in single threaded builds.

Wed May  5 16:34:13 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Base.h (ACE_CDR):

          Improved doxygen documentation of basic CDR/IDL types.

          (ACE_CDR::Boolean):

          Versions of GNU G++ less than version 3.0 defined a pre-C99 bool
          type that was an enumeration.  In some cases the enumeration
          could be promoted to an int, causing a potential problem where a
          4 byte integer (for example) could be selected when attempting
          to send a boolean over a CDR stream.

Wed May  5 18:10:32 2004  Steve Huston  <shuston@riverace.com>

        * examples/IPC_SAP/SSL_SAP/SSL-server-poll.cpp: Change #include
          <stdio.h> to "ace/OS_NS_stdio.h" since ACE_OS::fprintf() is used.

Wed May  5 14:14:53 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Future.h (ACE_Future_Rep):
        * ace/Map_Manager.h (ACE_Map_Manager):
        * ace/Refcounted_Auto_Ptr.h:

          Declare lock members as "mutable" to avoid using a
          const_cast<> hack in const methods that modify the lock
          member through an ACE_GUARD.

        * ace/Future.cpp (get):
        * ace/Map_Manager.i (current_size, total_size):
        * ace/Refcounted_Auto_Ptr.i:

          Removed const_cast<> around lock member.  It is no longer
          needed since the lock member is now declared "mutable".

        * ace/CDR_Stream.h:

          Minor Doxygen documentation update.

        * ace/ACE.cpp:
        * ace/ARGV.cpp:
        * ace/ARGV.i:
        * ace/ATM_Acceptor.cpp:
        * ace/ATM_Connector.cpp:
        * ace/ATM_Stream.cpp:
        * ace/Acceptor.cpp:
        * ace/Activation_Queue.cpp:
        * ace/Arg_Shifter.cpp:
        * ace/Asynch_Acceptor.cpp:
        * ace/Asynch_Connector.cpp:
        * ace/Asynch_IO.cpp:
        * ace/Atomic_Op.cpp:
        * ace/Atomic_Op.i:
        * ace/Base_Thread_Adapter.cpp:
        * ace/Based_Pointer_T.i:
        * ace/Basic_Stats.cpp:
        * ace/Basic_Types.h:
        * ace/Basic_Types.i:
        * ace/CDR_Base.cpp:
        * ace/CDR_Base.inl:
        * ace/CDR_Stream.cpp:
        * ace/CDR_Stream.i:
        * ace/Caching_Utility_T.cpp:
        * ace/Cleanup.cpp:
        * ace/Codecs.cpp:
        * ace/Codeset_IBM1047.cpp:
        * ace/Condition_T.inl:
        * ace/Configuration.cpp:
        * ace/Connector.cpp:
        * ace/Containers_T.cpp:
        * ace/DEV_Addr.i:
        * ace/DEV_IO.cpp:
        * ace/DEV_IO.i:
        * ace/DLL.cpp:
        * ace/DLL_Manager.cpp:
        * ace/Dev_Poll_Reactor.cpp:
        * ace/Dynamic_Service.cpp:
        * ace/Env_Value_T.h:
        * ace/FIFO_Recv_Msg.i:
        * ace/FIFO_Send_Msg.cpp:
        * ace/FIFO_Send_Msg.i:
        * ace/FILE_Addr.cpp:
        * ace/FILE_Connector.cpp:
        * ace/FILE_IO.cpp:
        * ace/FlReactor.cpp:
        * ace/Framework_Component.cpp:
        * ace/Functor_T.i:
        * ace/Future_Set.cpp:
        * ace/Get_Opt.cpp:
        * ace/Global_Macros.h:
        * ace/Hash_Map_Manager_T.cpp:
        * ace/Hash_Map_Manager_T.i:
        * ace/High_Res_Timer.cpp:
        * ace/INET_Addr.cpp:
        * ace/INET_Addr.i:
        * ace/Lib_Find.cpp:
        * ace/Local_Name_Space.cpp:
        * ace/Log_Record.i:
        * ace/MEM_Addr.cpp:
        * ace/MEM_Connector.cpp:
        * ace/MEM_IO.i:
        * ace/MEM_SAP.i:
        * ace/Malloc_T.cpp:
        * ace/Malloc_T.i:
        * ace/Mem_Map.cpp:
        * ace/Mem_Map.i:
        * ace/Memory_Pool.i:
        * ace/Message_Queue.i:
        * ace/Multihomed_INET_Addr.cpp:
        * ace/Mutex.inl:
        * ace/Name_Proxy.cpp:
        * ace/Name_Request_Reply.cpp:
        * ace/OS_NS_Thread.inl:
        * ace/OS_NS_arpa_inet.inl:
        * ace/OS_NS_dirent.inl:
        * ace/OS_NS_dlfcn.inl:
        * ace/OS_NS_math.inl:
        * ace/OS_NS_netdb.inl:
        * ace/OS_NS_signal.inl:
        * ace/OS_NS_stdio.inl:
        * ace/OS_NS_stdlib.inl:
        * ace/OS_NS_string.inl:
        * ace/OS_NS_stropts.inl:
        * ace/OS_NS_sys_msg.inl:
        * ace/OS_NS_sys_shm.inl:
        * ace/OS_NS_sys_socket.inl:
        * ace/OS_NS_sys_stat.inl:
        * ace/OS_NS_time.inl:
        * ace/OS_NS_unistd.inl:
        * ace/OS_TLI.inl:
        * ace/Object_Manager.i:
        * ace/Obstack_T.i:
        * ace/Process.cpp:
        * ace/Process_Manager.cpp:
        * ace/Profile_Timer.cpp:
        * ace/RB_Tree.i:
        * ace/Recursive_Thread_Mutex.inl:
        * ace/Registry.cpp:
        * ace/SOCK.cpp:
        * ace/SOCK_Dgram.cpp:
        * ace/SOCK_Dgram.i:
        * ace/SOCK_IO.cpp:
        * ace/SOCK_IO.i:
        * ace/SPIPE_Addr.cpp:
        * ace/SPIPE_Stream.cpp:
        * ace/SString.i:
        * ace/SUN_Proactor.cpp:
        * ace/SV_Semaphore_Simple.cpp:
        * ace/SV_Semaphore_Simple.h:
        * ace/Select_Reactor_Base.cpp:
        * ace/Service_Config.cpp:
        * ace/Service_Manager.cpp:
        * ace/Service_Object.cpp:
        * ace/Service_Types.cpp:
        * ace/Service_Types.i:
        * ace/Shared_Memory_MM.i:
        * ace/Shared_Memory_SV.i:
        * ace/Signal.i:
        * ace/Stats.cpp:
        * ace/Strategies_T.cpp:
        * ace/String_Base.cpp:
        * ace/String_Base.i:
        * ace/Svc_Conf.h:
        * ace/Task.cpp:
        * ace/Thread_Adapter.cpp:
        * ace/Thread_Manager.i:
        * ace/Time_Value.inl:
        * ace/Typed_SV_Message_Queue.i:
        * ace/ace_wchar.inl:

          Converted all uses of ACE cast macros to their corresponding
          ANSI C++ equivalent.  The ACE cast macros are deprecated.

        * ace/OS_NS_fcntl.h:

          Nuked trailing whitespace.

Wed May  5 16:16:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/WIN32_Proactor.cpp (post_completion): reinterpret_cast the void*
          to ULONG_PTR on Win64.

Wed May  5 14:52:21 2004  Steve Huston  <shuston@riverace.com>

        * apps/soreduce/Library.cpp:
        * apps/soreduce/Obj_Module.cpp:
        * apps/soreduce/Sig_List.cpp:
        * apps/soreduce/SO_Group.cpp:
        * examples/Connection/blocking/SPIPE-acceptor.cpp:
        * examples/Connection/blocking/SPIPE-connector.cpp:
        * examples/OS/Process/process.cpp:
        * examples/Reactor/Proactor/test_end_event_loop.cpp:
        * examples/Reactor/Proactor/post_completions.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp:
        * examples/Reactor/Proactor/test_timeout.cpp:
        * examples/Reactor/Proactor/test_udp_proactor.cpp:
        * examples/Service_Configurator/Misc/Timer_Service.cpp:
        * examples/Threads/cancel.cpp:
        * examples/Web_Crawler/Command_Processor.cpp:
        * examples/Web_Crawler/HTTP_URL.cpp:
        * examples/Web_Crawler/Options.{h cpp}:
        * examples/Web_Crawler/URL_Visitor.cpp: Added #includes for various
          "ace/OS_NS_*.h" files to let Visual Age C++ see missing methods.

        * apps/soreduce/Obj_Module.h: Added forward declaration for
          ACE_Message_Block.

        * examples/Misc/test_XtReactor1.cpp:
        * examples/Misc/test_XtReactor2.cpp:
        * examples/OS/Process/imore.cpp:
        * performance-tests/Synch-Benchmarks/Synch_Lib/Benchmark_Base.cpp:
          Added #include "ace/Log_Msg.h".

Wed May  5 09:18:00 2004  Justin Michel  <michel_j@ociweb.com>

        * ace/OS_NS_unistd.inl:

          Attempt to use ::gethostname() on Win32, before falling back to
          GetComputerName(), to implement ACE_OS::hostname().  The latter
          returns the NetBios name, which may not be the same as the DNS
          name.

Wed May  5 09:13:46 2004  Carlos O'Ryan  <coryan@atdesk.com>

        * ace/ace.mpc:
        * ace/Auto_Functor.h:
        * ace/Auto_Functor.inl:
        * ace/Auto_Functor.cpp:
          Moved from TAO/tao, this class provides auto_ptr<>-like
          functionality, what to do on destruction is controlled by a
          functor.  So, you could write auto_ptr<> and
          ACE_Auto_Array_Ptr<> in terms of it, and many other similar
          classes.

Tue May  4 18:32:49 2004  Steve Huston  <shuston@riverace.com>

        * apps/mkcsregdb/mkcsregdb.cpp: Added #includes to pick up missing
          ACE_OS methods on AIX.

Tue May  4 18:16:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdio.cpp (checkUnicodeFormat): ACE_OS::fread() returns
          size_t, not int.

        * ace/WIN32_Proactor.cpp (register_handle): reinterpret_cast the void*
          to ULONG_PTR on Win64.

        * apps/soreduce/Obj_Module.{h cpp} (add_source):
        * apps/soreduce/Library.{h cpp} (ctor, load_modules, set_path):
          Changed path arugment and usage from ACE_TCHAR* to char*. It's
          used only with narrow chars throughout the rest of the sources.

Tue May  4 09:51:24 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          Fix for [BUG 1798]. Thanks to Johnny for reporting this bug.

Mon May  3 18:12:30 2004  Steve Huston  <shuston@riverace.com>

        * ace/TMCast/MTQueue.hpp: Remove 'mutable' from the mutex_ member.
          Visual Age C++ says you can only 'mutable' a non-reference member.

        * ace/TMCast/TransactionController.hpp: Added #include
          "ace/OS_NS_string.h" so Visual Age C++ can find ACE_OS::memcpy().
          Added #include <typeinfo> to enable typeid operator.

        * Kokyu/tests/DSRT_MIF/MIF.cpp: Added #include "ace/ACE.h" so Visual
          Age C++ can see ACE::is_prime().

        * Kokyu/tests/EDF/test.cpp: Added #include "ace/OS_NS_sys_time.h" so
          Visual Age C++ can see ACE_OS::gettimeofday().

        * ASNMP/asnmp/octet.cpp (to_string_hex): Instead of using separate
          #if/#endif blocks for fmt, one for WIN32, and one for __unix, use
          #if WIN32, #else. __unix wasn't defined for Visual Age C++ 6.

        * apps/JAWS/clients/Blobby/Blob.cpp:
        * apps/JAWS/clients/Blobby/Blob_Handler.cpp: Added #include
          "ace/OS_NS_string.h" so Visual Age C++ can see ACE_OS:: string
          methods.

Mon May  3 13:13:00 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/mfc.mpb:

          Removed this file.

        * bin/MakeProjectCreator/config/ace_mfc.mpb:

          The majority of the mfc has been moved out into the MPC config
          directory.  The ace_mfc base project now inherits from mfc and
          adds ACE_HAS_MFC=1 to the macros.

        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFC.mpc:

          Inherit from ace_mfc instead of mfc.

        * bin/cle.pl:

          Enhanced the domain name detection on Windows.

Mon May  3 09:58:25 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * include/makeinclude/rules.local.GNU:
        * include/makeinclude/rules.nested.GNU:

          Changed references to "Makefile" to "GNUmakefile".

Mon May  3 00:00:00 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Makefile*:

          Removed all Makefiles.  GNUmakefiles must now be generated by
          MPC.

Sun May  2 13:53:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Task.cpp (svc_run):
          Also MSVC8 needs to use the static cast instead of reinterpet
          case.

Sat May  1 22:23:35 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Makefile:
        * bin/Makefile:
        * GNUmakefile:
        * bin/GNUmakefile:

          Renamed "Makefile"s to "GNUmakefile"s to make it obvious to
          users that GNU Make is required to parse the files.

        * bin/ace-install:
        * bin/ace_components:
        * bin/count_lines:
        * bin/create_ace_build.pl:
        * bin/fuzz.pl:
        * bin/g++dep:
        * bin/make_release:
        * bin/perltest2cpp.pl:
        * bin/update-ace+tao.sh:

          Updated to references to "Makefile" to use the new name
          "GNUmakefile".

Sat May 01 17:12:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/Gateway/Gateway/Options.{h,cpp}:
          Fixed compile problems in unicode build

Sat May 01 13:52:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_Asynch_Stream.h:
          Doxygen improvement

Sat May 01 13:17:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TMCast/MTQueue.hpp:
          Fixed unused parameter warnings

Sat May 01 12:58:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Logging/LogManager.h:
        * examples/APG/Logging/Use_Multiple_Sinks.cpp:
        * examples/APG/Logging/Use_Ostream.cpp:
          Changed checking for _MSC_VER, first check if this define is
          set. This fixes warnings in the GCC 3.4 build.

Sat May 01 11:51:34 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/minimumTAO.html:
          Updated link for footprint stats.

Sat May 01 11:20:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/tests/FIFO/test.cpp:
          Fixed compile problems in unicode builds

Sat May 01 09:44:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated Remedy supported platforms, updated Borland build info
          and added a non supported platforms section where we list the
          platforms that have been supported in the past, but are now
          not anymore.

Fri Apr 30 18:11:35 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * PACE:

          Removed PACE from the ACE CVS module.  It is no longer
          maintained.

        * configure.ac:

          Do not define ACE_HAS_ANSI_CASTS if the compiler supports ANSI
          C++ casts.  ACE now requires that support.  If the compiler does
          not support ANSI C++ casts, issue an error message accordingly.

        * m4/config_h.m4 (ACE_PREP_CONFIG_HEADER):

          Removed template for ACE_HAS_ANSI_CASTS macro.  It is no longer
          used.  [Bug 1758]

        * ace/README:

          Removed description for ACE_HAS_ANSI_CASTS macro.  It is no
          longer used since compilers that do not support ANSI C++ casts
          are no longer supported.  [Bug 1758]

        * ace/config-lite.h:

          Removed ACE cast macros that wrap C style casts, i.e those used
          when ACE_HAS_ANSI_CASTS is not defined.  ACE now requires
          compilers that support ANSI C++ casts (e.g. static_cast<>,
          etc).  [Bug 1758]

          Documented ACE cast macros as deprecated.

        * ace/config-win32-msvc.h:

          Do not support the MSVC++ 5 configuration header.  MSVC++ 5 is
          no longer supported.

        * ace/config-win32-msvc-5.h:

          Removed this configuration header.  MSVC++ 5 has not been
          supported for quite some time.

        * ace/config-borland-common.h:
        * ace/config-chorus.h:
        * ace/config-cray.h:
        * ace/config-cxx-common.h:
        * ace/config-g++-common.h:
        * ace/config-hpux-10.x-hpc++.h:
        * ace/config-hpux-11.00.h:
        * ace/config-icc-common.h:
        * ace/config-integritySCA.h:
        * ace/config-macosx-panther.h:
        * ace/config-macosx.h:
        * ace/config-openvms.h:
        * ace/config-osf1-4.0.h:
        * ace/config-qnx-rtp-62x.h:
        * ace/config-sunos5.5.h:
        * ace/config-sunos5.6.h:
        * ace/config-tandem-nsk-mips-v2.h:
        * ace/config-unixware-7.1.0.udk.h:
        * ace/config-win32-ghs.h:
        * ace/config-win32-msvc-6.h:
        * ace/config-win32-msvc-7.h:
        * ace/config-win32-visualage.h:

          Removed all references to the deprecated ACE_HAS_ANSI_CASTS
          macro.  [Bug 1758]

Fri Apr 30 14:20:41 2004  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_g++.GNU: For AIX 5.x, changed the
          SOFLAGS link option -Wl,-bexpall to -Wl,-bexpfull. This allows the
          gcc 3.x type information to be exported to the library and useable
          by applications. Thanks very much to Randy Hammon
          <randy@trancekat.com> for this fix!
          Also, if rtti=0, add -DACE_LACKS_RTTI to CFLAGS in addition to adding
          -fno-rtti. Also changed the rtti default from 0 to 1.

        * THANKS: Added Randy Hammon to the Hall of Fame.

Fri Apr 30 10:19:28 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_sys_socket.inl (read): Fix typo, missing _.

Thu Apr 29 14:17:46 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-doxygen.h (OPENSSL_VERSION_NUMBER):

          Define this macro to be greater than a certain value so that the
          ACE_SSL asynchronous IO class documentation can be generated by
          Doxygen.  [Bug 1748]

Thu Apr 29 13:48:30 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_sys_socket.inl (sendv):

          Corrected problem for the Winsock 1 case where the amount of
          previously sent data would not be reported if an error occurred
          when attempting to send data in a subsequent loop iteration.

          (accept, recv, send):
        * ace/OS_NS_unistd.inl (read):

          Do not set errno to EWOULDBLOCK when errno is set to EAGAIN and
          EGAIN equals EWOULDBLOCK.  This saves us two (equality check and
          assignment) TSS accesses for the _REENTRANT case on platforms
          where EGAIN and EWOULDBLOCK are the same (e.g. Linux).
          Performance improvements should be evident those platforms.

        * ace/OS_NS_sys_uio.cpp (writev_emulation):

          Replaced the old implementation with a new faster one based on
          the one in ace/SSL/SSL_SOCK_Stream.cpp that incurs no
          allocations nor copies.  The new implementation can also handle
          partial writes.  Performance improvements should be visible on
          platforms that do not support writev() (i.e. define
          ACE_LACKS_WRITEV), such as MS Windows.

Thu Apr 29 14:35:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/SOCK_SEQPACK_Connector.cpp (shared_connect_start): Corrected
          sizeof() usage; error introduced at:
          Thu Apr 29 11:25:49 2004  Steve Huston  <shuston@riverace.com>

Thu Apr 29 11:37:12 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Context.cpp: Add #include "ace/Guard_T.h" so AIX Visual
          Age C++ can see ACE_Guard.

        * tests/Refcounted_Auto_Ptr_Test.cpp: Add #include "ace/Null_Mutex.h"
          so AIX Visual Age C++ can see ACE_Null_Mutex when instantiating
          templates.

Thu Apr 29 11:25:49 2004  Steve Huston  <shuston@riverace.com>

        These are all to quiet the 64-bit compiler on Win64.

        * ace/CDR_Stream.i (write_wstring): cast size_t return from
          ACE_OS::strlen() to ACE_CDR::ULong to correct types.

        * ace/OS_NS_stropts.inl (putmsg): ACE_OS::write() returns ssize_t;
          cast it back to int for return to caller.

        * ace/OS_NS_sys_uio.{h, inl, .cpp}: writev() returns ssize_t. Thus,
          the writev_emulation() method also must return ssize_t. Also
          corrected the ACE_OSCALL_RETURN 'type' argument from int to ssize_t.

        * ace/Process.cpp (spawn): When forming the +H command line options,
          use %I64d, not %d, on Win64.

        * ace/SOCK_SEQPACK_Acceptor.cpp (shared_open): Cast the 'namelen'
          argument to ACE_OS::bind() to int to match the signature.

        * ace/SOCK_SEQPACK_Association.{h i} (recvv_n, sendv_n): The iovec
          count was changed from size_t to int to be consistent with the
          other analogous methods in ACE.

        * ace/SOCK_SEQPACK_Association.cpp (get_local_addrs, get_remote_addrs):
          Correct usage of int/size_t types.

        * ace/SOCK_SEQPACK_Connector.cpp (shared_connect_start): Use 'int',
          not 'size_t' as address length argument to ACE_OS::bind().

        * ace/UUID.cpp (to_string): Change UUID_STRING_LENGTH from int to
          size_t to match string handling length types.

Thu Apr 29 06:13:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadSafety/Tokens_Deadlock.cpp:
          Include ace/OS_NS_unistd.h to get ACE_OS sleep

Wed Apr 28 22:06:08 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Basic_Stats.cpp:
        * ace/Parse_Node.cpp:
        * ace/Sample_History.cpp:
        * ace/Stats.cpp:

          Fixed unused parameter and variable warnings in the ACE_NLOGGING
          case.

        * netsvcs/lib/Token_Handler.cpp:

          Include "ace/Signal.h" to pull in ACE_Sig_Action class
          declaration.

Wed Apr 28 14:25:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Removed $(EXEEXT) for BIN_UNCHECKED. This has strange problems
          in our MinGW build. We are looking at this again for OpenVMS.

Wed Apr 28 13:00:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Mutex.{cpp,inl}:
          - Improved the dump() method.
          - Release all resources in the remove()
          - Changed the constructor not to allocate unnecessary resource
            (thread mutex) in case process shared mutex is requested
            *and* supported
          Change from Martin Corino <mcorino@remedy.nl>

Wed Apr 28 12:53:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Lib_Find.cpp:
        * ace/Memory_Pool.cpp:
          Added missing quotes to the ACE_RCSID macro.

Wed Apr 28 12:19:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        First checkin of the OpenVMS port of ACE. This port is done by
        Martin Corino <mcorino@remedy.nl>. This is not finished yet, we have
        to do more testing but a lot of the ACE tests work without problems.
        Documentation and readmes will be updated in the near future with
        an explanation how to use ACE on OpenVMS.

        * ace/Mem_Map.cpp (open):
          Added special VMS sharing attributes for memory map file ::open()

        * ace/Memory_Pool.cpp (commit_backing_store_name):
          ::fsync() called to make sure change is commited to disk.

        * ace/Lib_Find.cpp (ldfind, ldname):
          Added OpenVMS way of finding shared libraries

        * ace/ACE.i (recv_i):
          OpenVMS cannot ::read() on socket, must use ::recv()

        * ace/OS_NS_sys_stat.inl (fstat):
          Called ::fsync() before calling ::fstat() to make sure all changes
          have been commited to disk

        * ace/OS_NS_sys_mman.inl:
          In ACE_OS::mmap() added ::fsync() before ::mmap() to make sure all
          is committed to disk.
          In ACE_OS::shm_open() added special OpenVMS sharing attributes for
          memory map file ::open()

        * ace/config-openvms.h:
          New config file for OpenVMS 7.3-2.

        * include/makeinclude/platform_openvms.GNU:
          New file for OpenVMS 7.3-2

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Use $(EXEEXT) for BIN_UNCHECKED.

Wed Apr 28 09:34:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/rules.local.GNU:
          Added special way of pwd retrieval for mingw because the normal
          way gives problems under mingw. Thanks to Martin Corino
          <mcorino@remedy.nl> for creating this patch.

Wed Apr 28 06:19:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdio.cpp (DllMain):
          Replaced check for ACE_OS_HAS_DLL with ACE_HAS_DLL. ACE_OS_HAS_DLL
          is deprecated and will be removed in the near future. Thanks to
          Felix Wyss <FelixW@inin.com> for reporting this.

Wed Apr 28 06:13:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Pipe_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
          Fixed compile problems in unicode builds

Tue Apr 27 18:15:40 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.inl (rw_trywrlock_upgrade): If on a platform
          with ACE_HAS_PTHREADS_UNIX98_EXT, try the call. It'll probably fail,
          but the error is more accurate than ENOTSUP.

        * tests/Reader_Writer_Test.cpp: Realign the diagnostics on write lock
          upgrade failure to match the #if/#else logic in
          ACE_OS::rw_trywrlock_upgrade(). Add some %p to the output to help
          more in failure conditions.

Tue Apr 27 08:31:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadPools/TP_Reactor.cpp:
        * examples/APG/Threads/Message_Queue.cpp:
          Don't use ACE_Reactor deprecreated methods.

Tue Apr 27 08:18:23 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_Reactor_Timer_Test.cpp:
        * tests/Notify_Performance_Test.cpp:
        * tests/Service_Config_Test.cpp:
        * tests/TP_Reactor_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:
          Don't use ACE_Get_Opt and ACE_Reactor deprecreated methods.

Mon Apr 26 17:21:39 2004  Steve Huston  <shuston@riverace.com>

        * configure.ac: Change the tests for sem_init() and sem_destroy() to
          use AC_SEARCH_LIBS instead of AC_CHECK_FUNC. The entrypoints are in
          librt, so weren't being located. This allows ACE_HAS_POSIX_SEM to
          be detected correctly.

Mon Apr 26 17:31:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Acceptor.cpp:
          Use ACE_Reactor::instance()->end_reactor_event_loop () to end the
          event loop instead of the deprecated ACE::Reactor::end_event_loop()

Mon Apr 26 02:09:01 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Base.h (ACE_CDR::Boolean):

          This type is now a true C++ "bool".  On a related note, the
          OMG IDL-to-C++ mapping allows this type to be "bool" for ANSI
          compliant compilers.  All compilers currently supported by ACE
          support the C++ "bool" type, so we're in luck.

        * ace/CDR_Stream.h:

          Made all single argument "{from,to}_*" constructors explicit (if
          supported by the compiler), as required by the OMG IDL-to-C++
          mapping.  Addresses potential implicit conversion issues.

          Fixed some broken Doxygen documentation.

          (good_bit_, do_byte_swap_, current_is_writable_):

          Converted these flags and their corresponding accessors from
          "int" to "bool", and changed the declaration order to optimize
          size of ACE_{Output,Input}CDR classes by avoiding unnecessary
          static alignment padding.  Both classes are now 8
          bytes smaller, at least on platforms with 4 byte alignment.

        * ace/CDR_Stream.i:

          Updated good_bit_, do_byte_swap_ and current_is_writable_
          assignments to use C++ "bool" values.

        * ace/CDR_Stream.cpp:

          Updated base member initializer lists to match new member
          declaration order.

          Updated good_bit_, do_byte_swap_ and current_is_writable_
          assignments to use C++ "bool" values.

          Use "const" where applicable.

          Use prefix increment operator instead of postfix increment
          operator where applicable.  The former is more efficient.

Mon Apr 26 15:05:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Queue.cpp:
          In ACE_Message_Queue_NT::open() use ACTIVATED instead of
          WAS_ACTIVE because the last is deprecated.

Mon Apr 26 10:04:43 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/mfc.mpb:

          Within 'specific' sections, set the subsystem and use_mfc template
          variables to correct values for use with MFC.

Mon Apr 26 09:59:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Memory_Pool.h:
          Doxygen improvements

Mon Apr 26 07:44:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * os-patches/vxworks-5.1.txt:
          Removed this file from the repo. It is not correct anymore
          and we don't support VxWorks 5.1 anymore.

Mon Apr 26 07:18:23 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/test_config.h:
          Removed the non win32 version of ACE_APPEND_LOG. Bug 1792
          reported that child logs didn't work on non win32 platforms.
          A tests on our linux system demonstrated that when we removed
          the non win32 version of ACE_APPEND_LOG things works again
          on Linux. This non win32 version did close the file stream
          and this seems not logical. Thanks to Martin Corino
          <mcorino@remedy.nl> for reporting this.

Sun Apr 25 23:17:26 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/IPC_SAP/SSL_SAP/SSL-client-simple.cpp:

          Include "ace/Null_Mutex.h" to pull in ACE_Null_Mutex class
          declaration.

        * examples/IPC_SAP/SSL_SAP/SSL-server-poll.cpp:

          Include "ace/Log_Msg.h" and "ace/OS_NS_stdio.h" to pull
          ACE_ERROR related macros and ACE_OS::perror() prototype,
          respectively.

        * examples/IPC_SAP/SSL_SAP/Makefile:

          Added missing ACE SSL preprocessor and linker flags.

Sun Apr 25 09:22:50 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:

          Make use of new MPC features to correctly represent the output
          files generated with various tao_idl options.

Sun Apr 25 09:57:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Tokens_Test.cpp:
          Added include of ace/Barrier.h to fix compile error

Sun Apr 25 09:52:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added TAO/tests/Collocation/run_test.pl

Fri Apr 23 22:35:23 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Process_Manager.cpp (wait):
        * ace/WFMO_Reactor.cpp (dispatch_handles):

          Fixed "pointless comparison of unsigned integer with zero"
          MSVC++ 7.1 warning.

Fri Apr 23 22:26:19 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/Web_Crawler/Iterators.cpp (next):

          Explicitly cast offset value from size_t to off_t to address
          "change of sign in integer conversion" warning exhibited by
          MSVC++ 7.1.

Fri Apr 23 22:13:35 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Token_Collection.h:
        * ace/Token_Invariants.h:

          Include "ace/Null_Mutex.h" to pull ACE_Null_Mutex class
          declaration.

Fri Apr 23 20:25:05 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Kokyu/Kokyu_defs.h:
        * Kokyu/Kokyu_defs.i:

          Changed return types for equality operators to "bool", as is the
          norm for modern C++.

Fri Apr 23 12:50:34 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Config_Test.cpp (iniCompare):

          Changed type of equality flag variable from an "int" to a
          "bool".  Addresses a "'&=' : unsafe mix of type 'int' and type
          'bool' in operation" warning exhibited by MSVC++ 6.

Fri Apr 23 11:23:04 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Local_Tokens.cpp:
        * ace/Local_Tokens.h:
        * ace/Timeprobe.h:

          Do not include "ace/Synch{_T}.h".  Include less expensive ones
          instead.  Fixes a "fuzz" error.

        * ace/Token_Manager.h:

          Moved "ace/Map_Manager.h" inclusion within the
          ACE_HAS_TOKENS_LIBRARY block.  There is no need to include it if
          that macro isn't defined.

Fri Apr 23 11:14:51 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/Smart_Pointers/Widget_Impl.h:

          Include "ace/Synch_Traits.h" and "ace/Thread_Mutex.h".
          Necessitated by header inclusion reductions in
          "ace/Refcounted_Auto_Ptr.*".

Fri Apr 23 15:01:23 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Thread_Manager_Test.cpp:
          When ACE_LACKS_PTHREAD_KILL has been defined, don't fail on a
          non supported kill. Thanks to Martin Corino <mcorino@remedy.nl>
          for extending this.

Fri Apr 23 14:49:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Changed the way we integrate with Codeguard. Removed the -g
          commandline option and use "-Config Codeguard" to enable
          inspection of codeguard logs. This is much easier to maintain
          and this way the bin/auto_run_tests.pl doesn't need to be
          modified.

Fri Apr 23 10:30:31 2004  Steve Huston  <shuston@riverace.com>

        * tests/Recursive_Condition_Test.cpp: Missed a variable change.

Fri Apr 23 07:35:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.inl (mutex_init): Forgot some changes of type to
          lock_scope for Windows.

Fri Apr 23 11:24:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Extended the checking of children logs. Some tests spawn child
          processes and these processes log then to a different log
          startin with the executable name, but then with a postfix. These
          child logs are already inspected, but only for error and warning
          not for the starting/ending lines. We now check whether starting
          and ending is in the log file and also the number of starting
          and ending lines must match.

Fri Apr 23 06:18:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Pipe_Test.cpp:
        * tests/Process_Manager_Test.cpp:
        * tests/Process_Mutex_Test.cpp:
        * tests/Signal_Test.cpp:
        * tests/Time_Service_Test.cpp:
          These tests did check for ACE_LACKS_FORK but didn't use fork
          at all, but ACE_Process::spawn() to spawn new processes.
          This function has much more implementations, so removed the
          check for fork. In case a platform doesn't support this test,
          this should be solved in the run_tests.lst file.

Fri Apr 23 06:15:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Fixed incorrect check in ACE_OS::condattr_init()

Thu Apr 22 22:22:59 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/clone.cpp:
        * tests/Dirent_Test.cpp:

          Replaced "ace/OS.h" include with lighterweight "ace/OS_NS_*.h"
          includes.  Fixes "fuzz" errors.

Thu Apr 22 20:54:26 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/SSL/SSL_Asynch_Stream.h:
        * ace/SSL/SSL_Context.cpp:
        * ace/SSL/SSL_Context.h:
        * ace/SSL/SSL_SOCK_Stream.i:

          Updated included headers as necessary due to removal of
          "ace/Synch.h" #include.

Thu Apr 22 20:01:12 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/ATM_Addr.cpp:
        * ace/ATM_Addr.h:
        * ace/ATM_Addr.i:
        * ace/Active_Map_Manager.h:
        * ace/Active_Map_Manager.i:
        * ace/Addr.h:
        * ace/Addr.i:
        * ace/Atomic_Op.h:
        * ace/Atomic_Op.i:
        * ace/Atomic_Op_T.h:
        * ace/Atomic_Op_T.i:
        * ace/Based_Pointer_T.h:
        * ace/Based_Pointer_T.i:
        * ace/Basic_Types.h:
        * ace/Basic_Types.i:
        * ace/Bound_Ptr.h:
        * ace/Bound_Ptr.i:
        * ace/CDR_Base.cpp:
        * ace/CDR_Base.h:
        * ace/Cache_Map_Manager_T.h:
        * ace/Cache_Map_Manager_T.i:
        * ace/Cleanup.cpp:
        * ace/Cleanup.h:
        * ace/Configuration.cpp:
        * ace/Configuration.h:
        * ace/Containers_T.cpp:
        * ace/Containers_T.h:
        * ace/Containers_T.i:
        * ace/DEV_Addr.h:
        * ace/DEV_Addr.i:
        * ace/FILE_Addr.h:
        * ace/FILE_Addr.i:
        * ace/Functor_T.h:
        * ace/Functor_T.i:
        * ace/Future.cpp:
        * ace/Future.h:
        * ace/Get_Opt.h:
        * ace/Get_Opt.i:
        * ace/Hash_Map_Manager_T.h:
        * ace/Hash_Map_Manager_T.i:
        * ace/INET_Addr.cpp:
        * ace/INET_Addr.h:
        * ace/INET_Addr.i:
        * ace/IOStream.h:
        * ace/Local_Name_Space.cpp:
        * ace/Local_Name_Space.h:
        * ace/Local_Tokens.h:
        * ace/Local_Tokens.i:
        * ace/MEM_Addr.h:
        * ace/MEM_Addr.i:
        * ace/Map_Manager.h:
        * ace/Map_Manager.i:
        * ace/Map_T.h:
        * ace/Map_T.i:
        * ace/Name_Space.cpp:
        * ace/Name_Space.h:
        * ace/OS_Errno.h:
        * ace/OS_Errno.inl:
        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_Thread.h:
        * ace/Pair_T.h:
        * ace/Pair_T.i:
        * ace/RB_Tree.h:
        * ace/RB_Tree.i:
        * ace/Refcounted_Auto_Ptr.h:
        * ace/Refcounted_Auto_Ptr.i:
        * ace/Registry.cpp:
        * ace/Registry.h:
        * ace/SPIPE_Addr.h:
        * ace/SPIPE_Addr.i:
        * ace/SString.h:
        * ace/SString.i:
        * ace/Select_Reactor_Base.h:
        * ace/Select_Reactor_Base.i:
        * ace/Service_Config.h:
        * ace/Service_Config.i:
        * ace/Strategies_T.h:
        * ace/Strategies_T.i:
        * ace/String_Base.cpp:
        * ace/String_Base.h:
        * ace/String_Base.i:
        * ace/Thread_Manager.h:
        * ace/Thread_Manager.i:
        * ace/Time_Value.h:
        * ace/Time_Value.inl:
        * ace/Timeprobe.h:
        * ace/Timeprobe.i:
        * ace/UNIX_Addr.h:
        * ace/UNIX_Addr.i:
        * ace/Unbounded_Set.cpp:
        * ace/Unbounded_Set.h:
        * ace/Unbounded_Set_Ex.cpp:
        * ace/Unbounded_Set_Ex.h:
        * ace/Vector_T.cpp:
        * ace/Vector_T.h:
        * ace/Vector_T.i:
        * ace/CLASSIX/CLASSIX_Group.h:
        * ace/CLASSIX/CLASSIX_Group.i:
        * ace/CLASSIX/CLASSIX_Port.h:
        * ace/CLASSIX/CLASSIX_Port.i:
        * apps/Gateway/Gateway/Event.h:
        * apps/JAWS/clients/Caching/Local_Locator.h:
        * apps/JAWS/clients/Caching/Local_Locator.i:
        * apps/JAWS/clients/Caching/URL_Properties.h:
        * apps/JAWS/clients/Caching/URL_Properties.i:
        * docs/tutorials/016/Condition_i.cpp:
        * docs/tutorials/016/Condition_i.h:
        * docs/tutorials/016/condition.cpp:
        * examples/Web_Crawler/URL_Addr.cpp:
        * examples/Web_Crawler/URL_Addr.h:
        * tests/CDR_File_Test.cpp:
        * tests/Collection_Test.cpp:
        * tests/Collection_Test.h:
        * tests/IOStream_Test.cpp:
        * ACEXML/common/AttributesImpl.h:
        * ACEXML/common/AttributesImpl.i:
        * ACEXML/common/URL_Addr.h:
        * ACEXML/common/URL_Addr.inl:
        * ACEXML/parser/parser/ParserContext.h:
        * ACEXML/parser/parser/ParserContext.inl:

          Changed all return types for equality, relational and logical
          operators to "bool", as is the norm for modern C++.

Thu Apr 22 17:06:04 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl (mutex_init):

          Explicitly cast the unused returned values of an
          ACE_ADAPT_RETVAL macro call to "void" to address a "right-hand
          operand of comma has no effect" warning exhibited by GNU g++ 3.4
          (pre-release).

Thu Apr 22 17:06:39 2004  Steve Huston  <shuston@riverace.com>

        * tests/Recursive_Condition_Test.cpp: Fixed broken log string. Also,
          when checking nesting level, ignore it if get_nesting_level() returns
          -1, ENOTSUP. This will be the case for native Pthreads recursive
          mutexes.

Thu Apr 22 16:51:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.inl:
          Reverted this change:
          Wed Mar 31 14:43:48 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>
          which confused the lock scope (process vs. thread) with lock type
          (recursive, non-recursive, etc.). Panagiotis sent a revised patch
          to separately specify the lock type as an optional argument,
          lock_type, to ACE_OS::mutex_init(). This allows Pthreads recursive
          mutexes where they are available.
          I also renamed the 'type' argument to lock_scope to differentiate
          this further and avoid confusion in the future.
          On ACE_OS::thread_mutex_init(), the meaning of the old 'type'
          argument is changed. It previously combined the scope and type.
          Now it is just the type (e.g. recursive), as the scope is inherent
          in the method used.
          For clarification on ACE_HAS_RECURSIVE_MUTEXES, it means that the
          platform is capable of them, not that they always are, as one would
          expect. However, before Pthreads had recursion added, it was
          never optional. Now it is.

        * ace/config-linux.h: Only set ACE_HAS_RECURSIVE_MUTEXES if
          ACE_HAS_PTHREADS_UNIX98_EXT is set.

        * ace/config-aix4.x.h:
        * ace/config-hpux-11.00.h: Added ACE_HAS_RECURSIVE_MUTEXES. This is
          predicated on ACE_HAS_PTHREADS_UNIX98_EXT, which is already set.
          Some other configs have ACE_HAS_PTHREADS_UNIX98_EXT also, but I
          don't have access to them for testing, so didn't add it to those.

        * ace/Thread_Mutex.cpp (ctor): Pass 0 for lock_type to
          ACE_OS::thread_mutex_init(), not USYNC_THREAD.

Thu Apr 22 11:53:00 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/fuzz.pl (check_for_non_bool_operators):

          Improved regular expressions to catch additional cases.

Thu Apr 22 12:00:00 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/TMCast/Link_Listener.hpp: removed ACE_Addr bug which led to
        sigsegv in TMCast applications.

Thu Apr 22 12:13:52 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ACEXML/common/codecs.mpb:
        * ACEXML/common/common.mpc:

          Support disabling the ace_codecs feature.  This project takes
          advantage of the ! (not) feature of MPC.

Thu Apr 22 14:00:05 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ace_tests.lst:
          The wfmo reactor tests shouldn't be run using Cywin. The wfmo
          run_test.pl test for windows but Cygwin runs on windows but
          doesn't have the wfmo reactor.

Thu Apr 22 07:58:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/prj_install.pl:
          Removed this file.  It now lives in the MPC directory.

Thu Apr 22 00:22:03 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/fuzz.pl (check_for_non_bool_operators):

          New test that determines if equality, relational and logical
          operators return a type other than "bool".  A "bool" return type
          for such operators is the norm for modern C++ compilers.

Thu Apr 22 07:12:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added TAO/tests/Bug_1495_Regression.pl to the list of test
          that must be run.

Thu Apr 22 06:02:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/QoS/qos.mpc:
          With Visual C++ 8 also define ACE_HAS_WINSOCK2_GQOS. Visual C++
          8 is at this moment Microsoft Visual Studio .NET 2005 March
          2004 Preview.

Wed Apr 21 13:36:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/os_include/os_time.h: Reverted this change:
          Thu Apr 15 17:56:29 2004  Steve Huston  <shuston@riverace.com>
          and directly include <sys/time.h> instead. Although the Apr 15
          change fixed the g++ build on HP-UX, it revived a compile error
          for the aC++ build wherein the ACE_OS::sigaction() method would
          not compile, apparantly due to some confusion over partially-defined
          struct sigaction in some inlined situations. I have no idea why,
          but at this point, both the aC++ and g++ builds are quiet.

Tue Apr 20 12:47:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_shm.h:
          Removed empty shmaddr when ACE_WIN32 is set, it is not used in
          ACE. Added empty struct shmid_ds when ACE_LACKS_SHMID_DS_T is
          defined.

        * ace/README:
          Added ACE_LACKS_SHMID_DS_T

Tue Apr 20 06:17:43 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * THANKS:

          To avoid spam for our dear users we have changed the @ symbol
          and the dot symbol to be in character format.

Mon Apr 19 14:10:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl:
          Moved the implementation of ACE_OS::thr_equal() before the first
          placed where it is used in this file. This fixes a warning in the
          Tru64 build.

Mon Apr 19 14:02:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/sys/os_msg.h:
          Instead of defining an empty struct msqid_ds when
          ACE_WIN32 is set, use the new ACE_LACKS_MSQID_DS_T define.

        * ace/README:
          Added ACE_LACKS_MSQID_DS_T description

        * ace/config-win32-common.h:
          Win32 doesn't have the struct msqid_ds, so added ACE_LACKS_MSQID_DS_T

Fri Apr 16 12:34:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/ace.icp:
        * tests/tests.icp: Removed these left-over Visual Age C++ projects.

        * ace/ace_dll64.mak:
        * ace/ace_lib64.mak:
        * apps/JAWS/clients/WebSTONE/src/client/webclient.mak:
        * apps/JAWS/clients/WebSTONE/src/gendata/genrand.mak:
        * apps/JAWS/clients/WebSTONE/src/master/webmaster.mak:
        * examples/C++NPv1/Process_Per_Connection_Logging_Server.mak:
          Removed these MSVC make files. These are all now generatable via MPC.

Fri Apr 16 09:35:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Default_Constants.h:
          Added ACE_MAX_UDP_PACKET_SIZE

        * ace/RMCast/RMCast_IO_UDP.cpp:
          Use ACE_MAX_UDP_PACKET_SIZE instead of a hardcoded constant. Makes
          it possible to overrule the value from the config.h file.

Fri Apr 16 06:38:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Fixed error in the libcheck that was put in accidently when merging
          from our test system to the latest cvs version.

Thu Apr 15 23:28:24 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * include/makeinclude/platform_sunos5_sunc++.GNU (CCFLAGS):
          (CPPFLAGS):

          Moved preprocessor flags in compiler flags variable $(CCFLAGS)
          to preprocessor flags variable $(CPPFLAGS).  Addresses potential
          dependency generation problems.

Thu Apr 15 17:56:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/os_include/os_time.h: Include ace/os_include/sys/os_time.h
          before <time.h>. This insures that the X/Open form of select(),
          using fdset* as opposed to int*, gets selected, at least on HP-UX.

Thu Apr 15 14:38:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/rules.local.GNU:
          Reverted the $(PWD) changed, it caused unexpected problems. We are
          working on a better solution.

Thu Apr 15 12:33:27 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Changed the way we do a lib check. Instead of using the shell we use
          normal make rules. Another advantage is that we now give all libraries
          we are missing instead of the first one. Thanks to
          Martin Corino <mcorino@remedy.nl> for changing this.

Thu Apr 15 12:29:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/check_build_logs:
        * bin/show_log_dir.pl:
        * bin/vc_filter.pl:
          Removed these files, they are old and not needed anymore. Looks
          some more files in bin can be removed, we should have a good look
          at what we really need

Thu Apr 15 07:20:35 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ACE-INSTALL.html:
        * bin/MakeProjectCreator/README:

          Added information on how to obtain MPC and the location of
          documentation.

Thu Apr 15 10:52:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_mingw32.GNU:
          Set PRELIB to empty for MinGW and set a specific PWD.

Thu Apr 15 10:16:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
          Reimplemented the ACE_OS::setsid(). Introduced ACE_LACKS_SETSID so
          that from the config file we can say if the platform supports setsid()
          or not. VxWorks and PSOS don't have the concept of processes so
          there we return just 0, just like to other methods related to this one.
          This way when we get another port to a platform which doesn't have
          setsid() we just have to add this define to the config file.

        * ace/config-chorus.h:
        * ace/config-integritySCA:
        * ace/config-win32-common.h:
          Added define of ACE_LACKS_SETSID because these platforms lack this

        * ace/README:
          Documented ACE_LACKS_SETSID

Thu Apr 15 09:51:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/wrapper_macros.GNU:
          Introduced PWD. This is used to get the current working
          directory. When it is not set, it is $(shell pwd). On Windows
          without cygwin we don't have pwd, so we need to get another
          way of doing this, this makes it possible to overrule this.

        * include/makeinclude/rules.local.GNU:
          Use $(PWD) to get the working directory

        * include/makeinclude/platform_g++_common.GNU:
          Added mingw specific rules for determining if the GNU ld has -E

Thu Apr 15 08:54:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_stat.inl:
          Changed order of inline methods to fix warnings in Tru64 build.

Thu Apr 15 08:37:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
          Changed location of ACE_OS::getpagesize(). The method must be
          above the first place where it is used. This fixes a warning
          in the Tru64 build.

Thu Apr 15 07:14:21 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadSafety/Tokens.cpp:
          Added include of ace/OS_NS_time.h to get ACE_OS::nanosleep

Thu Apr 15 07:04:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_auto_compile.pl:
          Removed this file. The msvc_mpc_auto_compile.pl script must
          be used.

Wed Apr 14 22:18:58 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * Kokyu/DSRT_Direct_Dispatcher_Impl_T.cpp (svc):

          Wrapped ACE_Guard instantiation within an ACE_GUARD_RETURN
          macro.  Addresses an unused variable warning.

Wed Apr 14 20:29:52 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.cpp (thr_create):

          Explicitly cast the unused returned values of two
          ACE_ADAPT_RETVAL macro calls to "void" to address a "right-hand
          operand of comma has no effect" warning exhibited by GNU g++ 3.4
          (pre-release).

Wed Apr 14 19:27:29 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/os_include/os_unistd.h (_POSIX_TIMER_MAX):
          (ACE_DEFAULT_TIMERS):

          Moved definitions of these macros to other more appropriate
          files described below.

        * ace/os_include/os_limits.h (_POSIX_TIMER_MAX):

          Moved conditional definition of this macro to this file to avoid
          potential definition before the one in <limits.h>.  Fixes macro
          redefinition warnings.

        * ace/Default_Constants.h (ACE_DEFAULT_TIMERS):

          Moved conditional definition of this macro to this file.  It
          didn't make much sense to define it in the os_unistd.h
          portability header.

Wed Apr 14 17:28:21 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * include/makeinclude/platform_qnx_rtp_gcc.GNU:

          Corrected "fuzz" error regarding missing RCS ID.

Wed Apr 14 23:03:20 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ace/DLL_Manager.cpp:

          Additional validation in DLL_Handle::symbol.

        * ace/Mem_Map.cpp:

          QNX NTO cannot mmap regular files, but can map shared
          memory.  Mem_Map was modified for QNX NTO the same it was done
          for CHORUS, namely ::open and ::unlink was replaced by
          resp. ::shm_open and ::shm_unlink in QNX NTO section. This is
          only a partial bugfix, as one it prevents mapping ordinary
          files.

        * tests/Mem_Map_Test.cpp:

          ::open in QNX NTO  sections was replaced by Mem_Map::open to
          ensure ::shm_open is invoked.

Wed Apr 14 17:17:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-11.00.h: Fixed missing end-of-comment mark that
          no-oped much of this file. Thanks to the compiler for all the
          help finding this one.... NOT!

Wed Apr 14 14:09:19 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/os_include/os_unistd.h (ACE_DEFAULT_TIMERS, _SC_TIMER_MAX):

          #define ACE_DEFAULT_TIMERS to _POSIX_TIMER_MAX, not
          _SC_TIMER_MAX.  The latter is a parameter meant to be passed to
          the sysconf() C library function.  It does not represent the
          maximum number of concurrent timers per process.  The fact that
          its value is close to the value for _POSIX_TIMER_MAX is a
          coincidence  (e.g. _SC_TIMER_MAX on Linux/glibc is 35 and
          _POSIX_TIMER_MAX is 32).  This addresses potential problems
          where the default number of timers is more than the platform
          allows.

          In addition to addressing the above issue, this change also
          fixes a warning regarding an undefined "_SC_TIMER_MAX" macro on
          Linux/glibc.  On that platform "_SC_TIMER_MAX" is actually
          defined in an enumeration.

          (_SC_AIO_MAX):

          Removed this macro definition.  It served no useful purpose.

Wed Apr 14 16:18:10 2004  Irfan Pyarali  <irfan@oomworks.com>

        * ace/Cached_Connect_Strategy_T.cpp:

          In ACE_Cached_Connect_Strategy_Ex::connect_svc_handler_i(), the
          reference counter of the entry in the hashtable
          (ACE_Refcounted_Hash_Recyclable) was being incremented in all
          cases.  It should only incremented if the hint passed to
          connect_svc_handler_i() is not used.

          Thanks to Torsten Kuepper <torsten.kuepper@nokia.com> for
          reporting this bug.  This closes bug 1781.

Wed Apr 14 16:14:59 2004  Steve Huston  <shuston@riverace.com>

        * ace/Basic_Types.h: Add _M_AMD64 (Opteron) as a known little-endian
          architecture. Thanks to Ivan Murphy <ivan.murphy@siemens.com> for
          this fix.

Wed Apr 14 21:07:35 2004  Marek Brudka  <mbrudka@elka.pw.edu.pl>

        * ACE-INSTALL.html: updated documentation in QNX section.
        * include/makeinclude/platform_qnx_rtp_gcc.GNU: several changes
          related to compilation under QNX RTP v.6.2.0.
        * ace/Mutex.inl: Fixed bugs for pthread::process_mutex placed in
          shared memory
        * ace/Process_Mutex.h: Explained in doxygen documentation the
          difference between SYSV semaphores and pthreads based process
          mutexes.
        * ace/RW_Process_Mutex.h: Added \todo section in doxygen doc.
        * ace/Dev_Addr.h:
        * ace/Dev_Addr.i:
        * ace/File_Addr.h:
        * ace/Module.h:
        * ace/Module.i:
        * ace/SPIPE_Addr.h: MAXNAMLEN replaced by MAXPATHLEN to prevent
          filename truncation
        * ace/Time_Value.cpp: Removed warning for QNX RTP related with
          unsigned tv_sec
        * ace/config-qnx-rtp-62x.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-qnx-rtp.h:
        * ace/config-qnx-neutrino.h: New configuration macros for QNX RTP.
        * ace/OS.h: Removed unnecessary semicolon in QNX (4.x) section.
        * tests/Process_Mutex_Test.cpp: Ensured correct order of
          pthreads-based Process_Mutex destruction.

Wed Apr 14 12:34:56 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Makefile.libs:

          Reverted a change (Makefile.libs,v 4.3 2004/04/13 23:15:45
          mbrudka) that incorrectly replaced a dependency on test_config.h
          with test_$(ACE_PLATFORM_CONFIG).  Thanks to Johnny Willemsen
          for pointing me in the right direction.

Wed Apr 14 11:26:20 2004  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_g++.GNU: If rtti=0, add
          -fno-rtti to CFLAGS. Previously, the rtti setting had no affect.

Wed Apr 14 10:04:43 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/ifrservice.mpb:

          Added minimum_corba to the inheritance list.  The IFRService
          library won't build with minimum poa enabled.

Wed Apr 14 06:54:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Tokens_Test.cpp:
        * netsvcs/lib/Token_Handler.h:
          Fixed compile errors when ACE_HAS_TOKENS_LIBRARY is defined

Tue Apr 13 12:51:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Local_Tokens.h:
          Added missing includes that are needed when ACE_HAS_TOKENS_LIBRARY
          is defined.

Tue Apr 13 08:44:22 2004  Steve Huston  <shuston@riverace.com>

        * ace/Select_Reactor_T.cpp (check_handles): Fixed typo.

Wed Apr  7 12:27:19 2004  Steve Huston  <shuston@riverace.com>

        * ASNMP/asnmp/target.cpp (operator==): Removed the lhs==rhs check at
          the top. This is a nice-to-have optimization, but MSVC7.1 reports
          all control paths are recursive.

        * ASNMP/tests/Integer_Test.cpp: Changed 'si' from short to unsigned
          short. It's initialized with 32768, which doesn't fit in 16 bits,
          and the comments on its use inside the test itself say it's
          unsigned short. There are not other comments to explain what this
          is trying to do, so I may have this wrong... Anyone with more info
          on this, please feel free to contact me.

        * examples/Log_Msg/Log_Msg_MFC/MFC_Log.h: Formatting adjustment.

        * examples/TMCast/Member/member.cpp: static_cast ACE_UINT64 to
          unsigned long to avert a VC7.1 compiler warning about truncation.

Tue Apr 13 00:47:43 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Global_Macros.h (ACE_NEW_MALLOC_RETURN, ACE_NEW_MALLOC):
          (ACE_NEW_MALLOC_NORETURN, ACE_NEW_MALLOC_ARRAY_RETURN):
          (ACE_NEW_MALLOC_ARRAY):

          Explicitly cast the return value of the placement new operator
          call to "void" to address a "statement has no effect" warning
          exhibited by GNU g++ 3.4 (pre-release).

        * ace/Arg_Shifter.cpp:
        * ace/OS_NS_strings.h:
        * ace/Unbounded_Set.h:

          Nuked trailing whitespace.

        * ace/README:

          Updated autoconf support comments.

Mon Apr 12 17:43:51 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-linux-common.h: In the newer-glibc section, add a
          #define ACE_POSIX_SIG_PROACTOR. This is a (possibly incomplete)
          attempt to make Linux use the sig proactor for newer linuxes such
          as Red Hat Linux 9 and Enterprise Linux 3, where it is possible to
          send a signal across threads in a process. I'm not terribly worried
          if the check is imperfect, since there's no chance for asynch I/O to
          work any other way, and not at all on Linux versions that can't do
          the cross-thread signals.

Mon Apr 12 16:40:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-11.00.h: Force the Proactor implementation to
          ACE_POSIX_AIOCB_Proactor if the user didn't select one. The CB
          approach is not supported at HP-UX 11.00.

        Also this from the 5.4 support stream:
        Fri Mar 26 16:24:39 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-11.00.h: Added ACE_HAS_SIGACTION_CONSTP2.

Mon Apr 12 13:55:46 2004  Chad Elliott  <elliott_c@ociweb.com>

        * apps/JAWS/clients/Caching/caching.mpc:
        * apps/JAWS/server/server.mpc:

          Made these projects require ace_filecache.

        * bin/MakeProjectCreator/config/ftclientorb.mpb:

          Made this base project require ace_uuid.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Cleaned up and simplified the template somewhat.

Mon Apr 12 12:54:37 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-win32-common.h:

          Only define ACE_HAS_WINSOCK2_GQOS if ACE_HAS_QOS is defined.

        * bin/MakeProjectCreator/config/qos.mpb:

          If the qos feature is enabled, add ACE_HAS_QOS to the macros.

Mon Apr 12 13:51:42 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
          Removed default part from the Template_Files, it is not needed.

Mon Apr 12 13:39:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
        * ace/config-win32-msvc-5.h:
        * ace/config-win32-msvc-6.h:
          Moved define ACE_HAS_LLSEEK from msvc5/6 file to the win32 common
          file. This fixes bugid 1780. Thanks to Pierre Bisaillon
          <pierrebizz@hotmail.com> for reporting this.

Thu Apr  1 15:40:55 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Strategies_T.cpp (activate_svc_handler): Make sure to
          store/restore errno when calling svc_handler->destroy ().
          Thanks to Ewald Dieterich <ewald.dieterich@fun.de> for reporting
          this.  This fixes bugid 1776.

Sun Apr 11 18:33:35 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * */*.icc:

          Axed them from the repo. Thanks to Johnny for reminding me to do
          this.

Sun Apr 11 18:22:39 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * apps/JAWS2/HTTPU/HTTPU.DSP:
        * java/gjt/GJT.DSP:
        * java/src/JACE.DSP:

          Axed them from the repo.

Sun Apr 11 18:19:55 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * apps/JAWS2/HTTPU/HTTPU.DSW:
        * java/gjt/GJT.DSW:
        * java/src/JACE.DSW:

          Removed these.

Sat Apr 10 23:39:54 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * */*.ds[p,w]:

          Removed.

Fri Apr  9 16:07:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/Select_Reactor_T.cpp (check_handles): The previous method of
          locating handles to check -- iterating the handler repository for
          ACE_Event_Handler pointers and calling get_handle() -- didn't work
          if the handler didn't do get_handle() as we expected. Changed this
          to build a union of the read/write/exception wait_set masks and
          iterate through that. If a bad handle is found, call
          remove_handler_i() based on the handle, not the event handler
          pointer.

Thu Apr  8 20:12:30 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * */*.bor:

          Removed all the borland makefiles files from the
          repository. Files in include/makeinclude have not been removed.

Thu Apr  8 11:57:29 2004  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Asynch_IO.cpp (handle_output): Be sure to unregister this
          handler from the asynch task before posting the completion. The
          completion handler may do anything, including delete the handler,
          before this method has a chance to remove it from the asynch task.
          Matches an earlier fix for Windows:
          Thu Mar 11 17:00:14 2004  Steve Huston  <shuston@riverace.com>

Thu Apr  8 08:03:13 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:

          Modified this base project to set tao_idl and tao_idlflags as
          template overrides.  The custom command was then set to $(TAO_IDL)
          and the idlflags was set to $(TAO_IDLFLAGS).  In all project
          creators (except GNUACE), these values will be replaced by the
          template override values.

        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:

          Override the expand_variables_from_template_values method to turn
          off variable expansion.  This allows us to set TAO_IDL and
          TAO_IDLFLAGS as variables within the generated project and gives
          more flexibility to the user.

        * bin/MakeProjectCreator/config/vcfullmacros.mpt:
        * bin/MakeProjectCreator/config/vcpartialmacros.mpt:

          Set the ACE_HAS_MFC macro to 1 instead of just defining it.

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:

          Updated these to properly support the 'pch_postrule' custom
          defined keyword.

        * bin/mpc.pl:
        * bin/mwc.pl:

          Updated these to give a somewhat more useful message when the MPC
          core is not found in the usual place.  Setting the MPC_ROOT
          environment variable can help these scripts determine the location
          of the MPC core.

Mon Apr  5 13:27:27 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/README:
        * bin/mpc.pl:
        * bin/mwc.pl:

          Updated these to point to the new MPC repository.

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/config/bison.mpb:
        * bin/MakeProjectCreator/config/flex.mpb:
        * bin/MakeProjectCreator/config/lex.mpb:
        * bin/MakeProjectCreator/config/openssl.mpb:
        * bin/MakeProjectCreator/config/qt.mpb:
        * bin/MakeProjectCreator/config/qt_moc.mpb:
        * bin/MakeProjectCreator/config/rpc.mpb:
        * bin/MakeProjectCreator/config/zlib.mpb:
        * bin/MakeProjectCreator/modules/AutomakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/AutomakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/BMakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/CbxProjectCreator.pm:
        * bin/MakeProjectCreator/modules/CbxWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/EM3ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/EM3WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/FeatureParser.pm:
        * bin/MakeProjectCreator/modules/GHSProjectCreator.pm:
        * bin/MakeProjectCreator/modules/GHSWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GUID.pm:
        * bin/MakeProjectCreator/modules/HTMLProjectCreator.pm:
        * bin/MakeProjectCreator/modules/HTMLWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MPC.pm:
        * bin/MakeProjectCreator/modules/MWC.pm:
        * bin/MakeProjectCreator/modules/MakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/Options.pm:
        * bin/MakeProjectCreator/modules/OutputMessage.pm:
        * bin/MakeProjectCreator/modules/Parser.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/SLEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/SLEWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/StringProcessor.pm:
        * bin/MakeProjectCreator/modules/TemplateInputReader.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/VA4ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VA4WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC6ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC71ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC71WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/Version.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:
        * bin/MakeProjectCreator/templates/automake.mpd:
        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/bmakecommon.mpt:
        * bin/MakeProjectCreator/templates/bmakedll.mpt:
        * bin/MakeProjectCreator/templates/bmakedllexe.mpt:
        * bin/MakeProjectCreator/templates/bmakelib.mpt:
        * bin/MakeProjectCreator/templates/bmakelibexe.mpt:
        * bin/MakeProjectCreator/templates/cbx.mpd:
        * bin/MakeProjectCreator/templates/cbxdll.mpt:
        * bin/MakeProjectCreator/templates/cbxexe.mpt:
        * bin/MakeProjectCreator/templates/common.mpt:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/em3vcpdll.mpt:
        * bin/MakeProjectCreator/templates/em3vcpdllexe.mpt:
        * bin/MakeProjectCreator/templates/em3vcplib.mpt:
        * bin/MakeProjectCreator/templates/em3vcplibexe.mpt:
        * bin/MakeProjectCreator/templates/ghs.mpd:
        * bin/MakeProjectCreator/templates/html.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/makedll.mpt:
        * bin/MakeProjectCreator/templates/makeexe.mpt:
        * bin/MakeProjectCreator/templates/nmake.mpd:
        * bin/MakeProjectCreator/templates/nmakedll.mpt:
        * bin/MakeProjectCreator/templates/nmakeexe.mpt:
        * bin/MakeProjectCreator/templates/sle.mpd:
        * bin/MakeProjectCreator/templates/sledll.mpt:
        * bin/MakeProjectCreator/templates/sleexe.mpt:
        * bin/MakeProjectCreator/templates/va4icc.mpd:
        * bin/MakeProjectCreator/templates/va4iccdll.mpt:
        * bin/MakeProjectCreator/templates/va4iccdllexe.mpt:
        * bin/MakeProjectCreator/templates/va4icclib.mpt:
        * bin/MakeProjectCreator/templates/va4icclibexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc6dspdll.mpt:
        * bin/MakeProjectCreator/templates/vc6dspdllexe.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplib.mpt:
        * bin/MakeProjectCreator/templates/vc6dsplibexe.mpt:
        * bin/MakeProjectCreator/templates/vc7.mpd:
        * bin/MakeProjectCreator/templates/vc7dll.mpt:
        * bin/MakeProjectCreator/templates/vc7exe.mpt:
        * bin/MakeProjectCreator/templates/vc7lib.mpt:
        * bin/MakeProjectCreator/templates/vc7libexe.mpt:

          Removed these files.

Fri Apr 02 13:36:08 2004  Balachandran  <bala@dre.vanderbilt.edu>

        * ACE version 5.4.1 released.

Fri Apr  2 13:05:56 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * NEWS:

          Updated with the latest developments just prior to BFO.

Thu Apr  1 22:54:51 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          Fixes from testing.

Thu Apr  1 18:03:10 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          We now generate static project files for VC6, solution and
          vcproj files for VC7 (for the whole of
          ACE+TAO+CIAO). Additionally we also generate em3 files for the
          whole of ACE. This is for the ACE distribution only.

Thu Apr  1 10:21:31 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/SLEWorkspaceCreator.pm:

          Fixed a case error for the SlickEdit workspace creator.

Thu Apr  1 08:34:55 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where relative directory replacement wouldn't take
          place if the value contained the current directory plus additional
          subdirectories.  Also, if the relative directory were the same as
          the current directory the replacement would be invalid and
          wouldn't point to the correct directory.

Wed Mar 31 23:20:52 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * apps/JAWS3/bench/mkfiles.cpp:
        * apps/JAWS3/bench/rqfiles.cpp:
        * examples/APG/Naming/Makefile.nodelocal:


Wed Mar 31 18:08:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/bison.mpb:
        * bin/MakeProjectCreator/config/flex.mpb:
        * bin/MakeProjectCreator/config/lex.mpb:
        * examples/APG/Naming/Makefile.netlocal:
        * examples/APG/Naming/Makefile.netlocal_reader:
        * examples/APG/Naming/Makefile.nodelocal:
        * examples/APG/Naming/Makefile.nodelocal_shared:
        * examples/APG/Naming/Makefile.nodelocal_shared_reader:
        * examples/APG/Svc_Config/Makefile.dynamic:
        * examples/APG/Svc_Config/Makefile.static:
        * examples/APG/Timers/Makefile.singles:
        * examples/APG/Timers/Makefile.timers:
        * examples/APG/Timers/Makefile.upcall:

          More fuzz warnings.

Wed Mar 31 18:11:18 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Functor_String.h:
          Fixed compile problem in wchar builds

Wed Mar 31 11:46:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/fuzz.pl:

          Removed checks for certain things like OS.h inclusions and such
          since we may not have time to  fix them before the BFO. Once we
          clean the rest of the stuff for BFO, will add this back.

Wed Mar 31 17:31:54 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/platform_g++_common.GNU:
          Modified grep test for linker output so it will run correctly on
          Solaris.  Thanks to Andrew G. Harvey <agh@cisco.com> for
          discovering the problem and providing work arounds.  Also, thanks
          to Kitty for <kitty@dre.vanderbilt.edu> for recommending which
          one to use.

Wed Mar 31 14:43:48 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.inl:
        * ace/config-linux.h:
          Enable the usage of native recursive mutexes for the
          implementation of ACE recursive mutexes.  According to the
          README, ACE_HAS_RECURSIVE_MUTEXES should be defined for
          platforms where all mutexes are recursive. This seems a
          little bit counter intuitive, as it implies that recursive
          mutexes are supported by the platform.  But in reality, it means
          that all mutexes are recursive.

          Added ACE_HAS_NONRECURSIVE_MUTEXES, which, together with
          ACE_HAS_RECURSIVE_MUTEXES means the platform supports both
          recursive and non-recursive mutexes.  This maintains the default
          behavior on non-GNU/Linux platforms.  Thanks to Panagiotis Issaris
          <panagiotis.issaris@mech.kuleuven.ac.be> for this patch.

        * ace/README:
          Added documentation for ACE_HAS_NONRECURSIVE_MUTEXES.

        * THANKS:
          Added Panagiotis Issaris to the hall of fame.

Wed Mar 31 14:22:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_cygwin32.GNU:
        * include/makeinclude/platform_mingw32.GNU:
          Instead of that people when they need to have a different TCPU
          need to edit these files, made it so that we only default to
          TCPU=pentiumpro when it is not set yet. In the platform_macros.GNU
          people can now overrule this default.

Wed Mar 31 09:06:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted our change of
        Sun Mar 14 12:10:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.{h,cpp}:
        * ace/Select_Reactor_T.{cpp ,i}:
        * ace/Timer_Queue_Adapters.{h,cpp}:
        * ace/Timer_Queue_T.{h,i,cpp}:
        * ace/Timer_Wheel_T.cpp:
        * ace/Timer_Hash_T.cpp:
        * ace/Timer_List_T.cpp:
          Removed accessor for zero and max_time which where added in the commit
          above. We found that with some more complex TAO tests the linker was
          still having problems using the zero and max_time static members.

          As a different solution only for MinGW we define two static variables
          in the header file that use zero and max_time. With these two statics
          the linker can resolve these two members and we know don't get any
          linker problem anymore with MinGW. In case you had problems in your
          MinGW app, this patch also fixes the problems in your application
          without the need to change your app code.

          Thanks to Martin Corino <mcorino@remedy.nl> for figuring
          out the problem and making the patches.

Tue Mar 30 17:53:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/templates/sle.mpd:
        * bin/MakeProjectCreator/templates/sledll.mpt:
        * bin/MakeProjectCreator/templates/sleexe.mpt:
        * bin/MakeProjectCreator/modules/SLEProjectCreator.pm:
        * bin/MakeProjectCreator/modules/SLEWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MWC.pm:
        * bin/MakeProjectCreator/modules/MPC.pm:
          Added a new MPC template for Visual SlickEdit 8.1. This template is
          not 100% ready yet, but hereby the first version so that workspaces
          and projects are generated for simple project types.

Mon Mar 29 20:52:22 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Functor_String.h:

          Fixed a typo.

Mon Mar 29 12:24:54 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * examples/Threads/manual_event.cpp (worker):
        * tests/Upgradable_RW_Test.cpp (run_main):
        * tests/Conn_Test.cpp (client): Changed the name "barrier"
          to "thread_barrier" to fix a problem with macro conflicts on
          certain OS platforms.  Thanks to Levente Torok <tealev@yahoo.com>
          for reporting this.

Mon Mar 29 17:02:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.h:
          Include Functor_T.h instead of Functor.h because of Bala changes of
          yesterday. This fixes the compile problems in the daily builds with
          this example

Mon Mar 29 08:03:08 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Modified the rules to ensure that generated files are made before
          attempting to build cpp files.  These rules will only be in effect
          when they are needed (ie. generated files are anything but source
          files).

Mon Mar 29 09:11:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ATM_Acceptor.h:
        * ace/ATM_Connector.h:
        * ace/ATM_QoS.h:
        * ace/ATM_Stream.h:
        * ace/Atomic_Op_T.h:
        * ace/Dump_T.cpp:
        * ace/Flag_Manip.cpp:
        * ace/Method_Request.h:
        * ace/Metrics_Cache_T.h:
        * ace/Refcounted_Auto_Ptr.i:
        * ace/SOCK.i:
          Added missing ace/ before some includes. Thanks to Roland Meub
          <Roland.Meub@tenovis.com> for reporting this.

        * ace/DEV.h:
        * ace/DEV_IO.h:
        * ace/SOCK.h:
        * ace/TTY_IO.h:
          Fixed some doxygen warnings.

Mon Mar 29 00:20:57 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Makefile.bor:

          Added Functor_String.h to the faily builds on Borland.

Sun Mar 28 23:44:51 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Functor.h:
        * ace/Functor_String.cpp:
        * ace/Functor_String.h:

          Removed inclusions of Functor_T.h. This is simply a brain dead
          way of doing things.

        * ace/Functor_T.h:

          Include Functor.h and Functor_String.h so that we get the
          specializations first.

        * ace/Hash_Map_Manager_T.h:
        * ace/RB_Tree.h:

          Include Functor_T.h. They don't have any purpose in life to
          include the specializations.

Sun Mar 28 13:39:56 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Capabilities.h:

          #included Functor_String.h to force compilers to use the
          specialization.

        * ace/ace_dll.dsp:

          Added the new functor specializations into the project files.

Sun Mar 28 19:07:44 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/notifytest.mpb:
          Updated name of NotifyTests library name, it should have TAO_ to
          match my update of today in the NotifyTests lib MPC file. This way
          this library has exactly the same name as in none mpc builds.

Sun Mar 28 12:16:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ACEXML/common/NamespaceSupport.i:

          Removed functors that were there in this file.

        * ACEXML/common/XML_Types.h:

          Forcibly include Functor_String.h to get the functors for
          ACE_CString and ACE_WString.

Sun Mar 28 12:14:05 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Functor_String.cpp:
        * ace/Functor_String.h:
        * ace/Functor_String.inl:

          Functors for ACE_CString and ACE_WString. They have been placed
          in seperate files to avoid coupling the rest of ACE (which uses
          Functor.h) with strings that could lead to increased
          footprints.

        * ace/Makefile.ace:
        * ace/ace.mpc:

          New files for building.

Sun Mar 28 15:31:22 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added some dsps to build first in a static build

Sun Mar 28 14:57:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/nightlybuilds/*:
          Removed all these files from the repo, these are already replaced a
          long time by the autobuild project.

Sat Mar 27 15:29:09 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tests/Multicast_Test_IPV6.cpp (leave): Replaced

          size_t size = 0;

          with

          size_t size = this->address_vec_.size ();

          Thanks to Johnny Willemsen for reporting this!

Fri Mar 26 14:15:44 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/idl_compiler.mpt:
        * bin/MakeProjectCreator/config/idl_compiler_win32.mpt:
        * bin/MakeProjectCreator/config/notify.mpb:
        * bin/MakeProjectCreator/config/qt-min.mpb:
        * bin/MakeProjectCreator/config/qt-min_moc.mpb:

          While playing around with ARMS repository, I accidentally added
          these files back into the repo. Removing them once again.

Thu Mar 25 11:58:46 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:

          Fixed a bug in these templates where if a project had custom build
          rules, but no source files, the custom build rules would not be
          executed.

Thu Mar 25 09:10:44 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.h:

          Thanks to Martin Corino <mcorino@remedy.nl> for supplying patches
          that fixes build problems on non-pthread platforms.

Wed Mar 24 22:36:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/POSIX_Proactor.cpp:

          Fixed warning in g++ builds.

        * ace/Task.h (activate):
        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h (spawn and spawn_n):

          Changed the default flags in the above methods. They now include
          THR_INHERIT_SCHED. This makes the defaults consistent with C++
          NPV1 and C++ NPV2. If a priority other than
          ACE_DEFAULT_THREAD_PRIORITY is passed into the <priority>
          argument, the THR_INHERIT_SCHED flag is dropped silently. This
          takes care of the problems reported by Abhijit Sachdev, which
          was basically a bug that prevented the priorities being
          inherited in thread-per-connection strategy.

          Thanks to Steve Huston for motivating the right fix that would
          not affect user code at all.

Wed Mar 24 16:41:29 2004  Steve Huston  <shuston@riverace.com>

        * ACE-INSTALL.html: Remove remaining reference to the "soft link"
          method of specifying a platform-specific config.h and
          platform_macros.GNU file. All instructions regarding these now
          use the preferred method - creating a local file and including
          the platform-specific one into it. Also cleaned up some old info.

        * PROBLEM-REPORT-FORM: Direct the user to not include an entire
          platform-specific config.h or platform_macros.GNU file. This is
          an effort to make submitted forms more concise and easy to read.

Wed Mar 24 07:25:19 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where settings were not being properly reset when
          processing a 'specific' section for one project and then
          processing other projects.

Tue Mar 23 22:13:01 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added new PortableInterceptors ORB::shutdown() regression test
          to the nightly build test runs.

Tue Mar 23 20:18:20 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * apps/gperf/README: Fixed the README file so it points to
          the right version of the GPERF paper.  Thanks to Eric Whorter
          <emcwhorter@rightnow.com> for reporting this.

Tue Mar 23 20:12:51 2004  Gautam Thaker  <gthaker@atl.lmco.com>

        * performance-tests/SCTP/Options_Manager.cpp (Options_Manager):
          Fixed two instances of array[strlen] = '\0'; to
          Fixed two instances of array[strlen - 1] = '\0';
          Thanks to andreas.koehler@sysde.eads.net for reporting this
          error.

Tue Mar 23 18:31:40 2004  Steve Huston  <shuston@riverace.com>

        * tests/SSL/Makefile:
        * tests/SSL/aix_hack_for_main.cpp: Added aix_hack_for_main.cpp to get
          something without templates to build first. This all helps Visual
          Age C++ on AIX deal with reality. Also see:
          Sat Dec  6 19:27:26 2003  Steve Huston  <shuston@riverace.com>

Tue Mar 23 07:22:33 2004  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Export/Export.mpc:

          Simplified this mpc file.

        * examples/Export/dll.h:
        * examples/Export/dll.cpp:

          Fixed a problem with building on Windows with static libraries.
          Added an extern to the test_variable to stop duplicate symbols
          when building static libraries.  The extern does not have any
          adverse effects when building dynamic libraries.

Mon Mar 22 14:23:44 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-sunos5.7.h: Leave Solaris using the AIOCB proactor at
          all versions. None of them work very well, so just leave this one
          in place, as it imposes no signal restrictions on the application.
          The concurrent access of (via aio_suspend(), aiowiat(), etc.) and
          use of for I/O, aiocbs is really wreaking havoc with the proactor
          implementations, I'm afraid. I believe this is really going to need
          some serious work.

Mon Mar 22 13:30:53 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/rpc.mpb:

          Added the -C option to ensure that the generated code can be used
          by c++ compilers.  Also, changed the output source files and
          header files to fix a problem with make targets.

        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:

          Added a generated target to allow users to invoke a rule to
          produce just the generated files.

        * bin/MakeProjectCreator/templates/bmake.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:

          Fixed a bug in these templates where generated files (other than
          idl stubs) would not be created before attempting to build object
          files.

Mon Mar 22 14:10:12 2004  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Proactor.cpp: Fix "unused argument" warning. The code
          that really uses the signal_number argument _may_ need to be
          re-enabled again, so the name is left in the signature.

Mon Mar 22 13:45:19 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Timers/CB.cpp (handle_timeout): The reset_interval()
          call needs to happen whether ACE_NDEBUG or not; putting it in an
          ACE_ASSERT no-ops it out if ACE_NDEBUG.

Mon Mar 22 10:57:20 2004  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Asynch_Stream.cpp:
        * ace/SSL/SSL_Asynch_BIO.cpp: Added #include "ace/OS_NS_string.h" to
          pick up missing symbols on AIX.

Sat Mar 20 22:25:07 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tests/Multicast_Test.cpp (leave): Replaced

          size_t size = 0;

          with

          size_t size = this->address_vec_.size ();

          Thanks to Valery Salamakha <ccapstan@bigpond.net.au>
          for reporting this!

Sat Mar 20 17:01:55 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Timer_Queue_Adapters.h:
        * ace/Timer_Queue_Adapters.i:

          Changes from the effect of the following change "Thu Mar 18
          22:47:05 2004 Balachandran Natarajan  <bala@dre.vanderbilt.edu>"

Sat Mar 20 18:45:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          When gendir is set, a \ must be added, not a /. This fixes
          problems in the Borland builds that where caused by the fact
          that the realclean didn't work and we did compile old generated
          files.

Sat Mar 20 11:15:19 2004  Olli Savia  <ops@iki.fi>

        * ace/Containers_T.cpp:
        * ace/Containers_T.i:
          Removed unnesessary LynxOS checks. LynxOS's updated compiler can
          handle these files correctly.

Fri Mar 19 08:33:01 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/templates/em3vcp.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:
        * bin/MakeProjectCreator/templates/make.mpd:
        * bin/MakeProjectCreator/templates/vc6dsp.mpd:
        * bin/MakeProjectCreator/templates/vc7.mpd:

          Fixed a bug where a command dependency would be placed upon
          generated files.  The full path to the command is not always
          supplied  during custom definition and thus dependencies couldn't
          be satisfied because the command doesn't necessarily exist in the
          current directory.

          The solution was to add a new custom definition keyword that
          allows the user to determine whether the command dependency should
          be generated or not.  The default is to not generate a command
          dependency.

        * bin/MakeProjectCreator/README:

          Documented the new 'dependant' keyword for custom definitions.

        * bin/MakeProjectCreator/config/ciao_servant.mpb:
        * bin/MakeProjectCreator/config/psdl.mpb:
        * bin/MakeProjectCreator/config/taoidldefaults.mpb:

          Set 'dependent' to 1 to ensure that the command dependency is
          generated for these custom definitions.

Thu Mar 18 22:47:05 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Task.cpp:
        * ace/Task.h:
        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h:

          The following change has been reverted "Fri Mar  5 23:09:14 2004
          Balachandran Natarajan  <bala@dre.vanderbilt.edu>" . A better
          fix would be available soon. These fixes actually borke backward
          compatibility in a bad way.

Thu Mar 18 13:50:21 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.{h cpp}: The change in
          Thu Mar 11 14:35:41 2004  Steve Huston  <shuston@riverace.com>
          didn't go far enough... the problem exists in all derivatives of
          ACE_Asynch_Operation_Impl. Only ACE_Asynch_Operation deleted the
          implementation_ pointer in its constructor. However, since each
          derivative of ACE_Asynch_Operation was declaring its own
          implementation_ (in addition to the one in ACE_Asynch_Operation),
          no implementation was ever, in fact, being deleted. Hence:
            1. The ACE_Asynch_Operation::implementation_ member is removed,
               along with the void implementation(ACE_Asynch_Operation_Impl*)
               method that set it.
            2. The ACE_Asynch_Operation_Impl* implementation() method is now
               pure virtual in ACE_Asynch_Operation and must be implemented
               in each operation class.
            3. Each operation class needs to maintain its own appropriately
               typed implementation pointer, and delete it when necessary.
            4. The implementation(ACE_*_Impl*) methods are all removed, as
               none are necessary, and none are used any longer.
          The operation classes already were creating their own implementation
          objects, so that is the same now. However, they all now delete the
          implementation at destructor time.

Thu Mar 18 08:59:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/make.mpd:

          Removed an extraneous dash in the install target.

Wed Mar 17 21:00:36 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Global_Macros.h:
        * ace/config-aix-4.x.h:
        * ace/config-g++-common.h:
        * ace/config-win32-visualage.h:

          Added a new #define ACE_EXPLICIT_TEMPLATE_DESTRUCTOR_TAKES_ARGS
          and enabled this feature only on the above platforms. With g++,
          it is supported with g++ 3.4. This #define is used by
          ACE_DES_FREE_TEMPLATE3 declarations in Global_Macros.h. Thanks
          to Oliver Kellog for providing the patches.

        * ace/Task.h (activate):
        * ace/Thread_Manager.h (spawn):
        * ace/Timer_Queue_Adapters.h (activate):

          The last argument <inherit_priority> is now set to true as
          default. This will get the behavior that C++ NPV1 and NPV2
          prescribes. Thanks to Dr. Schmidt and Abhijit Sachdev for
          motivating this.

Wed Mar 17 17:55:49 2004  Steve Huston  <shuston@riverace.com>

        * ace/Proactor.cpp (ctor): Change the default proactor implementation
          to favor CB, then SIG, then AIOCB. The CB proactor works best on
          many platforms, avoiding multithread issues with aio_suspend() on
          most platforms other than HP-UX, and avoiding signal/thread mixes
          on as many platforms as possible because it raises so many problems.

        * ace/POSIX_CB_Proactor.{h cpp}: Remove __sun as a condition that
          prevents compilation of ACE_POSIX_CB_Proactor. Sun can do this
          proactor type just fine. Added an 'extern "C"' variant of the
          aio completion function for platforms (such as Solaris 8) that
          have ACE_HAS_SIG_C_FUNC.

        * ace/config-sunos5.7.h: For Solaris 7 and later, use the default
          proactor, ACE_POSIX_CB_Proactor.

        * ace/config-linux-common.h: Remove ACE_POSIX_AIOCB_PROACTOR setting.
          The AIOCB proactor doesn't work with multiple threads since the
          aio_suspend() call isn't multi-thread safe and ACE doesn't protect
          the aiocb list. The SIG proactor doesn't work before the 2.6 kernel
          because signals can't be queued across threads. CB works everywhere.
          Note though, that even at the 2.6 kernel, read/write to sockets (and
          some other things, I believe) get converted to blocking regardless of
          what the application does. Thus, the only way to use aio on Linux
          at this time is by ping-ponging, like the half-duplex mode in
          Proactor_Test. Not terribly useful...

        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp: Only allow the CB-type proactor for
          !__Lynx__. Lynx is the only remaining AIO-enabled platform for
          which this proactor type is not valid.

Wed Mar 17 13:54:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Logging_Strategy.cpp:

          Reverting this change since it breaks MSVC builds! Looks like
          VC6 is an old compiler wrt to ANSI C++ standards. Working things
          for g++ 3.4 needs to wait. "Tue Mar 16 10:48:48 2004
          Balachandran Natarajan  <bala@dre.vanderbilt.edu>".

Wed Mar 17 14:20:31 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-aix5.1.h: The AIO enable/disable check added at
          Mon Mar 15 15:42:33 2004  Steve Huston  <shuston@riverace.com>
          confuses the Visual Age C++ preprocessor. Rearrange it to use
          a temporary macro, _ACE_DISABLE_AIO_CALLS_ if we need to turn off
          ACE_HAS_AIO_CALLS after including config-aix-4.x.h.

        * examples/APG/Proactor/HA_Proactive_Status.cpp: Add #include
          "ace/Message_Block.h" so Visual Age C++ can see ACE_Message_Block.

Wed Mar 17 18:34:14 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Changed -c to -g, -c is used by other scripts for the config

Wed Mar 17 18:20:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/run_test.pl:
          Added -c commandline option. With this option you can say that the
          script has to look for a codeguard log. This log is placed in the
          same directory as the executable, with the same name but with a cgl
          extension. We use this for a new codeguard enabled BCB6 build.

Tue Mar 16 16:56:36 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * asnmp/tests/Gauge_test.cpp:
        * asnmp/tests/Counter_test.cpp:

          #ifdef'ed portions of the code which has no chances of compiling
          on Win32, since native support for the used basic types are
          missing. Changing the types to something else makes the test
          useless. Commenting it out for Win32 shouldn't hurt anyone.

Tue Mar 16 16:34:38 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * asnmp/tests/Varbind_Test.cpp:
        * asnmp/tests/Counter64_Test.cpp:

          #ifdef'ed portions of the code which has no chances of compiling
          on Win32, since native support for the used basic types are
          missing. Changing the types to something else makes the test
          useless. Commenting it out for Win32 shouldn't hurt anyone.

Tue Mar 16 10:48:48 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Logging_Strategy.cpp:

          Use std::streamoff () to get the offset instead of casting.

        * ace/Malloc_T.i:
        * ace/Strategies_T.cpp:

          #included OS_NS_string.h.

          Thanks to Oliver Kellog for providing the patches.

Tue Mar 16 09:40:36 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          When adjusting template values, based on the -value_template
          option, we must deal with them as arrays to maintain spaces within
          individual values.

Tue Mar 16 07:55:10 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Fixed a bug where workspaces that contain projects that depend
          upon projects outside the local directory would have invalid
          dependencies.

        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          Rewrote the 'if' handling code to be complete and support multiple
          or's, and's and not's.

Tue Mar 16 06:22:40 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Reverting my change from Mon Mar 15 08:31:05 2004.  It has
          undesirable effects in some situations.

Mon Mar 15 18:26:39 2004  Steve Huston  <shuston@riverace.com>

        * examples/APG/Proactor/HA_Proactive_Status.h: Add #include
          "ace/Asynch_IO.h" so AIX Visual Age C++ can find things at
          template instantiate time.

Mon Mar 15 15:42:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/config-aix5.1.h: Set this up for use with AIX 5.2 as well.
          AIX 5.2 has POSIX AIO, but it's not run-time enabled by default.
          So, allow the user to turn it on, but leave it off by default.

        * ace/Asynch_Connector.cpp: Added #include "ace/OS_NS_sys_socket.h" and
          "ace/OS_Memory.h" to pick up needed definitions on AIX when Visual
          Age C++ is instantiating templates.

        * ace/POSIX_CB_Proactor.{h cpp}: Enabled use of the CB proactor on
          non-sgi, non-FreeBSD systems. AIX likes this proactor implementation.
          Also, fixed a mistaken timer setting where the number of desired
          milliseconds timeout was instead specified as number of seconds.

        * tests/Proactor_Test.{cpp, h}:
        * tests/Proactor_Test_IPV6.cpp: Moved the definitions of Sender
          and Receiver to a new file, Proactor_Test.h. This allows AIX Visual
          Age C++ to see the class definitions when instantiating templates.
          Removed the #ifdef __sgi around use of the CB proactor, as that
          is available and, indeed, works best, for AIX.

Mon Mar 15 13:42:13 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/CDR_Stream.cpp:

          Fixed a typo. Thanks to Andreas Koehler for pointing this out.

Mon Mar 15 17:21:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv2/WFMO_Reactor_Logging_Server.cpp:
          Fixed unused argument warning in MinGW builds. Thanks to
          Martin Corino <mcorino@remedy.nl> for fixing this.

        * examples/APG/Logging/Trace.h:
          In case ACE_NTRACE is set to 1 then TRACE_RETURN should
          return the given value instead of doing nothing. Thanks
          to Martin Corino <mcorino@remedy.nl> for finding this.

Mon Mar 15 10:01:43 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/BMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/CbxWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/EM3WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/HTMLWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/MakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VA4WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC6WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC71WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:

          Added information at the top of the generated workspace for these
          types.  The information includes the CVS $Id keyword, the command
          line options for MPC and a warning about directly editing the
          file.

Mon Mar 15 08:31:05 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/Driver.pm:

          Warn the user if the version of perl they are using is less than
          perl 5.6.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug with custom file types where header and inline files
          would not be considered as generated targets if matching generated
          source files were not explicitly listed.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Add the $(PATH) to VPATH when using custom commands in case the
          custom command does not have a path in the exe name, which will
          allow GNU Make to find the command and process the rule.

Sun Mar 14 15:44:41 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/APC.cpp:
        * examples/Reactor/WFMO_Reactor/Timeouts.cpp:
          Cancel scheduled timers before quitting. This fixes the access
          violations we see in the MinGW build when running these examples.
          Caused by the fact that the event handler is on the stack and so
          already destroyed when the singleton reactor is getting destroyed.
          Thanks to Martin Corino <mcorino@remedy.nl> with helping solving
          these crashes.

Sun Mar 14 14:21:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.cpp:
          Fixed typo which resulted in compile errors.

Sun Mar 14 12:52:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Registration.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:48:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Network_Events.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:44:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Abandoned.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:41:52 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:
          Fixed warnings in MinGW build

Sun Mar 14 12:28:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SPIPE_SAP/NPClient.cpp:
        * examples/IPC_SAP/SPIPE_SAP/NPServer.cpp:
          Fixed warnings in the MinGW build. Thanks to Martin Corino
          <mcorino@remedy.nl> for supplying the patches.

Sun Mar 14 12:18:16 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Window_Messages.cpp:
          Fixed warning in MinGW build.

Sun Mar 14 12:16:53 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Talker.cpp:
          Changed member initialization order to fix MinGW warning.

Sun Mar 14 12:12:31 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Exceptions.cpp:
        * examples/Reactor/WFMO_Reactor/Removals.cpp:
          Fixed warnings in MinGW build.

Sun Mar 14 12:10:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.{h,cpp}:
          MingW has a problem importing static class data members (even with
          --enable-auto-import) in case these members are referenced inside
          heavily nested template class methods. It is somehow related to
          optimization since with higher optim. levels more linking errors
          are detected as with lower optim. levels. Since this is something
          which is not going to be solved soon in the MingW environment and
          the number of affected members are relatively few and the possible
          fixes relatively simple (create accessor methods) we added accessor
          methods for the zero and max_time static members of ACE_Time_Value.

        * ace/Select_Reactor_T.{cpp ,i}:
        * ace/Timer_Queue_Adapters.{h,cpp}:
        * ace/Timer_Queue_T.{h,i,cpp}:
        * ace/Timer_Wheel_T.cpp:
        * ace/Timer_Hash_T.cpp:
        * ace/Timer_List_T.cpp:
          Use the accessor methods to get zero and max_time instead of the
          static public members.

          This fixes the link errors in the MinGW build. Thanks to
          Martin Corino <mcorino@remedy.nl> for figuring out the problem and
          making the patches.

Sun Mar 14 10:01:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Lib_Find.cpp (ld_find):
          When the dll is not found on win32, try again using ACE_DLL_PREFIX
          prefixed. With MinGW all dll's have lib prefixed and when the prefix
          wasn't attached by the user things failed. This fixes the DLL test
          problems in the MinGW build. Thanks to Martin Corino
          <mcorino@remedy.nl> for figuring this out and making the patch.

        * ace/config-win32-mingw.h:
          Removed setting of ACE_DLL_PREFIX, this is already done in
          Default_Constants.h

Sat Mar 13 18:25:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/OS/Process/process.cpp:
          Fixed warnings in MinGW build. Thanks to Martin Corino
          <mcorino@remedy.nl> for creating the patch.

Sat Mar 13 18:06:57 2004  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_g++_common.GNU:
        * ace/config-lynxos.h:
          Enabled implicit template instantiation for LynxOS 3.x.

Sat Mar 13 09:43:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Dirent_Test.cpp:
          The first step of this test is to test the selector. To test this the
          test uses Makefile as file to test for, but with the MPC builds we
          remove the file Makefile and generate the file GNUMakefile, so at the
          moment this tests runs there is no Makefile file and the test fails.
          Changed the test so that it uses Dirent_Test.cpp as filename, this
          is always there. Thanks to Martin Corino <mcorino@remedy.nl> for
          figuring out the problem.

Fri Mar 12 16:29:29 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/SString_Test.cpp:

          Fixed warnings in g++ builds.

Fri Mar 12 12:51:45 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Fixed a bug where circular dependencies could be added by the
          implicit dependency generation code due to path mismatches.

Fri Mar 12 13:33:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/Prerun_State_Changes.cpp:
        * examples/Reactor/WFMO_Reactor/Timeouts.cpp:
          Added some ACE_UNUSED_ARGs to silence MinGW warnings

Fri Mar 12 13:20:14 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Active_Objects/active_objects.mpc:
        * examples/APG/Active_Objects/active_objects.mwc:
        * examples/APG/Config/config.mpc:
        * examples/APG/Config/config.mwc:
        * examples/APG/Containers/containers.mwc:
        * examples/APG/Logging/logging.mpc:
        * examples/APG/Logging/logging.mwc:
        * examples/APG/Misc_IPC/misc_ipc.mpc:
        * examples/APG/Misc_IPC/misc_ipc.mwc:
        * examples/APG/Naming/naming.mpc:
        * examples/APG/Naming/naming.mwc:
        * examples/APG/Proactor/proactor.mpc:
        * examples/APG/Proactor/proactor.mwc:
        * examples/APG/Processes/processes.mpc:
        * examples/APG/Processes/processes.mwc:
        * examples/APG/Reactor/reactor.mpc:
        * examples/APG/Reactor/reactor.mwc:
        * examples/APG/Shared_Memory/shared_memory.mpc:
        * examples/APG/Shared_Memory/shared_memory.mwc:
        * examples/APG/Signals/signals.mpc:
        * examples/APG/Signals/signals.mwc:
        * examples/APG/Sockets/sockets.mpc:
        * examples/APG/Sockets/sockets.mwc:
        * examples/APG/Streams/streams.mpc:
        * examples/APG/Streams/streams.mwc:
        * examples/APG/Svc_Config/svc_config.mpc:
        * examples/APG/Svc_Config/svc_config.mwc:
        * examples/APG/ThreadManagement/threadmgmt.mpc:
        * examples/APG/ThreadManagement/threadmgmt.mwc:
        * examples/APG/ThreadPools/threadpools.mpc:
        * examples/APG/ThreadPools/threadpools.mwc:
        * examples/APG/ThreadSafety/threadsafety.mpc:
        * examples/APG/ThreadSafety/threadsafety.mwc:
        * examples/APG/Threads/threads.mpc:
        * examples/APG/Threads/threads.mwc:
        * examples/APG/Timers/timers.mpc:
        * examples/APG/Timers/timers.mwc:
          Added missing Id tag

Fri Mar 12 06:18:32 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added a missing space that broke things when idl files are
          involved.

Fri Mar 12 12:12:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Framework_Component_Test.cpp:
        * Max_Default_Port_Test.cpp:
        * Reactor_Exceptions_Test.cpp:
          The test_config.h file must be included as first file else we don't
          get log files in our SuSE 9 ACE build which has set ACE_NLOGGING.

Fri Mar 12 11:03:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Auto_IncDec_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/Capabilities_Test.cpp:
        * tests/Get_Opt_Test.cpp:
        * tests/Log_Msg_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
        * tests/Max_Default_Port_Test_IPV6.cpp:
        * tests/Token_Strategy_Test.cpp:
        * tests/Obstack_Test.cpp:
          The test_config.h file must be included as first file else we don't
          get log files in our SuSE 9 ACE build which has set ACE_NLOGGING.

Thu Mar 11 17:00:14 2004  Steve Huston  <shuston@riverace.com>

        * ace/WIN32_Asynch_IO.cpp (handle_output): Be sure to unregister this
          handler from the asynch task before posting the completion. The
          completion handler may do anything, including delete the handler,
          before this method has a chance to remove it from the asynch task.

Thu Mar 11 14:35:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.cpp (~ACE_Asynch_Connect): Delete the implementation_
          giving it a chance to unregister from the reactor and clean up
          anything else needed, as well a plug a memory leak.

Thu Mar 11 13:59:00 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bmake.mpd:

          Changed the custom rules to be more compact.

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Made custom output files dependent upon the command that generates
          them.  Additionally, fixed a bug where generated source files
          would always be regenerated if idl files existed in the project.

Thu Mar 11 12:18:59 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Added a .PHONY target for each of the individual targets to avoid
          a possible problem if a file or directory exists with the same
          name as the target.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Remove duplicated mpc files when aggregating workspaces.  If an
          mpc file is added before a workspace is aggregated, the
          duplication can be detected.  If it happens the other way around,
          it can not and will be an error.

        * tests/tests.mpc:

           The UUIDTest requires ace_uuid.

Thu Mar 11 11:49:28 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/SString.cpp (substring):

          If the value of the length argument is greater than the size of
          the string, we made a mistake by setting the wrong length in the
          newly create SString object. Thanks to Michael Kircher
          <Michael.Kircher@mchp.siemens.de> for reporting this.

        * tests/SString_Test.cpp (run_main):

          Added a test for the above problem.

Thu Mar 11 11:16:13 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:

          Generate workspaces that use directory recursion when the
          workspace contains targets within multiple directories.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Maintain directory groups when sorting dependencies.

Thu Mar 11 08:47:55 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/WIN32_Proactor.cpp (post_completion):
          ACE_WIN32_Proactor::post_completion executes these two
          operations in wrong order:

          1. If Proactor event is valid, signal it
          2. Post a completion

          If, for example, a Reactor is connected to the proactor through
          the event, it may receive the event notification BEFORE the
          completion has been posted, which is wrong.  To fix the problem,
          those two operations must be swapped: FIRST post a completion,
          THEN signal the event.  Thanks to Enrico Detoma
          <enrico.detoma@email.it> for reporting this.  This closes bugid
          1763.

Thu Mar 11 16:36:09 2004  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * tests/Semaphore_Test.cpp (worker):

          Fix a problem in counting the timeouts. if acquire == -1 then
          increment timeouts and check diff time against ACE_ALLOWED_SLACK

Thu Mar 11 07:10:15 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/String_Base.cpp (resize):

          Set release_ = 1, else we will start leaking memory. Thanks to
          Andrew G. Harvey <agh@cisco.com> for reporting the problem.

Thu Mar 11 06:42:19 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/Options.pm:
        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/Version.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added a new option, -genins, that will generate install files
          after processing each project that can be used with
          prj_install.pl.

        * bin/prj_install.pl:

          This script reads .ins files generated by MPC and installs
          portions of a project into an alternate location.

Wed Mar 10 18:34:12 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/fuzz.pl:
          Changed the requried runlevel for check_for_include test.
          Also added support for the user to specify any single test
          to run by using the [-t test_name] argument option.

Wed Mar 10 18:54:01 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/configs/ciao_servant.mpb:

          Added cidlflags as a keyword. Thanks to Ed Mulholland for
          motivating  this.

Wed Mar 10 12:33:04 2004  Tao Lu  <lu@dre.vanderbilt.edu>

        * bin/fuzz.pl:
          Added support for checking of
          "#include <(ace)|(tao)|(ciao)\/.*>" to avoid conflict
          with Doxygen.
          Thanks Don Hinton for the idea.

Wed Mar 10 11:39:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/INET_Addr.cpp (set (const sockaddr_in *addr, int len)): Check
          the specified length to be sure we don't overrun the structure the
          address is copied to. There's a bit of evidence from a customer
          suggesting that (Windows) GetAcceptExSockaddrs() may return an
          address length of the length passed to AcceptEx, and not the
          length of a sockaddr_in structure. This guards against that.

Wed Mar 10 11:29:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Task.cpp:
          Fixed unused parameter warning in single threaded builds

Wed Mar 10 10:16:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
          Corrected end message

Wed Mar 10 10:07:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_mpc_auto_compile.pl:
          Improved verbose output

Tue Mar  9 17:00:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/clients/Logger/direct_logging.cpp:
        * netsvcs/clients/Logger/indirect_logging.cpp:
          Fixed compile problems in wchar builds

Tue Mar  9 18:03:42 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Removed ACE_LACKS_INET_ATON.

        * ace/os_include/arpa/os_inet.h
          Added missing prototype inet_aton for LynxOS.

Tue Mar  9 09:22:19 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/POSIX_Proactor.cpp:

          Fixed a unused variable warning.

Tue Mar  9 14:31:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/WFMO_Reactor/run_test.pl:
          Improved this test script so that it outputs an error when the
          executable cannot be found, instead of just trying to spawn a non
          existent executable.

Tue Mar  9 08:01:20 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed a bug where generated files were not added to the list of
          output files for a custom command.

        * bin/MakeProjectCreator/README:
        * bin/MakeProjectCreator/modules/Creator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added the ability to combine multiple workspaces into one by
          listing them within a workspace declaration.

Tue Mar  9 09:07:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/POSIX_Proactor.cpp:
          Added ACE_UNUSED_ARG to silence unused parameter warning

Tue Mar  9 09:03:04 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added an other dsp to build first

Tue Mar  9 08:25:15 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Readded ALIGNBYTES and ALIGN macros. LSOCK.cpp uses these
          which I missed due to macro expansion.

Mon Mar  8 18:03:41 2004  Steve Huston  <shuston@riverace.com>

        * ace/Timer_Queue_Adapters.i (activate): Remove erroneous
          ACE_UNUSED_ARG lines. Someone removed the arg names from the
          signature, making ACE_UNUSED_ARG unnecessary.

Mon Mar  8 17:03:18 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/USAGE:
        * bin/MakeProjectCreator/modules/AutomakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/NMakeWorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Changed the default behavior for all "make" based workspace
          creators such that the -hierarchy option is the default.  It is no
          longer necessary to pass the -hierarchy option when generating
          workspaces and projects of type make, bmake, borland, gnuace or
           nmake.

Mon Mar  8 11:38:43 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Time_Value.inl (set): Make sure to roundup the
          double value properly.  Thanks to James Hu for suggesting the
          fix and for Mikael Lundqvist <programmer_71@hotmail.com>
          for reporting it.

Mon Mar  8 15:52:33 2004  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Asynch_IO.{h cpp}: Added ACE_POSIX_Asynch_Read_Dgram and
          ACE_POSIX_Asynch_Write_Dgram functionality. These were previously
          left as "not supported". The functions don't offer the
          immediate-success feature available on Windows, and the Dgram
          socket must be "connected" as there's no address-specification
          feature available in the asynch IO facility on POSIX.

        * ace/POSIX_Proactor.cpp: Comment out the signal setup; this should
          not be necessary and, indeed, is erroneous, at least on Linux.
          It's commented out instead of removed in case further testing on
          other platforms determines that it is needed sometimes.

Mon Mar  8 13:48:06 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * NEWS:

          Added a NEWS file which tracks user visible changes between
          every beta. Thanks to Olli Savia and Gary Duzan for motivating
          this.

Mon Mar  8 13:18:13 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Timer_Queue_Adapters.h:
        * ace/Timer_Queue_Adapters.i:

          Fixed warnings for the SunCC compiler.

Mon Mar  8 20:32:35 2004  Olli Savia  <ops@iki.fi>

        * ACE-INSTALL.html
          Updated LynxOS section.

Mon Mar  8 20:21:15 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Added correct handling of ACE_NEEDS_IPC_1C_H for different
          LynxOS versions.

          ACE_HAS_TERM_IOCTLS is now enabled for all LynxOS versions.

          Moved missing prototype declaration of pthread_sigmask to
          os_signal.h.

          Removed unneeded ALIGNBYTES and ALIGN macros.

        * ace/os_include/os_signal.h
          Added missing prototype declaration of pthread_sigmask.

Mon Mar  8 18:34:09 2004  Kobi Cohen-Arazi  <kobi-co@barak-online.net>

        * ace/Process_Semaphore.cpp:
        * ace/Process_Mutex.inl:
        Added SEM_UNDO when using SysV Semaphore Complex methods.
        That fixes bug 1153 thanks to Frank Kuhlmann <kuhlmann@materna.de>

Mon Mar  8 16:33:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/tests/tests.mpc:
        * ASNMP/asnmp/asnmp.mpc:
        * ASNMP/examples/get/get.mpc:
        * ASNMP/examples/next/next.mpc:
        * ASNMP/examples/set/set.mpc:
        * ASNMP/examples/trap/trap.mpc:
        * ASNMP/examples/walk/walk.mpc:
          Added missing file extensions. This prevented resulted in project
          files that did nothing.

Mon Mar  8 16:14:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Thread_Manager.cpp:
          Rewrote the retrieval of the thread priority so that we don't
          have to do a static_cast. The BCB compiler doesn't allow this
          cast.

Mon Mar  8 13:57:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/TkReactor_Test.cpp:
          Fixed compile errors. Thanks to Robert Schiele
          <robert.schiele@t-online.de> for reporting this.

Sun Mar  7 18:35:15 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Removed unneeded ACE_LACKS_MKTEMP macro.

        * ace/os_include/os_stdlib.h
          Added missing mktemp() prototype for LynxOS 3.x.x

Sun Mar  7 17:29:33 2004  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h
          Removed some unneeded ACE_LACKS_* macros.

        * ace/os_include/os_stdlib.h
        * ace/os_include/os_strings.h
          Added missing prototypes for LynxOS 3.x.x

Sat Mar 06 12:48:39 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Thread_Manager.cpp:

          Fixed a compilation error on Win32.

Fri Mar  5 23:09:14 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_sys_socket.inl (closesocket):

          Win32 distinguishes between shutting down a socket connection
          and closing a socket.  Therefore call shutdown on the socket
          before closing down the socket. Thanks to Kitty for digging up
          the MSDN documentation and the patch.

        * ace/Task.cpp (activate):
        * ace/Task.h (activate):

          Added an extra argument, inherit_priority which tells the thread
          manager to inherit the priority of the calling thread or use the
          priority passed in.

        * ace/Thread_Manager.cpp:
        * ace/Thread_Manager.h (spawn, spawn_n, spawn_i):

          Added an extra argument, inherit_priority which tells the thread
          manager to inherit the priority of the calling thread or use the
          value of the priority passed in. This argument is set to false
          by default, which would retain the classical behaviour.

          Thanks to Abhijit Sachdev <abhi@qualcomm.com> for reporting the
          bug. Thanks to Dr. Schmidt and Kitty for motivating me to add
          the fix in ACE.

          I am not still certain whether the above fix is okay. Folks who
          call ACE_Thread::spawn* and ACE_OS::thr_create () will not get
          this feature. Still wondering whether we should propogate this
          feature down to ACE_Thread or ACE_OS level. Willing to hear any
          advise or motivation on this.

        * ace/Thread.cpp:

          Cosmetic formatting fixes.

        * ace/os_include/os_langinfo.h:
        * ace/os_include/os_spawn.h:

          Fixed typos in the included file names. Thanks to Robert
          Schiele<robert.schiele@t-online.de> for reporting the problem.

Fri Mar  5 18:12:24 2004  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Acceptor.cpp (open): If any of the steps in the open fail,
          close the socket and reset listen_handle_ to ACE_INVALID_HANDLE
          before returning. Also added ACE_LIB_TEXT around the naked literal
          strings for ACE_ERROR.

Fri Mar  5 22:56:45 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Converted it back to unix file by running dos2unix.  Added -*-
          Makefile -*- to top of file.

Fri Mar  5 16:56:25 2004  Yamuna Krishnamurthy  <yamuna@oomworks.com>

        * bin/tao_other_tests.lst:

          Replaced the string 'RTP/UDP' with 'RTP_UDP' where specified as
          a command line argument to the AVStreams tests run_test.pl. This
          was to ensure that the '/' in the string does not confuse the
          script parser. This should fix the run time errors in the
          builds.

Fri Mar  5 12:14:56 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/mfc.mpb:

          Set the ACE_HAS_MFC to 1 instead of just defining it.

        * bin/MakeProjectCreator/config/notifytest.mpb:
        * bin/MakeProjectCreator/config/rtnotify.mpb:

          Switched these projects to use notification instead of notify.
          The notify base project only inherited from notification and
          provided nothing else.

        * bin/MakeProjectCreator/config/notify.mpb:

          Removed this file.

Fri Mar  5 10:56:35 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/VC7WorkspaceCreator.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          More code optimizations.  A significant time reduction has
          occurred with the use of -hierarchy.

Fri Mar  5 09:47:55 2004  Olli Savia  <ops@iki.fi>

        * ACE-INSTALL.html
          Updated LynxOS section and fixed some HTML errors.

        * include/makeinclude/platform_lynxos.GNU
          Compile flag -Wall is now used on all versions of LynxOS.

Fri Mar  5 01:41:54 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * ace/Node.h:
          Added forward declaration for ACE_Unbounded_Queue_Const_Iterator.

        * include/makeinclude/rules.bin.GNU:
        * include/makeinclude/rules.lib.GNU:
        * include/makeinclude/rules.local.GNU:
          Moved the IDL_SRC dependencies from rules.local.GNU to the bin
          and lib files to get around a problem with hand crafted makefile
          rules including all dependencies in the link line.

Thu Mar  4 17:45:29 2004  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_aix_ibm.GNU: For AIX 5.2, add a compile
          flag, -U__C99_RESTRICT, to work around a compiler problem that is
          tickled by aio.h. This can be removed when IBM supplies a compiler
          fix for Visual Age C++, which they intend to do in May 2004.

        * ace/POSIX_Asynch_IO.cpp: Add #include "ace/ACE.h" to see
          ACE::set_flags(), and "ace/OS_NS_sys_stat.h" to see
          ACE_OS::filesize() on AIX.

Thu Mar  4 07:39:52 2004  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Node.h: Added ACE_Unbounded_Queue_Const_Iterator as a
          friend to ACE_Node.  Thanks to Matthew Harris
          <mharris@hynomics.com> for reporting this.  This closes BUGID
          1759.

Thu Mar  4 16:14:04 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          Fixed an infinite loop introduced by the previous change.

        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Added progress indication when writing out workspaces.

Thu Mar  4 13:19:06 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/DependencyGenerator/DependencyEditor.pm:
        * bin/DependencyGenerator/DependencyGenerator.pm:
        * bin/DependencyGenerator/Preprocessor.pm:
        * bin/depgen.pl:

          Added an option to exclude dependency information from user
          specified files.

        * include/makeinclude/rules.local.GNU:

          Added the option to exclude dependencies found from config.h to
          avoid pulling in files such as config-linux.h, config-sunos5.6.h,
          etc.

        * bin/g++dep:

          Added an option to be compatible with depgen.pl.

Thu Mar  4 11:17:27 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BMakeProjectCreator.pm:
        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:
        * bin/MakeProjectCreator/modules/Driver.pm:
        * bin/MakeProjectCreator/modules/GNUACEProjectCreator.pm:

          Removed extraneous calls to sort.

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateInputReader.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:

          More code optimizations for an additional 8% performance increase.

Thu Mar  4 07:59:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-lynxos.h:
        * include/makeinclude/platform_lynxos.GNU:

          Enable alloca for LynxOS and remove the -ansi option from CCFLAGS
          (which allows users to use alloca).  Thanks to Olli Savia
          <ops@iki.fi> for providing this patch.

Thu Mar  4 06:39:11 2004  Olli Savia  <ops@iki.fi>

        * tests/Max_Default_Port_Test_IPV6.cpp
          Fixed compile error on LynxOS.

Thu Mar  4 04:28:53 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/rules.local.GNU:
          Added a dependency rule that all objects depend on IDL_SRC, if
          it is defined.  This makes more sense that having the resulting
          lib or exe dependent since it's the objects that use them, or
          more precisely, the cpp's include the headers, etc...  Thanks to
          Bala for motivating this.

Thu Mar  4 01:30:45 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/wrapper_macros.GNU:
          Rolled back change: Tue Mar  2 23:57:29 UTC 2004  Don Hinton
          <dhinton@dre.vanderbilt.edu>. Apparently, some compilers need
          things like -I, etc..., when dealing with templates at link
          time.  After the BFO release, we may try to determine who needs
          what, but since it isn't critical path, I've rolled it back.
          Thanks to Steve Huston from pointing this out.

Wed Mar  3 13:06:59 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:
        * bin/MakeProjectCreator/modules/TemplateParser.pm:
        * bin/MakeProjectCreator/modules/WorkspaceCreator.pm:

          Put in some more optimizations that make MPC about 9% faster.
          Also, fixed a problem with generating implicit project
          dependencies too many times when the -hierarchy option is used.

Wed Mar  3 16:58:16 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * include/makeinclude/rules.nested.GNU:
          Don't use the "-C" option when invoking make recursively, use
          the "cd subdir && make ..." variant instead.  This fixes a
          compatibility problem Clearmake.  Thanks to "Pai, Ganesh"
          <GPai@sonusnet.com> for this suggestion.

Wed Mar  3 13:43:17 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/modules/GNUACEWorkspaceCreator.pm:
          Use a variable $TARGET_SEP instead of '-' to seperate the
          project name from the target.  Thanks to Chad Elliott
          <elliott_c@ociweb.com> for reporting the problem.

Wed Mar  3 07:42:54 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/StringProcessor.pm:

          Rewrote my optimization from Tue Mar  2 12:28:09 2004 such that
          escaped double quotes are preserved.

Wed Mar  3 07:08:11 2004  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/ProjectCreator.pm:

          When dealing with template's, we need to take into account the
          possibility of windows absoulte paths (eg. c:\foo\gnu.mpd).

Tue Mar  2 20:03:43 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_unistd.h (rmdir):
        * ace/OS_NS_unistd.inl (rmdir):

          Added ACE_OS::rmdir() implementation submitted by Andrew
          T. Finnell <andrew@activesol.net>.  [Bug 1409]

Wed Mar  3 03:23:35 UTC 2004  Don Hinton  <dhinton@dre.vanderbilt.edu>

